diff --git a/docs/en_US/editgrid.rst b/docs/en_US/editgrid.rst
index 45ef597..2255a1d 100644
--- a/docs/en_US/editgrid.rst
+++ b/docs/en_US/editgrid.rst
@@ -95,6 +95,21 @@ To delete a row, press the *Delete* toolbar button.  A popup will open, asking y
 
 To commit the changes to the server, select the *Save* toolbar button.  Modifications to a row are written to the server automatically when you select a different row.
 
+**Geometry Data Viewer**
+
+If with PostGIS installed, you can view GIS objects directly in a map by clicking the 'View Geometry' button in the table:
+
+.. image:: images/geometry_viewer.png
+    :alt: Geometry Viewer
+
+To view individual geometry, click corresponding button in the cell. To view all the geometries in the same map, click 'view' button in the column.
+
+- *Supported geometry type:* Geometry Viewer support 2d and 3dm geometries in EWKB format including `Point, LineString, Polygon MultiPoint, MultiLineString, MultiPolygon and GeometryCollection`.
+
+- *About SRID:* If there are geometries with different SRIDs in the same column, the viewer will render geometries with the same SRID in the map. If SRID=4326 the OSM tile layer will be added in the map.
+
+- *About data size:* For performance considerations, the viewer will render geometries no more than 100000, totaling up to 20MB.
+
 **Sort/Filter options dialog**
 
 You can access *Sort/Filter options dialog* by clicking on Sort/Filter button. This allows you to specify an SQL Filter to limit the data displayed and data sorting options in the edit grid window:
@@ -120,4 +135,3 @@ To delete a row from the grid, click the trash icon.
 * Click the *Help* button (?) to access online help.
 * Click the *Ok* button to save work.
 * Click the *Close* button to discard current changes and close the dialog.
-
diff --git a/docs/en_US/images/geometry_viewer.png b/docs/en_US/images/geometry_viewer.png
new file mode 100644
index 0000000000000000000000000000000000000000..f704751545a594c32d4c2978ec5bbe2733232848
GIT binary patch
literal 60164
zcmaI;byQVh_XP@XQ9&sYDM_Upq(uP<k#3~BJET)oKtMpGq@<*!yGvB0OFE@Py6Z09
z_x+9WefN)hhGQtlbM|@m^Q<-3oO7*1kb>L`EOcUY1VOMQCB&2v1jQafuG!u~foH;=
zm%M?$uD=qIRJnEQ*7&Ua4E%`W^jzIZ+0N9-)xgmNQ8ssWax!r=deeIwK^`EIV!|qJ
zW9vz->MAdWo6J0oMl)P-#GXB;LjNJ9jOWQ^xyM<d&vsXu>&H}j@$+J)H`(fs)P*h3
z85vcDZ$#)4#FP|ul<faI{7KDw%K99Kx%pV&>C@WMS4-WAPh7hN%({~v{#tO{x~ZV0
z)iG<2p!hv|fO9E(Yjku}0{zwv__6FRCGNHVJS~w*i33k<KYu1CBO|5+FT8alEfhye
zS~>#n>OcI<seUbl{O4(<?Ek#?fq(G--;W<fp8w}fIu9cys3{{P9^iar=2FN}Aqp@c
z%2dkv$n~G=lVe1SQ9iU8qlZh1QAV^IQ&U_mq)soD@@}14K5meN)PJsyUcSL0f{uT+
z;{RLP?FUqM>j?KBt6;YB2PB<O+enO$7bxW@q>Or=)`>4SsSOzjy4(?afPud~O|Cr1
zbXkrSMr`w9Y_Glv$MvghU$5UY^nD|&M`Y=@^|JVn<Hy6^1)$>GfZK7BPOqR!eP}@W
zQDnoOSM+BUMT2P|T|EDD5mA18KfKkYtk!QETij?bQf~5p?ET1o_kT<B!(;sa-8?_@
z+vWy=Y$30++7?8PR}GRr()0Inv)q<1d=Po7(Ot`xyH5l~_`yg2VDqrg-&XGiMh;#Y
zmgEZcSN{n#{b{V~{k7%J3&Ib4iB6Z!8R93=VpH#1C9lbcJlT5wlvIcP!VO)IT3P;V
z|HnAm{pc<Vb(R>rs<=?!`n@-<d^L!VkB+A668>c`9$F)V4vW*Wpzw;Fn{$4?I_HA#
zZR4n5p2^=|oH(32Bj!i_Ea;3v#BkfPzCBY-^7=meHJ88IBkeMBPRF2{rOt!^%`8P2
zbNepKpd`uJuDdFNa0F%lG}zy?6|kDG%sfe449WYJGwyLPmE3SoOEsv(a&{#_{!8Z4
z%c0;=nHp)ej%p)R_4{iLhfUKxLPXpto_9zFD&Eih%wOuZOYCz|jCZs+r5pRJ7dIHb
zUo>Z%H8A@6c>Cm?KlZt<M_ZAt$7;~*N_5g55!t2B1KhJTjEWD%HbaWrkGWUb#P-;S
zaV4X+Ug?_DmkYK&3qfxTa~$Md?A6rDGyQ$J{<I^1)Q8Q?O|4!wJ=FR0Jf+{>S!sXt
za4EJ-iJ6k5o&-%oqe*Zs&2tn6CDixf*$UT?1k-T)&B=@c-I$)dx~&J>uuQpcU;5i7
zQsP9(Ga9Tm5?<E*9@BWjHu8BjKVikjwuz;X-~#{D@lW?IotnJOg*Hd^+~``J;`N%!
zjPsi&s_u0M#Rs<#d!kFKo~V|w4cAxUvTNu+2mXc!2jBc;V`LMF;U9a?O^#swg<W1=
z8#*VeO-^7&2CGhbQzE)UQ{<=01;aR{p-GjF;Q^)C=hu)4=|Tm4Mhr3!$JDL4-Tn)n
z#99k{$Bf_(YBr~Gdv??E;)mzfe7wrX?$P^IsIn}$N)qq7Q7;))Zf2spY2rpG=6qKX
z=o|@|=-e;QMqa<?RgKk+iosa0=FdsyHiOT`RZj9&B8^nlVNxV6Vz}pVKWx<iL8^}4
z5JqaKzGNCQP|V~b@pK&yqzTN7nU+}?mcpaV!9||Y-Lqp}zlps6m0frAMopEj@{d_3
znekNDyPG!Y$_{Oh@%Qm?Q$rrU>aw>AmG0I2vBz~wy3lK{VyrwwE<I*$`^EFy$K_Ho
zLmi3rO<gVO2`3NIcZ{_oL~`Q27^9z4B`5WrKi8G5R=CLLrkk;FaP!EJ$W8QOEKlZk
zZBxjTzWwwG6+vw3O~kD=@5yczU!JxM&D{Xk;bhKU8EVBu5A8(l2j6mHwN^O@s<oWB
zO}UkQlvPm>t^wXLMRRnS1wv)^hS*v8>z(?+_hbJVcYkr6-5>g15_c|p4G~I`hRaw#
zGh^+vXXi+MPSr(bjLqb`XJ8<rn@^DRbR_0UX(L0ZjEa8l_D|*R?&XF<VIS1Of1Y%$
zo)-ARLi-QyUHU8;w|1?w26Wy(*W4xwo#q%aJdXI>GH4hf;up8pPgoVtN&h{Rce)*K
zWL`N3c`a~noqy#KN5`t%PkghOp!;}fR)k59-*%cCQzH5c<(;rFqmtb8X_e4_79W-9
zNyk)OCwK$4m?6)tL`p;mA3v;rgJ(&l@Qa!t>35nkmUEeQjb^@p&nr)T^_iL#1W8r*
z*pk}Y{ov)7JvF9oH*|@$GCI0<5LqTv_~X|+I@>grrp#(+(kqg#Ob3F-k1sM$#$LRX
zdBbL*LF9NkqV-M4*|W$0y|Ps%3POA4a<UX;`>(#X>1_OZ>!{4w-0gx=S6%wW;WMu-
z;y4LSKA+wZVF7JIiivW4>!wMw=yGQ+bocFd&Hv<d5X3b(Q?Dx7-e5px;sJT-iP+w3
zvNWS*3|Sp26DHzjZ|`u5UK#6u&|BaUn1)^vTJEi*NqC&OGji$NrW#c)c)k@?a0BTU
zVjA^Wnrx@2y?1%Y!p%bLt|I@IJX4b>bIe<4vt_qGgFJ>fOM(qwW2G-#eodSfSL9R2
z!9>q)a$kMuP-aBXTkGoCLZ+oVJb?@bE74Pv`vcO?S9O1`J8n0(V{59+jb_n|Z!VI5
zHrCUm5+GLII(4g+^VoAt{lNA~6hA?enxDP>i!2?!ilpQvS4kwR_rP+uxV5EavHk9b
zYxm2s6U{*YfV?0RG`jIME5++yV!jgGKJ>9eYr`kfE3thiOD7;c@uWE*VU*5yJ@aSU
zI(o-xW5bUx2Q`#A9Q9&@;x_0=%Ewzmo|@#rjLSC7f6}aCDt2`X$U_|0FKcjb&qx`L
zW@?ST$aL9X&87Q9e-Fd5GJK%S%50x^z(g^*?%tVTL&y*La@@9)-t|q7`vrTe)XMrC
zH&GG&{$B!}Wu^z5LunBO)G-_3zl8RUDouae<w_|Wat&Q2$mqfxdW4r3o9Mn6V;tY_
zz6WQ{H&wE`+&{PMT4NCjmy$i_uy%E`Rq$$06kbFSf2H!jy8k3zoSS@!vF1Ov)qF0M
z+B+&mf;@<#S3>t!pzuY^$O*0bB(8DR=BdnJ6?T6RUE*lh`Z2=V81HWKkM~kHK4BAZ
zrjWuynMsi}n33-y+dOV*x^fC|!uyHCS*D9gpM(dql*~)+0tKVeyjf-Jxx5T~+xBGf
z!=7JEOpC(^qV8mA=NVGkC>!#$%D9)8XB?#kLDJFqx+!>jN1Jz=o7;F@x@{N}_@yvI
zJmWZ>%_&0FzGPu<M8@lAYYfa=--{EgE3%*s5f+$#vJJ1kH_>nnp^sAEdi%Y#gKp}~
zd+ImCmo@oGhMa7R%;!3tSlDN00?{%a5U}Ir7LuV(b3rO+g%!Hjkk3QYU(3WjmQ>p=
z-q+nMAUL_Kx<C-lleoLLUq3^Xb!04Qf@7bHgrZ=L4%$6&_^k4YAZgt+D?v?Tdh07A
zKD-?hJ4KXiPs-}+R-KJ-1`0$c)wIg*Xd)z~LU)_8@W+6z+D2{;L^MIQ29cF=`Lc1c
zpJ|+la~sO-OeKa#_#xtHpMn<oo#-%l>gYd9wWUQY<9$lHdyn@On$u#ugM~3}YIsHk
zd5Dra%T0tD@7C$KeQH!)?V4HikO3n;GNY+9if48Y&4?gLgmg8<>UT!l(ybJKv4?ka
zjMG>{II12cl$7f;_V&aNbiDCilnnYIf4{EAy5Y!7URsn#RWF3!x2ReyOu(J)sOa9L
zbY4+^`sGo6P%+PtQmn1juNw%?ZT;-GUsyv#Xztb5tl+Ck&(N3$FXj!ZOq;(*-L^Dg
zW|Rz+?33XA+yC3rq>JJ-Kut}ZCXTaLJ4BA>Po|v1qp;s+yzBZO^TX8C1nyzWhKM^>
z4up1}jfd`WW&IEdoa#-wE<3yZQ)#P_q<tau^Pm(EN_`~>O|DO+(LAxEzgoXfmZ4h-
zoE*vpkfM%?1pa&Sedl5=*m8UNUKy%pl*YMiR}~lQ+jZN*1RYjZ0*M)Uhfx&QCpuqM
zKKhSQe*55b>xRf9J$=)rhq$-XPcCh4hu$CgyO*EE;r~hMPa=oAU4><;I&*{uvBiPN
zXQfWUWe3frrZb1CQi8Xr$ntQ#a^t@w+aL9sTazjBR8mwnV+ETR++r!-qFEnbx;tw+
zu<VY@B|gNy<caKf0F}a*9Q#%#sb<8p{*E{Kx-(CF&iCg_-sE~<UU%lma50K`$CLE!
z`Ki_yF7&&|gBYVRn=fllTtjml^zx3D6E(|XCNHa<=CYHM*rJ9yifLk}W*Dd`Q?=>W
zY;puPv?7z)8dt_8J=b{ybV4<d*Qq-Dx&$GnH#6Oxhe!qnaQLb5KQnSgU+yJ6V^%}K
z&(2l;6-9(RWBj>A$3%GzC&<^1GDeR<l7ac@U9G+FT!rS|RD99=gXi=9jRi!Lt@`?A
ztU)7xqRnSi7Tz>3V!Y+lCBX2EKlgl&o=a`2O)SVJL5a&x!oJJ2){M6DwS_S#>27JN
z^s%L(hDVM>fr`OrK*A;@V<qU<|3%2%TPb~QzADJaX*Fx%=&zd06t2wAH!Q?y)C{+R
z4>>N?c0|dXe5=3EDC#?LJmRSxn{06K+dS!hSsxof9owq$_Hz3^Ci}R{(&WVM3KiLY
zpzE+1H&2I_3X5X$B>Ug~I29$Ij2nWydmO_r8$(XjErFxUuUYLt7}BYVa1#6BSz?rY
zl2CYof-qXGzG=~;Ze)pKVz1(isC(ppGG%?^+3QLZPXp7YHX*HqW&9X5Uk=4jw-8GV
ztRs>8{u0^WBAM9n1%LmF%DpTfyq4NLQbS8^b%2!Oi+=k>Eg~jvvMlY>+LALLj(@^c
zS9?)khF;0a57i22gVkpT<n?YT8OiEVyZ47c=Yc!&g(DuPldrocpyF|HIOJD48<fwR
zGWyQ?4~I;$1h@=6A=LY%O|QLVgGJ?Jik8{j>Zw%{{vA)wo`b_!*{**6aO1llZmUWz
zcWXY{s3W)Bl63|d-@qdtEu6DAt}Hq0hub=1G&tf3!n$*|4)nP*%Yy}OOHoXZP|Pd8
z1fLHa4~=@z{S*moF!~1UNSigP3sb_X;p6|E)&1fe${Zzy!kG&@`I#Y!gy8y5465IJ
z2hHdNPz7)A6y6QWK@g|kjT<H0#>B78w;#U|j2UBi-a>;#E4W3cNo0%|^hsdh=N9wq
z{~9b{@GpPZzMvNQyCS^YhUgo$T5fy<<6qymSb==Ys6S$5)~s+7bOcg35C2YvzYkm7
z@z(mTmZQRc<T4b|Xt_r1(?O><!L>WnGtKM#%d^yB6q7boNg*@m0KFrZyX<cx@7KD=
zv6(6xYSkjQiEAGjm&g+i=&8~P?G)MX5@`{~xjps^%nC929qg;ylO4$rl1pPcae4oB
z$?xxClte?K$ug7(BIu1bhl4gboZ;LTr^<0N(>D7W@}VrpiDO$eD7)`^HRjHp?jM0!
zd_e7+^n{ChQ`uZ9)p@?JwqTGW4>A;%hg9!`Rqs1~6WOa2%5TJ~42=8J6U#}U?WUt#
z*hE(VG_gOPk1Se-bS}lyE%>dBpFsQFGPPZR@LD1cwg&o)vt7(VjbugYkMB*SCN`6l
zA6E35Ajo^M6zheWB~$IO+ThFW+2M|2-nyFGasj=Sis~$iyL()^KAftSUk-3J2}Lvg
z2=)u3IIu$9c<Wmx|JgnHB>eFAAn9-hx9_1bla5Ekv$X93X=S&uwI3!JUlxX39_bSo
z=h)O$)iak>hLw})x7Htjy5s$Dwd2qDGUrrG$aWzON{&P>*RaLe@r;(0T&P%_mg41n
z5@N@J!Z3LFYVlw|@PGhSJD)#@S)kHsjNObU5*1Mh|3q{5_HW;cejC~ZO`o|L-HKSM
zNUr|EAJo1^R;cIoGW@DKvIH?0gLeYIJW8DS<g0hzE9qw``}~D+OJh&2zt=wQE%hfh
z*HTeZa^=D<CGm-nnV#%3;R<a!jEYU14yX;ImlN5>xU<WxlnoNJ*=nSo>e)S+2VBE{
z6f~Wc7V-=uV1GOEg1nTEgFI1Vg)jcZ@0zLjxw?8|5uyZ1d|tQqnp0F%63$mhqtA_*
z@M%Lswk%ELU)>N15=m95pAE90rc4m`P-Xr-GbB0x+v9PJj;`7F%%(pygo9G^>i!Zg
zpfE&EPH*5-YKZu3G)rRpdf8R>c8Q!O7o{+;{y6Ms`j?@4>pOab1VN<gP1XJSvS9QG
znV=l>JZf%S|6-neGMb{^F3KHQ{7VXxP5o~sR!v|TC_Mahdlf&6g7Dt$cYaBa5yZ%5
z>`6nFHhm<$W=(jRtLr(l?&SVgj*+x7+`Df@<~e@#I9kn1t&=rg%<U?1*XC~TB;+V@
zmZkSfh_x8HhI}->Xdg+dyrPB7846Xj)FIDlLeJ?`es;gdPhe4?S4Ccfpxqv}uZ=f%
z=IsLt&Q_VGORs1g9b`1kvm(D!G%U%0C+JRRUuic$ZL&VT+F}`mqO3a99&%HO%7z$e
zdKQv~GNWM|ilW>eJpx9+vFbh~I%QCr`h#Q68vXb61s;2Ef20THu^ehD#fkZO8+D5l
z->mjZaG__2a>muDS2?K2raTfBdHL{iew6}2nE6!$yFSQzn;CqK)KYRkIZ!^sQTCR5
zc`aE@qodD|D^fP8?Jru-n0xbK&l;!r9yjmI&dsz&^7;>wKAx8QgN=4inbO~Xm+297
z!Q)_{e8?$KS*AwFInhj#a8giP9wd_Uj(jC$i||jT$0F)Pt^B~iE9uIk4>ynz4Wb=J
ztNvHgwOR>-e<V@<37)Fityt!%JovXz>ob|({*|ZNO6o?x#YN#(p;dsE^!)EPjP06s
zB*^Rgu@}DHp@)LMp6tE7jx>oSEE+fKI&dp16xy>J+K`&0KUx@+41eVLdbGQUv{+@d
z<4wJ36}RBqqxP+T1%$~|L}TR<53L<3sAMwuapKr;n97#F3KEQ^dlDf?0ZsIV_s4Jp
zMrnbQ%)X=*yiZ~UPsx-!^CFZOzS{nf(UWIFnm`aAyqLeVKgr-p;!00um~ui7`jzt0
z>rKA{r){(v9hy;0dd{ER)R)b->(cLFtl$}%UC&I<AwVAF6!FYhNY;~b>MH}0Z~cBC
zk|3u$V_AG|i+v{b;B{!awcK|C7EB*1HGP4u(eWQHnIGRHNUU69LlWOETb-$b1fjP_
z*;ji30+WuBZnNa58{cDl+rKLc?2*Zqzr<Q|S~r+IUdo8!-%A!?shqet9h8lpmWhr}
z_4Yr==QcZh$J*Q@?TgVBu=ZGH-DdA?=_7JV_H(UBQN^33JsA-}@BYzh-t#1x4KHd8
zEfT!1RmM*(oz}Fcf%jCq;^B#=il@<^kh=KfgssDhkNuh}?Nw><9vK9oTulL-eeF0%
z%5%D&`^FVQlzM(SF5bg!-S4YC>n4LnT3&6_sBjn*<##8Vz6}m^8Pam#eq}BHwnBcE
z>S7Itk%@%Yd&{3J8?Pkj%K`FYZDoq}B(ZU`{%EhRzF9FNn)?r}hgFtmKL5^e`Gz1f
zKYpu<*7X*{PtzRcQJ$WJJkhd$wM|r8lq<hHmF>vS#kVS5?#7PU{c%xSB>FtmT&?%*
zw>OTsK_eZ1WWw|O4Ms{N{~@oxceW%gwRGe@7m{~Mn)zeZ^yd7@Quub`y<{~_3)3c@
zo%%ej!p3Q?s(n6|nJG?xk#@u0#Za=MfAbrsXaueC+F>&MuTFEcQ$Glvy;3&()NV`^
zP#)V0-qk7je9~pk&#cBNG0I{xlKuwzsNA+#4%!1A;NPhq-{U@ZVMyi5ud>|~tHqu^
zU>o)yB2FFZcr?vq2Mo`5dv);Nljxgmv2_ghHi^tmGlC>Cn;L}TYRul~3?J5`TyWcc
zIVxuwyd*`Z;n8otSbMVgjMwhTH0MUX!r_Z~v@RDhbk!u+vlBf#W1XZ!tS>uH3m1*8
z`&L#apLmTw2@tu7;9-0f((~cW4HRq`6!k3LGW_v<N_;hSNAFg#UEcLMX}Qah^ZFjJ
zmR-(HGt#-UlW4{6CX-X~JWo{-=r}(enyveNvfCrIjqieUdAqZ!Og7!d+}O~hBP~?Z
z5DLf$fM$^P%AbXf;FAdYqJH9)YO{<;50cdS*1O0C&)Xx%-n2;Guzy~x4fD^81+O7G
z1SZ*Ur$+2B0YbI*xQwjc`B(bWJ$`dN;^w0E*hvJBaer(^d5m8BJch|s*vU~#-21{r
z?4_N_e?|s_7vaSlYdhzO<Uxfa8$sF)66VP|pCxXA2@Rfm%{2xU@UY(>>KIa^Tv_Q4
z{%6F`g}nCKnU|!#`JX4pZl#u$?KLV5r=?N8diBbw>m$+K?4A@_s$ws{7GYMs|Gwzj
zSB1O(wcr2ayx;nN{rG)2Utzkzn}mo+T~{}ZRS2a|+;*aBd#3rV{HubW;S^{$Z+cH1
z2zsCFl@4EfL63)uirV0HjJq%TRY8cqy1M%A-Md%=80hFCA|gj#f;DHi#7J&qV0i8=
zD{|hClFCrZd6#TuX=yuIqpGJ@7%?THTjzEc7k9^fJmK@_kp^eCgZ29bcQceM^1|>#
z+8#c9Xg5_Se2&8~7~Y-q#1)%D5OY%(S{NE5<yOO^rDn5BU%!4G$db>>%Ch?E+jVq$
ziiV1cf|Qh&(#d~e#tr%?b5ZM*xG|1<?_OzXDGl!Jv(>q|{v743f0MPGM3~5HsSJ;U
zbq!nFg0QeKZPpir4T^BLebukba#Z4zlDbSw(XdIg)6=hK9Ig)Kt*={Swvv*Ok&%)j
z$m7S4!zqNwd8|kN{tRDmbWaxa{+6HrcWzEfO6tRh52$y@Wl|ONi!J{1&}OZ)n{KG7
zsgdX=gKgiMYYX}PTS`Y~Qur<EBcczVKYxyj!ee5}YifG-<jE5wBO?+Ll6&_emzT}=
zov;IU;pGm0e>hZYBTaC#a3@*v$=Jw83F>fif!yruqO!6<b}tGcAIvA?O@7yNR94L_
z99>)v)`kmVCwsmKY;0_#4!P~Gs>;jvbau)JCfiwCe^8TWj23j?`C3&)#M|}r!+j$=
zyTYt2wU;jmNJ%k~DyJ1(e~~yYi~g<z-q6s{$;ruWj-<py*sk01@ljD?w2?M8HbYEQ
zc<6A???h7b^KCY#>V=BwiEWY!3Tz!5woA==Ksy)e*2BKc!iO<Fdi02nE>JGZ_jIFD
zTwFY#SV@pbwbu5tta%ZJEt+EXi*RzRJ9jE8Dp;AA?uE3$OL%yA+}+*p-@nh^I@=mZ
zMMV`SlPN>1Opj;2ZWUEjR8&*LA17mKYWm~vHY-HZa_>WL@AHmWHZ(Le&N!K9DSSM<
z`L(sR+1ZHXWZ#Xk@}eSk>_BBbJ>Qjn8Z@-Py1J)EMt>(JCYG0%ZN@9EAy+|me&S3U
z$q+5olPuKuYDq3M;%?s~*y`QIu1Kj2ZC14hIPU@i{*9I{{Rky-tgid^jrsB8IPr8z
z>Q9M@q=LzX5#9Ri5d9OAlc^%IGBOYgiGtoWDvUbimZ}B@4->iwg2Wi3(QQZ4R2YW~
z^)65Lt#}ex@X+lhYapmui9-*95=co&y<myNq0m+9P8Jff87pg#q!Z<3PE_OJ;_B?`
zs`otnx7m1E0GIftp{%WKZEO1_Ik`}U@rm>5{K7(XT%3iu`O*4lDJ&0pW@*V7Bu30@
zt8H$+%scJ%mTB<gM;z3*eQ-kA+1WyuXOSYQAKQ&5d=MlmHuiF-gN>V;TT@e0B(-;Z
z+;g_YKUoHkBko(@pL(}#!{GuQ=<3PP0ur!jRlr(gb5tOoxoK$p+l~JW55w~|BSooZ
zJzrQzmB!L!-Br^t?n>U#TfF_wnL-;ow##vCbcJqHkbjIBD{1U5UakZ+`kgxzoTi<L
zk6)o<V8k+Oa9EENHNQp6%FJxRgrExf@L_LjOTEHc15P&piv-fU@7Bm*k=xOh0c45m
z=2X6VF(oVOzuL_P0KQlD_D72ecB^Y^OI-<vTeG5f?%er2Jvr(9Z=%|;*zM0Z4anV}
zVPpeCLjt}RXG3{v9lw7YbBu<P@IolWuxPzhRV}w3ElEj9abElL@UiRDWv80LLc7C%
zlaEQeqnXrLwW}0VRLbB87?d-sYHNGqIMEOsGBPYAMS-4pB{elQH0C}zIrgSG8(ZP0
zPoEY#VmpjEkY{3I-ytOlS+$opHqIfZH^wUi0|Ud!o*XDwRHmfN>@0M=MZ0sbzpt93
z0=NSy*q<W&Hsw)nR#v6wp)G%s4+J5nS@-<>yvoa$i;If|I<*ygjXnkj25>uCW#$n%
zISkA;>m$YZ`1r7jT9=Lf{(ehwyPG#|sH>~5Pt_;18<Pw9JY{Cayl}cWb1zn}16YEf
zKRrDS3<&UWcenUlL=g^{8j#P)!7*0lke-vX0-uttvYIKIAeY3?t>5(e{rmS(QBl>e
zmcqydG#}u6)2Ti96+s0nuxkH^Vl#TDLbgXpqK+&%$IN25Jg*Opw<4`>U3{dq=8YPO
z8p}(7C;oCO`oZ{kV&t`--!(7lcXymt@6UWahpXJaffCtH`qYhGDO=XS#KgqV5CwV7
z<kGU?2&oh$wXnO?(`NYSZ8HwKzuN^=Aq4p>lUY$w(a<2cx7>o8o143{yZZ>!h@FVn
zZt4bN&zA^zM?D`V1z}WLQgQ=D*v5us?^#80(}xe3#GyRKzi^P(IXOA$=|)OQxX1$*
zme6Mp-nY$>@Y-Gp>A3`6JHcWR@AH##sSM&LF3fQ<sK^Hr-hbPFf3B>o$jQke2pt_A
ze^S`=3sqHB6hDL_Wkz3BZP=13=;z;|!9lOXNmphq;yXtFHw!?3fv`I*D`=-e)l_=%
zVhLh{O|RiysU{r6xiNZq-=A%_r-I4Td1`D#q*7S}{vr><e@aVBr}vqsi-)2h_SF*)
zMFVc!yg6H_!zJ|9s|c8oKGDIlD*4aOm%@F&mxg^lAI3gIxPl4B2WdHYtj~k}i9IJ=
zZunbTTYoDoyc1}h{Uj+VX^8XLIRyQz+S&EAhr}(4IVwsyPLSH|?d@Y@W03nOey_Vs
z|K1-ww<hK!B?@T16;f5jclIz0TKf-OCB6uFR`_1}Kt0dP!!YX;bZbCQj>;)4G-D?^
z`h2teRzdEzxfVgl(AewQitB5LDAyJV+HeHcCe@1<FHrpKR|j+auA>3KJMxh}c~VR8
z1;Z}she80x4gOUG0Z<Io8@1*sTNJ_yttf!{6xI&M*J?#W5CYqgB=_^@jS=*-?Y!fM
z87$E%IVvcr>Oa-<bZPBGAExLAJd#}xHtgnIpCuDc{UkvRDL6ATv$bUp*a7Jbe`H1f
zq970^vjcO!=5LeO{2-d==Z%+>o7t@aB3Oj}barAQMUZ_y=O+&(U94GkYQE;@pD!i*
za>R9>9&S=RcDykbhP)0icul<0`?<Ao$L;A+^RHj@G&C?D(NsP3=@V|9UcJZuDnv9X
z_R_0zLJupb+APe>DUaW~9*IBV<#ly(>iqp17u`Q5CI&)a*nXqMO!my+ja=4Wl;%KY
z^W=r4C9AKk%8?RZy-yFgKSUkh;2Ptnr(|PeTOLs>w1kJd`{Ocm2<lrm-o(XeC@S{R
zW#@{~qS=JWe3BsXRbP1^ED4n}ARyq&moGr#3ku}u@p82kSy@@NSr6yiBWY-842zE-
z`^}H6^1Dt}hnTXpnHU*01%s=rssJxY`JHb42#<=1QKFBMzt7}%WXw*4NgjR(T=3+?
z<BR}85-xPSy95Q8-LS525B3Svr*`$+?Ckcz#yDhHwnM7)tMLk(f`S6zh7jWZE9o!7
z8+<P>3L7t07Z;(tIlg+Oqpe+6S0`xV32_N&E|)CW^><r^aR~4cw#?)3pAIl3b05rB
z4o*&>GM@XZ&uJs2rKD2OzjHn_xsQXRZ(_1AJ8NKO7Mqypb$Q{<811n!#{C&$?dRy|
z<EKv(MN-YJtN?5O1_Ech0FDIt4aL#S+uK`Q{KuP{7~j5q6Aa}dwjoRCI@sB%0c?|?
zE-5O?&dvSZ-aZO-`Tbog@~3V^&TB8_<>kr43CYL=ph(Hj@V!ILkP0dn^&CQ9H%Bk8
ztJ9{(i;0c>%k&vCRWuNL_WrWd3Dgw1L_P-~U_1!|rkzA}Zz-pwfxFSlCAwW+oU0Y;
z!n_U^g<#zRXRk4b``VxUYuBz_al5=cPA)D|PE$-=i$LS4I`<c0q}BGbZwd<jm01jI
z5k)=^AxHugoTz?f^y7o#ovoMh6i?l@&W?BOCaNM56RiylX5lQL1R~F3S#_ZDz1p5@
zOG$aa$ysX98qhq-2jvqe50H2W6GI|X6BGXzhh7}!Tw{OowR#dC-y<dl&JMKC%gZZ1
zu1`W<KC90h7~PwmOyo6SKyF~ZhnpKU4UK^N4mCHob8m{Upr9a>f+wB_%t>;a16g-2
z1nUb6H-U1erKN!YsI5H(3^(BafOfG~*jS)j57!4iT~=N$6vq{BIa%kv>*VA_F5rPj
zLIML#+S=L(0x1GGjE#v|2c$H%BZ=LhC5k~=P(xKU*VGJ6<+BunS`HE+hWh<wkG%6c
ztRIJ))5%d$Wq?njqN13sY3b>A$oR{EqcnJ*rWq707>YemNIrIxy#lf7>f^C;E1;Dk
zseB%L=Ela<UL^U~-!F97CBe$*@xCz0_sOi2@ba4&`d7tBDrpk0-M#&;rGzn6=DDGH
z<Z>vQ&aUlc1nH{~8QQ;s2XK>N`l(7efJ!Gv+eQKc^?;^mcgPhWg%;Of(&>GSdKuKU
z;^JZ_{`$H)(wf@s&$NRz^4S{20g{f23n>MrrS*ZBs|KxwIYxa9%>3NPHi|RnUu%1&
zmCE+7r9RI?2Q24*wJ75+vOTQl+nl59>3QnDyI4+BLk!ArESB5q&kcB>qW)fRWQ`qf
z^u3gfr1g$L(hBRHu|)mbRJAhiIFvmq<{g-HJ(o->GCla^!^~f9W>%^}MW24+tmS<c
z^C9zk(`mxMT|7p}hyDHMuFNQYM~1}}6;mZ97?zW<rm2h>&c2=Zby=D#^gQaOf9gEQ
zo)R>}I|~w{KAQBHwYGCGT=*X6t4-HCP4OY<K=f*E?7P}qbmdEu-F$%%@r(1{MiDBu
z-+mrDk16ceQReI@Ebkin>`y3qb7PDBcPLDc_p{P@;aAOdbEDiB*&PhbzR_w0ZAY#e
zLEqAT?@cIus_Jj<ugX^X=J4RZ^J+&mSSt9L7qMprdn)Quy_ur~)(dmzYUB;STUCH@
ze>cPHn)X%2$P=jj_tVVI{Sdc=8{4|fp5qf++WoV$v(C=WAK?_?Vz7(+@BDLfFxbTE
z=P|^Vc#kLCPds8TH<FohK`>^e3pBSLqxDQ>wSIa_saH|7j-95EC3h7rlGIn)5)e%-
zU-M?{z9C24w9n~AxX^_}dLQV@h=hb%!!~rcU+|*ezkg@SCpVaM5P*QOwY@mqY|M*w
zUmawCjO<H)!TV~es;cVZ{4{;vV!S(+svV^F&$hOFjnYgO|A|Ilp@$D=E2n*~L+y6~
zT>}+PIZJM3ZLJk^VPV0?#|Q8P6V<5Y-EI3+d*qq<)gxPlaic$@;}eba-v0hQTwDO^
z63`oiU0mkvWMdKLv0p|N+kgLVA$;Oh=s(8(=;@==(S)?1x3wF`?w{hm@B~TF=i>@U
zbzB-O4fW@~v_774U>*dBZhg*u4FPF;adBZkGS=wpYj3~xO`~*>6NCUhA>rl0xE)~m
z^t6zm;1%lk(}Sj{JwD9FLvMq9fCTTA7#44!m*nT?uh>pvijZ)EB77YU8$sTQ%tDIF
z$jS~4KSD#+Cu@h>+bsq%Wuv2`0U|j8ZyX&#ZP!5bLlwiq#01%Oar8HQvep$;^mMH&
z+ta6B^S>gp^U7ASH}uQu&0O?>%r0(hOs3r|jaN6&dw`eRkYImeE25RVy}+mvBnBD|
zcK5OZ&(PeQPrnKAGE(^k0)dm0lh=9#ab>j*?(J1r-uMs}CMPSKF|g9s)>d9#?&9Kt
zLBQO^ZVkwX;-|mAI&=fY;PhYv6P1dO?+Caex_=s|6ruCIdlNhlsi~=1S>;j{=9iWR
z%*#O6o*o?y4h|+hb?0DW0vHJ==0+DZIXyn!U+()0<@NUM+Zcqb@2rBnrNF{zZ1mOC
zjF+JWo%42W2IRUeh^?<*--%Jmer9hTA16T+G&McWjvUCtvlQspH#VTg<)~Obf8GYD
zoGF*&ak6KD?(YcO^8NdFxbAx~$_%B)UPoIXFk9~lc<e2M(=jwO1fKwb<>%+O8ExF!
zVxYLay=_nBbhN*}Htcz@{ulrVlzA($IB?kc`J&NvK<I;&0XjHjAU(a7Q5_4QE~hGN
zv~+cKwY4WewlOj?^4Ly*_DPD0qQ(tUXa3WlA#Jb-YGY<bAG3Al!U>2xT)VlA2p@l8
zdHEJ^F=UX@&oE~PhoF#<R?evCXb?8S=>xsJ_It~H5fKqU!0%89UKPlR4g-jG5Iyz=
z@ex!nzCcy%P|1c;lg#gI2`c<QgQ!rOAT}VBCaMQUN8Lw?4BRU8e2&}x{Q1+<(*pz!
zxM*f3=n0pD^-%@}2GEI=5!qUmws5+y+1P&k_@Ue2r9m0-IU#{fv+Pzu8aBpbpEEaM
zVZY>L3ZKCL7*FTt=OMwtw{ElmzYv<L|GTtg1|mkyj}YCT3d;8*!yBZmGXyPeJo|lb
zMN)xXy;M=bB;!|+mS&=*6=#ht9bE@a&>CF~2Q2^PY5US{d082hUpSaP`)4q0TV%%L
zoadvfDcCzp^-M=6siNWl5a!k)+Nr+AO;ps(uV29ccof&EQED2OkdPOS4<`xl1q!w`
z*m-9DxI-e-?DEmOEq_LpV)aDehVk)Z1pdJW>L4RkR0exfFU3Wsp$xZ$5W=0SPE#+}
zL!_JmLSbWLOJz7hR5&;|*xK4!{rMKhVe%VNR9{g+o`TQ*wMZ)5^wRHWCUB|1X!`K}
zJ)ivy5-MKnw4$V{8XX>f2blr#1+Grs%lzE@e4Toa@|+wCAotf0h%^{#)~R+}FuQvS
zg__@a)oJegZOVvSm1Xa`M}Vco$Hx=k<L7Hv_m7Th=;<Z5&dMb54>dOnGe$#J9{_49
z`~pr3Vc~nWjW&_k^!>YWS3EbU3@EtLv8>L{&fGjaa`N&*5M*H9<mcz-<>f*8YEiZa
z_=^G(L53WFGYDYP$^?W`m@*<h7xMEC6zcB8$D*kU@5Kzo#BON6;ClEF`2Mf4F@83-
zJ8X48ms1t2r|Rw_I5;@=$2$wKchVXC=ck9FwVW(08_Rv^t7E{uy<Ev~gKiA7sZP7+
z78NOY8#sZos}i$ORD{w%;*$b2URe0r#Lu@qOO+<B3*j5V+KoN}aWZle5?i~wt!mpg
z!63dt4}hsC;B{mV5F;JK9QVYvKqPf*e_vKk4px5%nRs@7?t6LeN=234+uIAT-<YZ=
zA@@8x+J=R>t`16i_aUhYRVE!VH!%qIHmCJyBfZ!2C*aLsQwoAZrlV7D-bYDDNH`HW
zO%EA1QE8VP8Y=7Vehge$TSv!rV+<-f)Xa;MwZb?~v*5NlunF08Y6gLCGcj2KJRgbk
zuU<#dp00}1+UM-g^<xzf5MXDw2QdH{2G9YkoGP=3EHB?j>#$txi~|uaba6yQ`Wz(4
z;Ll*NM1eM)<tyMTDe1(Gl-Vh7)|W-FJ^EdlnMn(mdi?nKI?s&1imGZC*hX+VkXzda
z2R|r6AVu9z4{Sm=erky<bteJ2oM9gZ2H(=sA|4n7C^xX;gd4;K2na4}OCW=mmR2?$
z;3SyVGy8JV(g_?U=zh;;?D@cp2@4Mo^xp$O1jQmosc1AkCjSi9Zfd%?w=%$hhaM!>
za)^4L%N)n)D_}xGTwJpNcAN|?-mOsawW)ef4UPN%)V8*_XYKilF5tEm(1`BekGp!+
zJMc2=>+5IF)6)UYy2i7qNeIH2$a#4y!Sh94%h1AMJyJ=O9s1a;-}Km-GJ?<WI~@J3
z>{Vcx#FGU##wdDcQ7dD?{Y`=Scv?tJg_T?iC3W@pJ%U`pDvbUlF~a6t#M&p?jM2G5
zOS3Cn#9bpJReidLH0%&LRqYjEc}PmOd+uw10x@`heF6thGZI{|A3so~_$Vn20UV2#
zJ`i&=a&q3AZZR3mRs@tJmfnKu<+M6z0eK9NDwk#DHawmLT3*B^3odABiN5*Xv<TR3
zaj_pZCs^gKuCD67o}Qjn4=14>0L4m)HZ?OdGcfRbGDJ*<6JMh$M3qmxJaY@#OaXrh
z>pllH2S>?9Nx!}QoKYKq#qQ3|%&e0`&Kr|7%8%Cq%J(;g3{w9L4jP-9W@csmJ?-*A
zj!1J+X=!O8w8p^~1srf#l95)JF8Uxr&BJfJb?hZ1B$Q3gj``LdWFByYnfUhr?gs}4
z>~sMJN2_uiahTIh`<$%8*oP)o%c#RcL#o5NMLM8ZD{Uu1qTfJCO-a!QZBvE)dg}26
z1z7XfxnIKJo+&6Q&Mq&H$jB036-ftBv40BnuHfbScd@I~rZZ9I=HljV3p4^kVq>!b
zF29!6cv)Flz?uzME?zMpGez2Rva;wR+riZYM?Es~%2!Y2Z@vqTt(K1Ev#bFc+@KmE
z)KxY9B-UuD?LF|kwKq%Dzuoa^I2)O9MZ^0B>h|d4*M>g)1`PBFiLZU;N3{J%No`BJ
z!14@@j12g}bG~&$!G^15*8KVN=es;}FD&gi)BQX=hj#DXx>090BM{uPw6wU$3Pmk*
zczF2la82K})SUk&ZdlJ!UN{00QBqRUCN`RX)#zrZ`0myggyUx(8)BW#dn+!g<)crd
zRq<DrSGl#dwmX!v0aX<ez(@7|umim8mvISbz+Bb5e^d42JCZr#gc*YpgTupm<(Bvp
zqj$5ch6})zU{Wi9y(%v$iRX7_B#p4(ice0~6Xo3FEbzJ7A)H(Dj*kVKxK(N5WPnpP
z=IhpvwYT5)m?dV}0`Q@eOB|{9<Xs;HL~Q1E0?4<b8O0<ZAb^#_X+!TpGyv10A%K{J
zLeR?%G^U0|Tu6wtXh&vWhj7*aA)7ALJW~LJ<-$L|n)KP@)qLR1!0)6oa2daxoq3t}
zX=-RdL*ZFvv^Fan14A>*B(PpK7p+g?8ITHt^%G#4vuw_Lcz6IUnf5-^p<*rn@st;M
z?NNb2a$dbLhemxpScJp=n>K}he!>u3GxO%s-9v-<C-*Ieo<Rb&F6|Ccq!=^_YZ(un
z`AtntflqPeh9+fyQ^6?;7RfEpASttO(COaYtP^N7kF|qX0rCkR#*6+;K4t<dD9&&v
z;4E26KjtD11ve>-4;(Pyc};$zjL{-@-YVsM2n`i*+nQPIN&t@@3kw@WGVmUtN*xQ1
z$ZG}qK?U~Yn}AOcso+d8MN36XWla4g@nD8dN@~7>lF|-%*W#sM)uO(=h7|%A5%zmV
zsHd(@<P;SIMw9vkt|U)SZ>lI<1KepWmOg?%ILOT6V$7E>*mN(oSo0us@R?ph!E|p6
z#>WaZRaPEYoGb+k0w4z5zn|<MdX@tH{XyH_xfA}x^&d1PjEG$R{=kCHSe0M43@sBA
z)9Id;PsL3zGQeg!x*xz?el`Ne=tP6}6Cojrc#mG+5lo0FU~oX6w}izW;CP)J#3v*)
zdLGKrMmDn!Gv3@>Ur&sT+}&GIHXq(`t6OXv+R@sN?927DUG7Z<-(;(Sm6;jZH+y?~
z*6H8)NU_)1W%tElt-w>TNcg{(awc{5WCu5%HTxR-{NS_e8C9n9swQCE+cPybR#8#$
zdNZJ*sR_*jduYLdZFo6j<7V)57DxtAU+`DxWIn?zbE&DUw>Q*y@+U6qRStjg(EY*P
z`EZ|;9uGZK985#465}ACctEPIqo5Elt3!(c@MEzj8Jcy6qlGPyRbZH5QHeoWUh0e+
zFy{e}$>;}W)nO`l_n#jbLETE%xdagcC%k0OC*XN-6;U#qLwUnsBDwsVV89ImkLqN9
z4a~MFruIdvf2*q=i=Fq?)YRPQDvJVoC)VLm3=Iu;b(aHZTfo_~;35tZ<KX2@<}?e-
z&u6*Fi;PrubllmRZB1Y>0Qv(06xunjvEB*GKwotls0es0;1x$l4?!(8SS%~!0%sz-
zayP_eqRPSd;`oX)j#|4wxlX-P<nOdOHTm=B5`e$`>Ry6fgN4tVfY#Zop3wC4C47h&
zr2|-5Zq~zef8l?Dj2<t<>Q!m82DWZ*ZJ8ezTl08=N(4O$n9#)D2{aJWVzqRg!Yj{*
zLzBCAe|_}Tj}Q09EA3*XGT_C~;9^fJVkwD-ZfB}!U`uPO@5u@sAI5mE#8uG(cMZPM
z_lJ2~@vz;u>6biZguY7pqP$)U>ffU}3(;{EfvNI17GJOcY9JRDsf6RNH3a4s7m3yu
zf#(E4SyfX5lNH74UeE={zzCu6Ihy5^BC%mF0NIe7n)>iUs>ib$D6)x322kWAx!8^c
z;NsAKoUX7*@bJ|w(r*S9I&NiX2l^5=bkjTcnKvr;@vEQ(4ANz;_d!8H!NFs7?xm{~
zV`&OQiiF)uuE#*hpxW_tCxB-S@CZGstn$0NfM>53J0CmDiS72hrI7LQX(%t}CNERE
zGFa8I=3ZU#Pzs9aI_}Y}cujTnCTvk^+`Qaet^$U@);JJ-pxDPU0-#9%IHo6c+wTbF
zxCM<LG&}6@X2WS1I9x$uxItpJ*FoV)P+OW0u(gOpOHhMnC?zLn%a~c|Pq0cT4Z&n@
zUnG_BChf|vG%MrmO|Rtl67>E1BNRa>C@6^hr$s>7%YAvOp`|7L0EZnD809#~oRQ+#
zbzuU=G<TS3xSmwA-}!fYkTB-ht>w5AeSc*j3s_{=JF$yld`4mhoc|3!(7=BRO9C0U
z`#bmMKcf#`w^Pplzo#G?apE<iv97+FcuPzge>Jv9NvQ)`9ahJbs_(^*ziYjEpin8i
z@!arO>fJ8ItK+$GN=iYZeXO#(w+3w#JR8Z2v&W(XS{|mezPa-Ju*0P?AOfC}7iMOn
z{=?Wa02zlJXk=_GmfpwplHz}U7nxoH3IgB81W^LgWXP4njs+?TFe##dP_ickdNz08
zq<LM<ZuD(8vwzFX{PFvDaF?l(4fJWCY?&DwXWKD^|M%;P4U|->tg%*BR+ZidgP@Qe
z;BY01KmYFth}UzM)t^kHFj4}OBwqLgj2De$7%FJhUUy|%{%$8GCXQuffBg6nj0dU+
zN}TsSwy6~up#*Z)hc&1-Z@PPUfV-W}bf|F)3u^;FEZi6VVKeIo;Ii459ylOG3X<=7
zHwd@`cq%=wR}p3iKEW-;#twsZU;xx~vcbDHD{JZXwd({dnktHl*9JmDuByn!+}zya
zqRVW{&AN9m2%)An3|BchI@)r3%4eP^<m&^T#amP?VjgRCdwYA%xN8VUob~z1KKy~U
z>NM1|1;@uS6#P!~Qyajo4GgWV*8$;94mUSvXN$pUd-}@D>kPCQ^cx`k2U><;ZebRr
zBed$F!_atnaSC=pUbrWCZJU4cNpvNh{}kw~t*ngJRecfiol>YE3fKS>3R>dd-`|a-
zlb4f{vdlCl1t<h@uIGD>?~|XKt65<kS6K;d=T<@%&3ECQp;9RfqYbf{^B@<%iUBF9
z`Kem*QAHh9`NTJCRG2e~jlCK!+1YW#Y}LHLwLE1S1kYGC@8$Nf7Yhpu*Pa*ak=KPh
zm`AG=pjwA_jCgG)KA+uz+I;!CR30Qal&fV%Cl#<7D`A8pNyzsC3N+N5>j<f!S5-;L
z4hTEwCOEpf{;cf^#%F?#3K<23@AlktU*Ai(S<!t0kgb4%Ac**%JZbI34SLtJl>GP=
zE%eko<2VEFPz1!M_jPW4cuLO3!NI}LUjq{-Jw10a!G3CR+eUFYg~5u?pCclQ!Hk5-
z8>qskV6*@NBd=FiS3ze2Svvvk*$8?OOrM)5&7R}BFJGGK>)Qk7!=hO<N{su`o-5_x
zAqvXMy94q<&;|v<9PnbY#u)$z{c<e3Dy7?sejIcoEe*~2{;(eO<DodVgP|GEpmCmh
z)wR2<aoyAf2NhcL{{H@>BO~DSl-|G1MKiu=ky{3eQw9*lNOUKYgO}z<jO$k(&1_)#
zwXU1wP_JOqU}yQ<cjhlo8!v0!w$s#^FP;)GMz%xmW)AjktWPr3oCPc>U@9BB*3fi<
z;`<cD=+mcH<s3Iiza}<TO;dC1t7IhP5dc^>m?KNwWJd!KEkDA@))p6eOnyhbd4p1y
z4Hii_(IdlOA0JYQe*g#<j$IeJk%+?1!J%2_whf-+H3SIvJzANRffeWp?aa4RM$iM5
z%g&~!qcelOqQ-6S?6ihJ?p>{ct|kalsNWLQ{Xk<K;qmHKoXjFj6hK1_L4e6#)s3lo
zD@IP4!~K1eVs%W^*5P5o7;QDR7pV#`;2`b~(-KR|%kZUcb><j=Iu{on<N+fi^uOAN
zhVT(~`<W(?w13g7?pxc~0MlqSEJhG=a&q9u#Nt3bLBqq@*z)~aTv$lrb1)n&F>#Yh
zpZnd}34FzxejNJ!7#J8M^e}e=?L&W&K9%;5!0kZ6L+6WB9)L}!#_8eJH^`d-vFP!5
zsQkoDPIcoMWna7ibO28C!9sFTylo^mY>)tBA9kFC$J!0p2J|Cg2xcHhnGQk1e|nzm
zt-wiwY!rO!FGU-PhDn47IuhZhxkDs^F9HcD{(-0%BnPl}7X}w#prFj}Kyz<v=30`R
zUZpMB#Q-$yD(t4eL`4}}TILoEL+`8xA{+969MBCu`A8n{t=@4#%Gh|mN9eK+z{RQk
zLe$vUxG5_ScA-UexdwVw1O&8^?NL%DGBPs4!os?`Q?;%n(wp!NvH$*FfK3>TlBC8h
z2%c*2#z20xx3BbPV8~EMNPt16p`o$55Yjfcx960tN!+Ear`Pj$d&>zpd2le;6YzC^
zAm)%b8~^@Y4dX%P@_ai3#D&PmlCCH(ZyNy94JB{bQMcZs&9pT2p#*It#3^x@r(^Y5
zte($kjWg3=^HDW%FbuyiLR_U<{|qHL1So|&Yy0^Vh7!D>8XI#|=X|<`Kr#XK7_WYn
zrIhpi9-yQzIEt`^kmQ>Xc%a;@rBGzs59<5PrM`gS1~zgpj<j+d3I1O+*RL-%vcXph
z3l82nJS;3IAQ$xFa~f>!gk?k4w?j`r^X1Ef`-=*9lapWuC&1qy<jDhi`s}Y?je*Cp
z2)TfP)qROWLK2b{8x{36GZT&@>dMfa2b6p+CN}uzPm5lbY=S9Fuod4J2Ez{K4f~)I
zfxHe1Y6t&)I~m5-+D%KZA>iq-vaqN&9^cjDO91uCZ8-?eGyo!2As=Z9+#}3S4Yst1
zfcZ)pp$?m_&%TvTgo)}^G$4^RutI#t3tR>gZc98;dy=a|k$->#E{n`p1$t`SoPvVx
z@87}O{|6KqTu5-6!F3!WG7uFJfle-v(OW}2k?q!*#9dUlL0}Yw=T&Bol$wRd#uBQ`
z@`VO>3=Uq6U|^Ym5cBr(D$r}Z0G$g~E=&n>E0<`qf?ghi(5%uf@bCcj2#g;b;%b;u
zfENf03})Ym|Fq$Gv!Btuf^ir2Jw_`#BO^ntKzkH~F?=hIo#@KY?UBhEfQ~M-OlqMa
zAETbVTpkyO>MxS2K#w3WBmo0XVH85TMh@Rh)f;`z0n4@uk5qguEONelA!jCVv0{zY
z($qvZdtz;EO-!JwtBalFh67F`bg{1?5bO#H3SM4MBP8C*yPLn65&90-n+XK8Yh43c
zQ*ZPW`)u?Qs6CkJz=s+d$c1t%DhR?-VXRL;haPXvC{HTmip$E-YL%K|$yji4zHNRT
zL1jNd7;+`W2~d*zC8$5uUOi4>mSBB-eWn;}f3S}MB>cTUw;2Yt&57r2>sne_0ZQ$*
z-Vx%WV8X%2j|Qy=+iCHYmys2D4Tb`_?z;{iK0cz8cSM*!0C2Np;v6C5-@SV$E)AJl
zSX=7}L!DgxzQ+rM($XC;Zg_HXawTS95Jb>rT|FJwT)d)d;A*!^#VO1sUswkD=U%9S
z?~|%PO-l>i5HnybtB<0c_`SDgnmOW_xw(h>`%7rPs2Qia7_(nZDX|P@cIoTugOB7F
zcs4XVjBx{n59ey~$S^$+jH@%I2H9TlSHZ=BrZyy<A`yk(5gPyt>g1i(ryhIn+YFum
zO^p8e!^6u<cqmZkeM<1J#@x&-@QE7Cq}tlD%Ba!f<*60Eq{qAJteks>!mI`njE=dT
zfc&Y}E`YKiE*m99^A8&f8(Yx#!t2?y*98Tv|4iRS<`55gvO%w{)U@l(EMwPFoy&%%
zlvFT~wbIhvcen3BeM?MA;wJ5@s)D!!{<HA+FBAosnz|!&rf+P#2QZu|g?;-r=mtzD
zHX9glg2d?V?iNX9hsGR$9prGEq0L0qBj|hp;4}IW{H}PI|H&+mqq2g^`*lZbvpx*7
z8Noa<h&-s!pTU}qmb!^t4YN(w#&(&4mBR<KG*AtHEu3=W;^WgqNFWHXW`IE()hIh<
zbxq9!=%N8ee`lA;Q33dFYHdwF9?Ag12Ugp?d-tv(UV@jvtJv$)(ppAFKDQe)M*jx-
z=~RF53IYuf4*Wo2UcrC*64KJ+B_<(-g>1n1xVb^`tbv>S2$PA0r5=WbV4>F#h@V>f
zSrG?^M*#+A-HF9zW$XPJ(9_cbR+yT4rTy(~##Bs^Cf8|iR~T0Xza&Be=IGF+yP@?O
zxH2*_0_fU$yBgZL0J<=^m(7F<CI}3P!K^NPotA<kIWh6uwr(K*)tFR$Wm%aM^s27<
zQ$BweAHxI#NGq^7;UOXM9(pVA5Ab(M@CjMPu|`4cKW1b^N2P48B7sVhDdhtkutn$_
zxHJHmV3b(%j1La(LECxjE5sWwH@8XYsH|j)A`sY@?WL-5T0;>joTMHtFhuCJKJtjZ
zAB%)1yHPEDwz`eIv!!JYOdlw8fHE6E$YJY1-PuD90Q$ptE>UX{48*h>bIk9Y69<Kb
zO;tHiMM%I<(N$$HT)@MIAq|^x2xMO3(8amAH?{fkExo;vId5V2KzzX{4D?7H0bCG$
zARAD0NI8t(hlO<mMIHM48AneLnpxo0!rj0k*iXv7eOrgNI>5FztLsp%D$LKld3*`|
zVUP=Vh}fZ9bv1Dc1Ppl%e6<_WY^=;;e}5m0VX!3VkOxnnKIPzm5i%fg1iXeKqM{^S
zn8;_K*U%t>S_(4-fI+|u5ri_ryd#DMTJPYpkByyt54s2N20udK0;mTc%I)5lr|vBa
zj?ha1vJg{J!U2jKn%rFXh?3*ur5@nG<iS-<g>hXyJ-xFmXmjVhSSo*)`Mn$(puqXC
zMhl>!2V@yAFJQnEst`<mS#Hogfj$P%`}4CiSWZyTZ52)s51=`&jx1Bk%5(9hGd0o#
zB@y}{pi&}|lFniD%O8VKiuw~wJ;P`S%!qNX?%YIv8FRq63V2&kQDJ@rkAOgm8kaS8
zZF#xszsBfO-TC^f-xhQ!diV-DR;8t!#KU6{Unrj*qBxTbP8CWqGe%3LDnNm@tRu|B
zPLhLZKx2-$XAks=fCs@mZi43I92_Ss{%xGYEc_OqD}k+t(e<4msLgQyb<Q2+f2x$l
zYj7C-e_wJaQHc28uN}Gx<PhDTGFoaj<dMxoHn#BASuQWCyZ@(Ti`2gXvxbJD+S<9k
z4KW!Rm^bpq|M{gyb4=w5aI(ruN+l&Fnk8f+$}kVs>Z}^^pI>nFzVL39_8?4n{XcBI
z30RM7yZ?PxBvGP4k|ZRAD3z%}=Bdb#v65MoIntyOG9_s+6p2hr#tM~+La0O{8ch)u
zp}F^S*LwEe|Gi(w@jQpM7WM1Cuj{<d^E+L%0=dVs`Y;zm`_5jII=<u){)5_1lYORX
zfByI}`HHH-q}?qOet=D)dT~R#%GT&hmu}p=Id0xRgJ@)n{ll~rqVpsEXkEJ*?A+wA
zwzg#L<=!SCG!%W>wE1cnonU*~X7=|f7R3=GTE_3qJ9%r127mrlOU;@-NGGogu%BOQ
zc1{lBI<*axTSJJ>l&-ZF%;*TGPd@;#o@Q8nWvr&cgS4~(O8aI;PFP)Tc;L2^g$Pxo
zw@cMKZMACMx@X1CZ%fKPIvc~AK4(mb`_kol3*u2VNA<$S_!G}o#Jc@9hnMj(%W_sz
z{`V1%U-P?E`QX10g36q?2mMQXx4xuDV;f5bz2xySF+yT6c&}Xx9K04E!9RuPk-&at
z;H78m6ZqJ_>kzO^$EgRIV>Yllf~L&TQ34dFG#($dZEzRuu_vi=)HlQ-s2dgg&9GUx
zFm+-REds*IKBGsgCw=6MVOWEle!grNoe;7G*&J`ayQCzrQe<Q)O^{vF+~w;p`W2!>
zX8+6j0<=608CuGQ#|FIZ$Gi6O^4JJ^E69iv9N@?Ky2q?^MsF?8qXpFKnA1W&1o>w)
z-}w8<%gU*_w7Hvp>i)+sF7D}a=J@*68}iG0&7ZaE^wGm5D<;pH*XM{**^4>-XT9w@
zV8Hx=<8SV{-F=vK?zLq`4o`p9mo^k!t=O6NV$zn1E5B;iE?If%s{ZHEpYJ{YH9DOC
z5B>G#4*KfCJ6k&3{oriOD8_t)aFR3W>GS7l#m=d_<$hIFWoKmx!f56^YA8#UGR{d!
zQR#kJdf&c%$Oo&M8eQf6BBP_@*rV)Q34zBkYu2oohf(kwOnh!CLui^U<*MfeTZWtX
z`uHF&0N3V^ia$ROC&gg@u3fuegqgqC^`@ptNFY<IsdxA9-={`1hSc9kv2dD{QaSyQ
zlVa_i#<)|b3h0b@v7<MXKtRg8lyLJvdJ0#rGGxh#fPf8%Gkaa>zl=i1AYEHqi~olr
zmGStodEK~5MGcJ~?0R|#kpC;ISuz~7Wt;CH`7m4fA}j0Bvu9(N0>JGU*93v$=+jul
z`&se)L|JL+ueK>}w=0o!^NA@{j8!5=&N`#88ms>k6}6m!7B-ci9=wcMsI8DyR?UW3
z3~3GtjadH2j~^IU!mqfZN!nzBg#8?HWnt3v>4OFgxU=!&6M#|HS$SDmd!eSfEHF0K
z=;bRQP7W(t3}YKPI4Y;Sm}2TZ&r8&^#Bb`Sw4O!3Z(qt3t$zJp+g8=(n0aj3yMMnr
zpN%g^iBVEkPEASiS*`r+*)u2{enA;C3?PI7&k;OP0=;?j<^VmmYVp+<hkdH8+C|*G
zdwfD<!p_?3iHWB&KFTItN_}k<&43Ddgl2u*xN-C5fmNT8|5C5mv!}@VI6A&_EnQJO
zbIzQT;56^91wLC*fvN?iMqZu^@0-p@5KvWacXb`oimf27VO@dXj2!tExe@Y(loTzv
z66ryxa%3LfOGucnt0F`&#H6KZ12Lc!WqcX$@y25h%Y&!#6Ft#U)P=aLesyX9l!=~w
z(ciy=#-ZTAK!}Q|GiL0bflm4gt{RO)+cs`IgA8)O7ORxTTa|Q~=uH{!<OMy1aG=@f
zp9KLFUrNq&@3<E)UtYd=QBu$uIFQHfHTLxVCH|?!FJHZqo6-rv?s_LDNJ+nAb_f{y
zbZKv5+)>*5*^1y}$DU+lWQGit5;S}FzQKvfKq@y^94vTKDxEtg7d!L#Vk)yDo;-Ra
zGyk5+a6PldXoxmI<@j08nd3XMK^F|^_)v%4$BwB8c1;bnYHDi8`UPS2>N3XQ(6BJs
z-lMB`_qpfyw%_al!*z9^Vi0-uY>=j=9k2lplwPd@Si!pKc=y@vY*Rk+%y!j{{dIIy
z4IM+gy;H9*&)~u0cuUj_#EZdVyFY=Mk@|J)$dQd~o;h<~;UAL{pouj5_eZ$!9gZ9p
z`(QWyPXK1{SKu#vCQvn>W>H#2<I33P1|E)sO!rAO#180ZxT%MRiN>C0S)Mqp4%nb6
z%A3H)KF_2^8Z|7QhWv}B1WfJT>{+uI_x)m_&{D@Sfkj8#%$;kfQ{1#54k6IX3)T#l
zb;x+cgClHs2Q~fueCS2-8>9XTKPUxVx^&5UtavIf&xWF}x_P*fkq4id7m9oWl@gK=
z<mkJ0rGS+bW%r&weL9G|bDxnqa(3)Z1W;nF&p?ZW-Ktyn?)iCn&|~&RC2n)28d9K5
zK_e|u^x<})&8xocyIPqkBQJ`6NjC{9jve9oz0A_(i`;4*jWrA-sNp70-itt(u6*>M
zTTCvdriIU*9heZ=D5WtV4c3h=AH3J9UG*WKo#0QYsj2)MTJy5+-v>1$pfTZ{Vbr)8
z8_SYS2?JNx_A<j%ZW9x6=Z>0*G^G?=&1ch~tU;^RuTR|cS>FGln*NIYK0a;Kx1_iO
zuQ}3yS1!rxT~k+g5JXRBy+KL6^}>b64<B}B5AEJ9tvb3~QQF&FJMh}nVWIE%cB4*?
z(?X3TH^s$M<;RyVHJ~oMa+R)K9d2VJQc!^Kkwh@SFixZPGx!F|3KpuUYH}<{aqYlY
zK<-dE3#2hQxfe@BQ`2nGqMfW?L6|@P4PsENOHosUF{w?ou#j4C*?hGiIHNx23!)g`
zyJruc9Tn{*cQ&_w%f$F+ah!882(*-vlbxK5jEE?M1v7C0?!Y}s<Vtm%Hg8^6kJ^V1
z9smy~?W?rQPYd22&6}l;p$nwWvFVVkBQCHK{Z&ao>5MwCil(Kf;R`taDAnC}+bR@x
zlk_SoD;u%#!z95I%OD<x6K52pnQEBWlvPxgp#S2Gfb<YNnNpb-I9B5C-VGnUy^H*_
zjvYJhbaTURi0jN=cP+Capo)&JuEEfuRA8SU8GK?OK1x2nDhiVh$$g_BE?d4lJN$Qe
zD$8P=mdKRl=bO4zMwkxeN0j#VS`1p2{KHZc%HZTQ?M_qTl2n@D5>U2=8*k9!=^7j7
zWn_F~GghYYTsdc!uUNs~+3w;}*__3Pr55wSq@#S;$X9KXG;Sn=7fzWzJ%LBdE<$Y!
zsFR<YD=lQ@<c#uYYM>6H;<3?HDeu%SN<#3wb!!W5O(0_GHE2zHhZrT<woP}aCkY8|
zbLZv?54)R5CHQVD&%+QKfT0W?_3c|g-?{cmz&14*h1uD?1`lqU<I^tRF!8<xHJGDh
zBZR!XU+=)j3_}emeY#Axut-InrKMHUv(kzgsfVg+9Q({`ugZgMOl=a!6-u1N$~dWy
zyrCi|7SuYMSW*xfVr^}dcl=uJ<aFq<?xMI#K(*}bY$(rNZkMiK-#BT~B<xc`Qx5Fi
zYk$p#dSo<osMp`;$BinQhmZOY(q!aS+D9<kwk<X~dX>jgwlvy=)M7htN7awkGiN66
z3I#+rP@6t^^6Hl30?-rffa-<g!`B}3^?k@7S?ezfwnP<IkU3-^cAa(W64t!BXui6L
zqC`P_c&uDfSYL1tG;9Ym0s<xn2N5v<7?piT`ynD}91abbEN=}zlzu5XTH#S>YH?-v
zvjq>oS@Lwjld!x2sTG^QgTH3{b#iiQzC42iqcF)Mv%)$#`c;;1>jUm#=%{-9nLA!(
zzf=y__RTkka)`ZnvGke^1gos9Y+=5I8~!?)2&V9h7YBUZ(bRwLKZ~|A@qY<Qd-xD@
z=KY6Vz0bhV(_1)e+&q0+Vn$PJY;3>2ea*c<cvYjjnYuSb&jfp%fIOi5Q_+NAPQ7Hi
z&0Dw52+@-e%p$WH`}~?tHjf1Tax}!*r`@N|{ccxH0)m3(SX+<6kP)0Au7r&rWfz4m
zUB8}L|KZoKYX%3qqB7_GLSLA-|NA<n-}JCHU0<7d^c^z9a{BZu2-2dXWkxD?lrBy2
z?NI4^3^y2pt(7Z9tD47ckq&?*xjz^w2B^DKu%@~8^e`CvF^0$G!aH2v<d=lkkt%!l
z&YhwUA0rHa1BKw8zg+Ioa{wUr?Hfh4rj=jiz=XAQ=@~SS9^xBtlTD4AxnhO(J<dO#
zx$h<;DL%@tpC6~j$zQ`9$^MfvZuIV=;h2wn1T(X;po#eMpFeiPLIM98{GYce*9x5m
z+(dnIsi{1jkkAM{Q#5Jjk|idiM=u&XR%_(Quqja-A+iouNuOM!{p5RG{O6yo&d&E|
zNlHmESj{x59&_#bb+B4yYe@lh=@w4fltNc92xNJKgOMh#v9l}s@k3t7yR&62Zdw4K
ziThPW=TS(AjNtO?(}7Eu2Fm-TmR2$GKoilb(ieUyFK2E+@=uMVV+W?-_zpaLI0RlP
zZ1`HAZr`<<p7CbUUrm}e?J4b6cJ>Cl98CCl&tc%j2i-LQgd#mT*&ezRX+L~W-tjHo
zU4Go~MR<r*Bmd1C^KOV!sQb5X-V_-tDwxaYQ)Zg0)~xwanA9_E1V}#;x!pko3BD3P
z)eSA=vTXUVRMxK8VEFh{c5uwU&3T9Yb-A%RW<OCmDz7DikGx`ac?kAyJ$rWgo*Q9s
zI4DT;D-RC#PcNmzr%yxEj&YEU$1E|UPZzM~_wU}Jp0U$T@K0ZHqy8nGa_z57Q&tCb
z<df1WD6#H6dJLL&>G08`obK=LZgb*@Vi1?t7;St%|5D4_hL`bT2)J{nPPE>cx|f%f
zq%0dob$7z8bj4p~PcHU5l&OFuUjiV)M~xUkpCj$fKDdPiXv>!0{1;tAeZ4r4k>;#l
zi{{K3?pC+?<yAS~l9HuoE!wOxj7~HSTHrETgFVd~ymxPB&r^N9GzSkp#dHxChU^Q_
zil2sams-!_EIu120PyoR+ek_*oKAnS|F#AaBbf)8W5d7g<<&1(xDeSkKU2hk4;$lk
zRs56fZr;8v8$M!KOR{p!d{w(|$#g5lwn^sFEilL<i^jQ{-Yt2{A5Lqv{>DcE8LFh0
zUgf}-W5-5j<FjgOxNThPpEvCQUC!fB>fG7O)pO^y;m_z3H{IB=taZ${c8P{pbOGOE
ztJ5fS{oETpJLCrAu-x|657CWbt#j9|Mo_wXda6%e^ocutfC61HXm<Nb&(qDaU}=!Y
zoNCb<G<#@S-7x<>eogJX{+~^6ThCg#@_glS&E9oquU*@KHgr-anU{`MZUGAt|Jm5&
z;OA~&WE7dSZco-KgR^Z~AMoh~F1A4hPs}&9e($Q{Di>XqOLT&_ZUsGD>bAjzBaywq
zXJPb}{C4E9d5dT0kP|tr>`i(M&O`oy?TI<)8bG##GqCd)Rk<`6DxdtdUzAz&?1`!f
zO}2eX8?ekD3aA+HY41b~TroZP->+v`eD+Uu^`t3N<lX+vrrhyb{~8RCtrerOOZxq^
zPFnowQAEo>oUgP>o;POQxovZGKKR!>`SR^s(vIJ<WfERy4Wq`qygD{K)ML7L9rel9
zwh)fvEpwNvt4B?xMC10taJokN1KlO}fI9MCy}Ff{xa3iH)(J(hP17v`IuJVc7`1ih
zx233&f!&<c4w!fBLFxme9p^NYO!85NSGq!AGf@e|*SL1A^SQ1nD)KW`1!qhg{7Kqt
zERIZxA&-`d)cbI75AYBakNk{+K%;}Uk4BT{cjfYBy!EFm={?+$ORa7Oj_Iz~$n=1F
z6G;%3R1a!O#L@f9hCO@ww5F#l2L%ll_K3Cv`+UHS&$z<|Vr|bJpsam6HrApqkA$|a
zzQaqrs^|at=inSRsoFWw88LOyJ(r<E1f9X#=J7mbWG_4B(JcU*zskv32sbL+QQqBD
z{idMcM_C!Cq0WBi@HLlPs&NRSGC*DN=UCr;?42N~toQGyM`nx83;4K?8+|?6EB_pB
zk;o6vM}i<sEp~?bk)!Y*I56HVYnwLY0<toi7iodXxja9%le>yEbwH#k^KZ*djb~c`
zIwV<Kn|MI&7R^I}tAke4oQA6Oo(zDSN4|gcY73)gQsbY6=tQZhRMPfs#?G2`1bTnz
zQZ4mYbiy6S!#o&a!{UhpD$=ns-{b8UgmDumLKz@H6%V2vJ2XaYe2|ghKjS<#uMX~5
zNw#mle(A4X{YI$FQkRnhLw784dLcHvD}egJKcKEmf$~9r5c*S_#}2UPK?CvREnmC#
zlAm8XvmB+n_92?#-db8H+iMQ>wZHL(=LQo1K6Ef7M73GdX3`c3fuD%)LTBmv_daZ4
zuYgH5`|jOqU_!i>!6Vx3=f|-iDaflE(^7~IfBdP_A}rs#&+XM%_KS=O{IHY<7ml5k
zzV+6n`~>`zF02*S9oECWiv0#ND<$3Tb=L3g$~wN}VB17^q3M0PFb;4wL8`J{*RNjv
z`05L<+OWo8^o=}yP-bW2cRal2g~!#J^w0<pMM1gaj5&8Mx1eBfLjo%k2}E8DAAY#0
zsVy^zVh#8n3m+f@D20*JZYeS$Bs{z)dT{b#_HR*iG^__(Gk`?b)064g5d>QB<g+3R
zVP?Y<+`ap89(h*T=Ddk0^HRF=20(4db>R!cvm88NU;k90YD^0t2TBqbACD`gtsvTJ
zX@N+-m-LER`f%UDgYsl`{CGdAZCl@7vggm9WvH6FWQoS1bj-Kc&YY1PxgBJRvmQw&
zdj1_d#(K<PI(z(>yf{JNSTz1H_R-V-XaUsas~4zs?_Mh>z2d8ZfkA}%0){|<O<z;j
z4?J>+$YF+tX&6$U(D&1>wB7NQHVEUCmqj8qQ%7l^pI^H_2uh`+2HW%pt@7H%P|;=Y
z1FySHPzHD6;sk+G!bjUsS!6EpvHC)O=8JF>UYC2(eF^Apd!PE*4rCaNAMZ;G(+cXu
z#`=x_dUf5-Ykpxzj+9hX*v^`DCMxRVw{IOfZ9~$Pk(s$|(<YGWu{)v*AN0awxaZIz
zBYk~~9$9}eEB4ja{=`^GO&USW49#ujUjQ3AZ&4<ZL5Kw{ouW*$hbnzuD$@jigP~VP
z=TT~EDPXYR$+<o9BoFXZP!L~h_pNd)ksvMr4}}S?v1DCnYfGQAzA)SHc#p1Kw|#sP
zL>!0uh>d5rO%}@_#Y@yfxVV&qein7?TzG)CWUS>EX1kb8^JdPRJawwWH5=^ts9HEj
zk<E)@o9tB<O8-Phi-c?vjSbE5>;(&+*y(}t#2_mF$e;^Y)HF7c_y)l3kq{~;8G&i_
z7|H3x`A5B#?EPs=#*dG>e0f^PS2R-CnK#o(^1YhJ*UGeE*pYaBJ~1&7;R&Q8RTU)8
zz(DC>GpPjhVc?Og88KHp3uAhbY<;7+&S{OHj_hY<QTBfPSdS+W4v7}*)923}loFw*
z86xD{Qsp7C2|RK@L%Mu<+xMgFH|O_jEVG_4VFmn_Wa<7U-gGIw6!RR7(%e2e?^fn3
z6j&&0!a?u?OiU8v<B?7oYidR?3CL!K4gdDH(4+90L%WkRnhQ2XI~U=%U+&;Q<)PQ}
z9vM-QIV7p!%#|ygUw1jVz$}(NoAKycKGYaWjW$E@1>Hm|<EVS=<jFCsU-ZEiBHTyz
zF_PccWSxtOBHpI`!8k+-m=TY1%F=;fB5lIUECwM<xq%=$Dl1bV>k5)Q3h(wAIQOz=
zEqmiLv=;JR@!k3{BOVV6tE;aUUF+)=q$WB7v_pLVbNRBmsrx<l%H_+BH0%n#-8xE#
zPD^tS1A^JQb(m^LM&9^s<Fq;-O1IG8D_74ks;r<OwA)2@NA+bVA+P1hI6uFB>C#ky
zZ_Uq{xe4dbuY|>dQtzy7ya*~aC&${_dJ{kp-;#u$`(6$dllAL=06EXHwr1hs^gYJf
zF~873pxHgj5P$My4;2;BXh<oR5;%=T%^>{&6d;E>0wkF{Oi-#!ULh8IF}yldO|UES
zVvdD`)WD-<e!Xof9hGU`zQaukJS@KTj@@lPokl~?Svi7?7r#^_GPwQS?Yrzf3;SGN
zuHLzGRl;ZPLjYUh*EDVY-n|{@1XyRg%~c<4OHEIoXl~w%6cm{E!X!d-8qrIp6s}*k
z>?UB)fS?7owx(b=OmTe7nmN;_KSM?U1{R|L;?=$5r2Pn0U1g{$2Y>e`er8vrnqO+N
z^lwnxwaPTuYEva998}-i{(e5^sYf@h#O^T_(t^n9QkMh-Z;uHkaxCxJty}x<Qj0e0
zE7`YVG>w~GUGK6YLZ|H>IMFVNZs=jLbBz3*D_7`xSF`i|RR*P~^-&K!pf>yo`b?%5
zFzB(TH*eX}{zJo?J48Qx`}!3;bE@k2;;I_pO2+-v42WQCwm^|`htjVujK$I`cW??_
ze)t&I6^@Rhb+*_a%7iV2I;F(Uy=)^P&{BGuinhT^m+E-~jDHr7F<hYbM`^J1VNP!D
z?t-s8GR_fqcz03x5RosTdeo#{U)?Nec6x+!_&N)hPC?BZF<5a@!N8!eSbz?S-_>5Z
zKymSZIAHMLxmH#RD;|F^+TMxFRPb^3>(d91ZZXO&^Y>ZXA|aj`|LFlhI%p^~HH*js
zSm)&AXBno40vovstLk-bE++3I&6ln@q@zTvN1-4Yi>2!#g<?XU%jhL**AAQ(91s9@
zrW9f!DO8($N;GnNQXSl@q(1Q2G14IV9%h|M$@;#i_k1`+q_8*Qn&Bf>%U_s%k(3i`
z3n&3_LODuP66jQ%JHCGT@&iF>^yur>y|=YQfw#f<#J+t`K*D0G!Eu{>B^v{d9(_<+
z#r$Ho-B^7F$NZ8drx-k(>^VyL>e_+r`wiy>oz6pLQqwgUVz(f+)0D-u2A1c?YmU*@
zPD@Uf@Yk4r!g#2@eqd4|>Yg5Eu~PavZt_!X_=LDrjn$1~;QzeUzT8;1Gt|6q;A5~e
z*6KF8;n>)fH{Q@$=&DRbllS`dyjE;rLSzq<oi-uEGi~)h)N|NVWAiTIF}v}`(fF2s
z&3Z(d_~ZE(sTlxN(6Pl=`m3y;K4r>|riKyCPdbo@ajF28inU@F7kT}9mxBfbr-73c
zm&pM*d#w`$yLIb&u(mDVdHZMk+1$N)s#i$|@Czz6=LYSb)Xs|A)W0>z9Xa-5D!j`q
zIs?;|(F{`);}@-8wCDub$%!N)-{7FIM^DpMd@h;dya%p<TGQt8YGj)y?xD~mNzJdq
z?@L)(5a~7_KS~I^sYSDA_o-ac&XkS`wnn;zZY*miOD{My^bJRD{mpY(@ib1TpN1TN
zwqjT)yDv*Z^yG3>gXua6W`K#z+7#b*QU3tsfY+y1b_|*_ebOXPH63~~sD+;(wrE$J
zr*si2LAF^YUmlL7zx%Rz2O#0>#r&Vr59`?Q<yLj-M`I9a5az)_!cT|bmv3YrP`9=_
z`B$Eo!g`L`(WdvNY1%o3h2hN!YF>{91!n{W2Xn{DlxfpC%F2czAf-76xD$=2tS(ye
z!NJ{?l^-s>mbmQ^|Fn%=NN5{#z|5Id$j(yk7Vo+GP!wxZd_O$utZ@i5E6)6(YcIx2
zU<S^4$&<cEkG>SQwuJ?xv$6VfmLVY`Kzpb@kT9)WwQAC7D{x)=b`pZ~)~&n8Oky04
zj{d?=>t}qw?rS$KX@3%_7Nv%R3b_p#d2;>o<>R#i&PGMWuFGG6NwTlS*s=8Pep;77
z00A>su1vSnLqO2n@XJyMfa5wgT)G4-{Fg4>1?T<Z6?E(vqu0{$x6oew`USt*UPeZt
zbLU=xkE!F%2QHzN+`PFOr3#=s0E$-c-mX{Mr0EPE48fe0A}0%PkEn^0S2V&|Smf=X
zvr$r2WqrJP^@^T91c1w>{Bgv~EvQhgER0PlQ^vZv>f)%8BRQgo%p0PueJ(oMg<t_k
ztxr@qY-bJfq&4hEbkeco=*?fUV(e25oeKDg-h{6=&4{QTp<^%HXK=(UJRD(}RzTeP
z_amjGyd~bIVa9-SVZqWcp9&6+MPQ;G7#bMJX7Rq_|D#7d0%gde(WDGe9nhFiicr#G
zmY+ATQ^$^^pY7hXFvYXpDd8Q)^5L$397Q;XQ%tKBr)a$J5-&rZ<5pq_fvW2R8GBlk
zC=3_?2TQL3t9k?!&_A?m*UrLz+K5#{TH-MqbUVh}M$+N$k^Hi&XUCSSpWIavOFq@K
zf&!A;qyPO))p)*?R=}Qw6a%GI1_UC`u86Jw55^$jJGQo_Dss=BM^;M|Xel8PP`(fR
z*$T}B?ubT;v;$}cO=V?zuj&c2W^JT3gRi#GX#JKGikddiPoku?m>=c?Ozm<{1ZGOL
z+dF3-6oDD936ZA<Z9FXBIr>dRoz|^}{G-2m=I5Qhal;xUzj2dAF}oT3$83jL#0u}P
z{x5%S3F`f`aKO-a>B>Wu1`He+&_zM~n@v7zirwby7})Mvt4t={FTM14bu|Nsh*oXd
zJk5i{q<{YlBr5FVJzt(W_FwQRad->ao|`+DA<urs-ikvMgLm&186ID^W(~+*&AN*+
zvkb(jQg@fQMe8}efp^$dR$2*QI1m8Lv)>ZRy8Qb{tc@?Q+~F223f-(o-)lu>{>94n
zKK&Y-q28@UFw>xWu6p45gN6Bqkt1e52o~-3WQj?%VcX&z4LAb?m-OtiyZ^QoiKopQ
zD~r9aU8~~c$qN75h&*@ewr#eg<RvD$ySNx*iv2kO!?lRDWWuTvXTY5D!Oo+RlNHil
zaxZ<ROZ}fgb!*)P{NbRYM3KPk+vR)(0hW^^OduDWcH1`6G<}XRThAxXz{@KcL&A~3
zK>MZPDM<9f9}}#Xh7$7hPQY&dt7xEKw204Z=M)kawr1tZSe*7iK8x>er62tnOb#O;
zYF%xuT!XQak`iqN0gxUvG(bwq*Xy8`C~~g>Q4)5Li!pTCBKQZ7TGY>5e|?%>!}#_P
z(LYwf8vU}x{cUD|+vDT`llcOguNOexsjDlJE>*~%_;~i9UFv-1-}0_BG!mk4lCGDj
zgmwx{12ct23yAZnc{%G-FWlr?3OEySi@cwxC}nkZ-G;k;8_RAaB)q5T!ikY0vnl=^
zh!=_uhc#uE`i&Q6s>a#wtypHoasKyvzR{MivtQOX^scF?;Rxx+2m=mw<;r*VsBLAZ
z_575On9#sddwv(FstFNP$1h)W4g)kXHtuN(>nY$K;D}v9Z%N0G<hZQ>!^f+CkC<@a
zz^Sz2>FFf1lSBf212TsP4yn=NdoI@)kWB4qj6Ux~@3_R$vXf9r!_D6Y_J#&V3#cet
z>Kw;926dzA5TwB-V01g0<ilVG`XXg2|NkrL2)|NKCCNNFiogU>3(?B^rQBU#n0P?h
zWYj3+(mU|F>b*}*wP2xX1{MTK3XX+|i!CgA8yWo-^)Hs;&oeTl1S%XLfH*%cTc*>$
z|MxdH+Q}Lj8ctx3naX|x+q`(;LMY=yXeb@Qa~fAb=0_PBzrGoc9JzqueeT@bNq6{>
z;MzHG!5F|jB;Nm-=ux-x?+;px_dICd&YZL2<HBf2YY<#v&1>55MPtpjZAJ$sxYqt$
z4&fA>(fE1HOG+>cWxvK4wcjR%;dCTCaH2LP1+a0nLVwWlB!4RU_%RAd=j+#fV+3ZR
zg*<Ay2|l0R<dG+TfKY%7*xQRjp^zHR4GQ5@O-qg=IE6@$&+W{{k8dlWx6_^$l2uS3
zFX#*yaQ)^@Ob~4(lOZ`HBfTd?a`^qfQV(s_hA-A3rp-*k;*7U2R$g%amOBXaAGCY4
zM#YB@<FK2~9w68e0OGuJf>r=a1jR~Bz9^D;_l`->xU$rlBGgTP#j4e-8Hg~{o<1D_
zQTXOgl1tTCGGb9oaS5cH98)$Sk`ke)N_aV`1(vuK&`H48e(L(=2ItQl@{JxoY<no3
zV;M%=JiLG{@aWMVk|g)+A@PBZ#X))w#k}Y|qxn)uE`SRmg!D0rI+ifcX+$$}t_xe@
zG4h}dK?E2&O^n)7S)dxyRNWteF%1C|roB&pr6({(kleK=lbQ^2Z1Yw3`H?(DS%MRX
zZb1{qpklvvtt&eTblu~rMFNu>oy>s)&y2<>_sH&veYWJmUSuA-4t|0y0u_R*^SO62
zwHV06f{r*Nqr+4YM`p3`xB!PkS!`H3Wc+_fw`+&dkYqp|9i2%v(g$iP2>Zh{>dIH7
zfdU7Y6d*`)a&iz8`K87~zyO*s4^qlZcGd`;3Sgt)#wpDf9x0O2lPxWs_^x_I7cO7!
zm{a9)@64H{j1x(fY;rN63RkQPo%VL%SO!^nKmE#5v#43Lv@tvRHbWN<7dT5qV70nT
zQHWqB1t*NCBqWeJxd0j1y%R$n(x6e>EDALlIA`X}p*UZe3>&Q~ej;#9k>J7^tWGRj
zW^(|;hM88ha-TWw*km=|WV|cs;GJ(~uUt&Suy}EgxucnU)6yo`@BGVa!Sn!yW7nZh
zQCmR<Ua_cou-aEk{qS|&y?<K)De{&`DP$ueS}0z90U#cM98f4s_oPn0*Z%VpdX~o7
zm^_Z~WU~i<i;@08N=}(HNfi_ed_ai!+s&eJ13ec3AZv4Vb=heDV6{WT?U#B0tqCQU
zrz5JrQ&*}!orzZ9#S0i(^9}ENYRLL_>DFyNA6iva#$pqj7fbuxxpO&WDezP?CP!+#
z=(RF8r!)Y5Wxagq^J}Y{?5~Bp2n+yjkzN8mGAwkz+f=Q9nA7%VW@dZ=09PPLmBEW-
zPG&=4AQhG=_sscRnnfSE=B3WG38XEN@qGIStDL<7Ce3$Z#zpU^;BuYAED3dsm&|#=
zZSKDG(yD$KW4+9sQC!jbmzI_me`HNk!ibJ$l0%UfFo`m}`&>5ijTz@H!wmXk*|=em
zmy=+hDsA(LBgsw=)VO*>v2&Y4>D#t$b>C`z+PrL&Rf^=-6a#&;e1$X%<w@~w^)#$o
zckaB$!9`C%7k}+40NZe&Cw>Tgk~SeR-{$E@(}pl8^0X}8yl6jkGmFe&>C&Rl%=0Lp
z!G3#H;8MHL$}N*#DBCj|eq7^FJJVGAM5I0qqj{O-X<~w#fq~}7=1N@a=JV#o-nsMk
z_3Ky~5A2L!KRj}qdEjqt8>jLOjg@5ukkg)IJqQt|_KyJ2C|B3)LqR;elZ*Z~$Cwzf
z-w=0l9)g?wBzyx<YX5$WPp3v~I;VF?%6DvWW;|RmtwqRJK)lq${RKN3%8<Y|-yeW1
z3_bq3r`y~qn%AyeIZ(LZp6g$Zn{NOZAs5bB>DaWP-7y(Bu!G5IGP)3(p-$yYf`5YK
z<ZSXg!stVdOG#Pkd58YQc(2U5HK6f+shub2d%yS`;ZvXUR9I)B3aoLRqksm4!4dj+
znzqAtMg3P$5NKK98aYP8pEX?a-HD>YmIPz6vBV(LHDQ5)n*cWoI+%1W4CK@@Pq>S?
zvfrRV49jRHPK&a+hyw(~1K1$QChzSTN*|HbmQ8i(>@(wh<osXZpe&$c^^JcE*?Mgf
zIjN(pbON=fe|;}629A3H{7qQ8v;>W}o&=9x_vf3O9E-^8HcLY|<`&)EI%v_4&5#^)
z1LD^w&B(x@nq|W8fr;Hr<e~2y0_!036Ea5Y@zrVgim$$8(XM<NBJnw-T}0*-@c!&o
z2D-Br6P^F+W?Woee!hqjg{)SJh<&EmxpOutZ)02yn<d{us^;hCEAD+D@pY_rAXD@q
z<*Q_elI-U3ZuEW4B`zQtai-69-d@+S{Pa(K$2>j5<BjES^yU3-;CO|4a9?{dDvBu=
zI}Vv7iQm*OqTZt=a%$|viX!J-6zjHgTUk^CijCvC9uQnKygABSpPN?o`#0+lh~^U0
zHw#LQmDn{4FNxj29z?X%SCvjwJ+y;2a%Q~$;h!EZtO`MJG#o{Pg#_K>UNeI(NEjI9
z{Yky2tsE9gX`!)kK6k^Ek&i<F7_+8OUeCygqjV{;TfrG)wtPKGJPwQ?49v`#ouB$8
z+adjv*gfqhznasL!4Uj?Bs_e`fB|nmmqxTmKQf425g~_UH097cb(bhxKVdLydj5li
znVbMrLYEc!{-T~QAu+*-B~FE!KK(nW9hv*Bxf#yAEZJ`qui3MelIX1$Akc|8Ku9Nh
zh(0f?Ic-MlPEy~QoK&Xm;C+kSm~oD<1x~b?kkXK8xEDsdHyA&yz0q+>IGPJfeYcC9
z1;+0xLUZ#piuSG74(z6?`lxxy0nf!q;He<2c2Uk;HDcz>nSv*h0vDG!AD?lXHyZ>^
z;UG{>i#T)gh`Rw#8+C~}I?S_Yi96eyDIZ$z-w3(zA~O@AZXJjPUx`Q?b|uO$_yKQ!
zDWi37mDJVIG4vfUKuukJzr1^MH?X~SfsfG|h`}4y)3KZ(14Z;TWeS~B#)AiKrm$U_
z`ECGi*4FwaCK}I2Rrh<k^cv?uOi{aKBxsQ#g>nne2A$3B$W4aF-NZJ*sj#HVMbe8_
zyuWj>-XU**228JfA>{u^Uqm)3?`%DtU>lHLiDV=<Xdm{DJHxoBGNi4rC}9W3Zs&yt
z2Go05L4jKEKU6J|1X2q!^72iz8c1bh@{xuh=U0SCpkQNoCOqxaCuxgsdS-dq*<R_T
z5VpV5dwSSOREoU%rFjlsODBbI*|2r1e1{I8Kzvj%R!qq$H}|!i0gbEAnGQE`sWjsx
zTD-Us+yR{msDS;jQ2Ni<>(^6q$9M4Axqb90UeWB?N5jJl`7@l$kP+b3-pP-iJb9bs
zk#y(I4pvX#W2Fho|1BeVW&1^{S08HQB)=B*gU5hdWEHScKRxRXNM<s6s-*d%Me2!H
z7yTav39bB&Le6Kxi%~AbjF021JZeozMMC0qk0Qvaw`TR~<gOl6(%_61$9CkcTXSlj
z2DB<8GE)TCJ|e)~TqoB$DVu40jg@SjlQlaj|N9#sfif-Q1DIK}^r;nK1jkRp-!}hI
zk+l7970KP-?ky^k&c+jE{++hRX?z7t;${UzRHu#|`}43C<pd=0Z?Z@K3#$NId+_k#
z0djaccHDj4puJxz+79BV3qBuIDC#`5S(&38{N`Piyw~PEX3wNwb-nPhF!Drm-i*og
z9Vt$`_J0Yar)nw<RQQjGWZ%YdO$+;`ZS|P2bEtuuTz?6#Fu98rmeDE&^P*xmW~sNL
zBs+OS{tp30ftr<#-#S_C0T-M+IXQAr+uXjrS|l`kdKQLB3h?O=(G>ltvu6{HFTs!i
zRSXVZYj2<Yf1nCX3c!7&oW)s~0X%^k0x%{RE&dPk;T!liCr8xMRKKxicx7BH$caWF
zA_`E#A6YhT4ej0fox@Ws+S>lU*$p+1XlmacUFdUlgddUaY=61tbbzt!@V{3cKYxA-
z5R>z!R*@5d+Ren#E-1*~KZ812!%;R1L2YXIb)sY_@0|`mX6peD`!@ym3}S4}d;6B3
z?ps+IablMf7>eiNA0r$wX?wK_MAV5iKh6b?O<H^)(jgGNJ$jr(1pF{9?dM-NxcPdr
zb3h|v9uPIvz|9Xf+5n=0AXf0&S{5h+xbEUR2L1X?jQ9YaG0)l>(a!E*wvnN}{&BP#
z*gnL9@$<o!ZQD}6{=ZrkL@^kxx~r*)1A7N}$F9Qt%uGv~(y8eK+Oi3$zbMfJ0Yq;`
zeG>f*kOXlBBxm#$9fJixb^lw}B6Hyw!jYA>FT<U~Jw!Mk=$l>@1psG=UldF^1!y6v
zjqL0I+a;>88-+V}@2)m@OI4?2VR@|_a@yUk)2;Y;{8Znmo6&`}CXii8XU~o!q|&tN
z|Is`s{OUP$sSklgTPH`&0u0qK*_rp|&E(Tob@!H2Ve#%*csx5a1*Io)+vXA7aZrK@
zf$~6mcUDv^H5yI*mQ3M6=6z<Z&@K$IiSbM=-sA62z{U#B*w#{A^=RLN|7Za?Zozsf
zLKHIWQH&xVhJe}fy}F~{OAF6?@!}_PR?MNafh2D~K>3Ad)8-p9FG`pm-0+ZVjr@q5
zCvpPnX+|+nLU)%sef8c^0+J0=3N|raQ-NB*p$u7U>Q?umxR?(ddHOVIXdLGBB+a5`
zc1oP(7IQfoa$e+Lqi9^z-r+Ps!~^Vg`wf6XvOXh-V8#Py8Q_>TTg-A|vY;%Gjd4hQ
zM9IgGeWzs>o;Rs4_pej@QBhIA`~VsyB4+dEt#ooSWgaDn^24W3NLWvd+BO420@xZI
zDu2qN+RBuknw$q%B~Ap|gLm)naoMnxv06(Ea_iTL5YhJEr~Doh%1)wj?c1kMjpBbP
z8-AVsEPjEeC7<AQ0LvNFvijYZ&L)xw)eb5TR-Gt}1N1JM2m6kge5jtD-q4}(z+c+o
z2p@pP*RH*bqS|q19fB#uBdTg@U%z}o+#~<-*4hWLr2N_xy}U>Tl=WpEP8Kz5y!Hg&
z+7WJbH=&KdJ@`=E>ax32PcH5W2tZ>$g_<Z}LcP2&cCenFRYW`d^d#BtH(Q_7@Y5gf
zudcYP$BiFfwt3{IEww;q_4N+5PzC5t&Ae~gp_<lTDZBm8q;Si32pyPEX5f8nlLG6G
z?S%+;T4bhfuw1(+Y%6v(E3H!8E_PUBHetfK%r4?PptWc0b#oVQX9Bts%vP@K7ci-O
zT|bHrua3YPlJ=^rAME^?x#PRr*BhCM(Wb>F%|D<?kSL=$#Y}`z$jPabKZN#m?BOlw
zOA>b#@!xfq{9OKjJsR(>Ff#wgqtU+XwEJ}Lx8yC(nzhu)DG5P0+E?__*vzas+Gr!p
z2r=!g&y;p`n57=WJC?<o&}2KP6tdMo2xi&o#j)mr>@csZALO_gJ{-H+iJ+j5KYk>x
z%+%0rq%4TR4jxVSP)?y0vMa$x6YKcq2-6LC4{sDlV|8;=hYMV#1fmoZL!{AiQ8k2{
z1sVwHPFQFt(c7O`TY@Jc0AXQa1t|>y_nDH7M~?j2Z=>-ErhIWqk?Dn@GAHNT_gTn!
z)6&x^ePJOXTo}agDZ8_t<N&~T(Ry<fQyawqP?uY#9B$oDY%8FDV%&7AQY0$>$gyK-
zORqsai9eWo1Nq_LV+gdwq>wQO07p`$*Gu<(7k&pr24@C(sNg{h(|Wc==0_^P7y5nr
zyowa$f*b;73vnOhzJI?CP!m3hf=XXqvmcQfKe3r81aDQf*e@6#URQo&$XCm_%%pny
zAP^mn*nwR{Ma=yt+-TA&hZ%6sZvb}+t!WvkcW&Br0}UwcHEo{KDg0s7&qQJ#h^usd
zZPZEhRAB_b*JVFV`xiNHIN?xdN|w%j;2{G&!vjvu#7e@m1pO3$9X{*=oP!0acpl$D
z(p>KmBZ{mkFdfT_W~j#Qvdy(!1ZP^7v<N_sn`v6<C>f9Ks;J0$gea?V6kl(I>z~UI
zFueGK>LacLmC_hem;hM#j{rz$iD+7xpjqM7DrrB(KM(h;;@wsNmnXUs?F50e4hR#Z
zj`q^jq-GzUbe0D-2GvJF!YF*IV$wGEiH$v<!`EX}Y}b7uARnD384CBadfwTgK#)@W
z4O>sVMK(4eaH4!ij!T+d)Nj~QDC(F2-{Z=#Pw@e8O9_3BB>((BXV3Pb2uXU0U!NG_
zK3(Qrw!ss8gP(%$UfuQX!M%Iwd3X0a$T0K+H3Ln&x_m#_PB>%~QauSML4>}8dbuaP
z6ga@Nd&i!l2H~ll9yaf-leGhjYbI;rLTbPNlJp;|+99YTknO2=Wu`BFv}_~dgXY-(
zVHrW4RDC1V<Kvt}=O&`GuMoG4V1<T?VG=z;r~5z_<e;2*$(R!FTr9c5ik0$m;i=SO
zf-qRWHdx9Jeu~*T8tsVVs`h=`w@E4VXm%rH&{%!&kRi5k7%ys*6kr@{M14E{3m`c}
z^vL8vJ-sb-P;au!@g9h`WW?&_Mu`F6PzaLOrU*jNl=s}&29Qb&p~rH~E_<EL3_+rt
zoGK9AB!4f|wme19W9r9^xQI%=epTb{4)zFZr=PaAtYaLOb<TvEMpIVfkleitIFlyH
zd}<swVFHUsMG)q#POj!?OPQGh&|%&6_AYzGj|@wk=`chxojS3RP7Yr?H{5q8oF4kQ
zsHncjB&A*>u%JfHoA;MikA>_!NB-soaZ27%e?zTR5i)o%cZJ1d+`et7qkGsS+QaI8
zy!wBvC2z>kKc+iBCF$IeaastGuGw5huHLq7Tl*CE!pd9S1_zHix?*3=U+$9Yz!h-~
zwVQNH&R)G*h`@NdLxuHL2>}d-KaQ}D7N4#t%+$l=&zuT}AM<r{fsmV^n&Uq0GBw#>
zGcTEofF3MtvFGRrcI2oxOf<W0qs!>pBFH#akaCz4hI7X*xsyBgR%*?$(9jW{=E`4|
zJzDm&`OUOB<32DF<Z$89&kyZ24qd%)Vd$`7yKKo#q%SfyHm0_LB)7XOO5%7Tm%e=F
zp(x2l{p}pc&&JGdt3BHDPLYe!+t)09?pNvBmFwA9(@;dXJl2@BYCh!0)n(wtr}<0-
zFMhr=I4Fp|CN=)MS2uBaL-tIInsu#6%;uf_8VmqwD}~u^Ick;4^c}K!<A;T+cj<DS
z*^>9dQDS(UEcypauOW~in~fuy=7?629pyX!SHtknRz$h8(Ao%gH{O625L6Km96ZsD
z1rMoK8}2OYdwo^*87K&O=c(KzM>EMB$0cDL6z!gex43mud<6rwL8C@>FKZ|idv`82
z3VgiZ-``u~6~&O$*&4)kQUaI+gE}|{7}9FYy$e;tK0sU%j?y_Ja6+WL^=@iBop}h7
zB4PQX=g)WRU#CL^c)_IGR-i|;TRAFm$L|5ArXB$HNQ&u{cGQ`Y54H(NgWa~+(h`t?
z`;Z{Ms6g<s5(Ps!3>IwMcwMj81E?M7ru3W~#Xn7YCm$~(h6z4$Fr8xzZNnvGpB$9V
z$GF0UCXJUW2*`nUy%Gb9XyQ4?d~>UrGms>)Dee!0vk<i);dE)ZE{hw0U6;2^(9rN=
zgY`LcSc_U`?%b_Uj`l}A-3r%0l*UZrCmOTu$D$V8=zzb!wUw2p^~L`Zglwi;i8k}_
z@M!wGrcJI2w<5NfKcZ<-vFA}mIU`5)?p?~E!CA}qFWnf=O4e2R=9*+^&B`D=$1fTh
zYAvp{@Wc)!wo~owG!1=YaE`$l)(FsVjYz>8j&NuKi~?OYF299zf&Yklfwdt@#q1J}
z2((H3cRB{zX!`U;vFjHjf~y<V<jdhte@J)UO-(Ju!{f!-$yk&CmD&ERA+k?)e|BlT
ztWs76?=SXxq>#q82j}krRs&F`u^K!Wrr^1g=?*|mMFj;-EiHgTV8`O?WC+cI*#ra}
zts%<9;nJFRh3oyGt|id$j67*VR`{bwj|wt&4+S3N#9UFl!{U4ny#ehxv>-zSOt$?F
zety(K@_xiJtVh<qIk#Qkcjvjn35z4}AleR}4O<*zUi9Rjk)4!!yuuvj!0gFNL{d(3
zz>MG*uoBV}E|AKPniQ^#K3cY0waOBJGHHPk#F-UB^&lRPYOb%RCkRkLBS(yYDI2QV
z5&yGkbAzI+hzL)gPM^1$;evCXjsg7<!U-mUygOeC0=P|VI2J&zza#mZCCJ2x`ibJf
z(SWiA%Cz`yZ*`BjPlc9q<|rF(@v9kD^IEZ2tIVO}8XyTrLnMSD9{o=Un6c1J$+S_I
zPye_PqRKn@%a9kY%wn*WI{W*#TQ>&oj&a^sB3FfJy=q8Eo#emTj?9#K@6>z#Z;&NX
zMqPelpDt~el+<x~Qi~eINcb10vHUMJh|JE(75-ON&zK>9TT%UAaYNbYmn0T&ui}}T
zH)lU8Rj3>Hf5jk7Qs}#>KLG*RR>!nSlV^P}2f0SJm3&w7Aqkm9QQ^F{|BbHLo&jA+
zlLuX)tb7UYE=&1W<K~GMQj){F&$c~#?CK@{K(1%r){}dNNS`X$-=Y$!zj49$@0_wL
z>IQzI4GBAq#vz0T+_sVR_U(YD*+U!YL_knbaH71{jv3tkUzDgOS4kkJoT;0Rz|?h3
zoj}oLn!EnSk<;5nWyl}pk#f>v){ChL+dLs*G5eA1Or3xwR67_onxNkWo7?|uOX`0@
zGzwzpI9*}F1zc~D6}qbZ3uiTqTk$)8`N97vbFAx>jnXUD9nV%DP_mW~+bb6?)Gq%!
zc>eVdlp;{MHYLZyUO81ge`+)|8toI`77qw!_T}^=b-xmav%bKCX$Wne&<?!5vhX~f
z<W{X~@jO33Iy8{Ig0!UXb6W^}Dzb<>bT`OvLsr?@i7su{J`}s-s=oL1(ikm>)^4XV
zWAfxsu{&u7u$9a~{Jf0&Wx2wU``|diy-vVjj9{VT#dMi(Wo5T|^$0w{bSgw)%nlKw
zLNY%%&;XO3*&vC{jgaN%{4~WM=|SdRU9ygE3<ZE_EF|y!`yOg);=O)EqWt&)>ul_)
z7n}hShy5xRy~C|r<Xoh<4@59Rp<=Xxl%5hLpVh1Syadr#mj^Qr>s2uZ@?ZHabsWxz
z-96TDf2%j=`}c%pkGt6Wpv@yp6`?|H_q5>QXC;c<`zFSl6Anc)uO$1CMhw37=bt|l
zdSn@id5l<n!nn@Hql9xuv_YdbhtHXZ{IE|S&GEewRTv6T2_k#oL2bq~p?)8QKf9U~
zMlsuoFKe}tT!EAh7T{hFlQvEDNC6iEp7v-mjTnl(vzS6pUjrdPP$RDV=k)Hn1G)H(
z*Tg}Un!%4l!KMc!jsm8Dd-L3jn}C|#pQjTF%W!$k2~7&QNnFG9+$j`_7Skut<`!(S
z<n;(<gf@a{&|rgQ;6SmDs#8QD{J(=k_RfC>0-}RBf*Hx!%rEP_v>;$jqJ+f^&WqqO
zgN^XpjE2)DPoBw5FC984o|{vBKC?9hq^kLgkiszz_I5U>jANwXr)}2Z-6f|{DseXu
zGd&loBB}9sVL|C9Fo)O-B}GMx#hKdxT=cm{XzbWsrrBtqQ9(htjXf=zvzgp%4{w4?
zYUMhS*%ckWO|Az4UA!sMsAyPrPwy#<GlB6@yz1G;hFg!qoA>hWQ8gJ38zw6w^X1DI
z&oWwv`pROd24X_fduow~zUa2&8(1OqQ1n(YTW_K3kBi#k=%`y)*bLac2&LMI6WD)x
zY(C4I!>%-toTl_r;B@Yv3YtPdF0mkEWm8YkW?>z2=av%p`nTtudDMU;ZDs$^&SG?c
zwKuzT_0lD-)M%fCtr}pbq4bcc-qjLXC@7As7cV4*r{SiyNNC24akJVX3KLP8p}IWQ
zMMY%=$64>*QbPcUI8H=@P6S=v@Z#}H2m(zyb0(*NnI?G@JkzXIH=BH@UmR$}dkX>x
zM@z<tlz^p3T~*Z>-ID!CACuu(V1IqO*gtOoou|7fZSgAshm5%)l@o5l^G4(Zr#WE1
zp6^)lx(*~InI`@E+g7g3e+)mq8lMbPz^6~-?P4L4MXkii2!`3HukjUm39Yr1loTjy
z1-p6F*IhMtcnJ!SgrD-*D9E;l<~iDus)QdI&hlM?>o&+x@YDO!@kq&O>TqTepF3(t
zwa&D^Es;Wxo<6+?aOLi9(wsF5-3n7GjE;7|B*3Aja?8&|wUWuCub;zoOf^Zn#N*<!
zyv=0z(0u|DpBYo!WDcv*5OMbGY_c8~`l7P^bEQS5F~2oc#8*jLv@;R4yNQ$vHf6(%
zIpHZBK5XwLq}Su%=YkMcTCt^wO;BzGPxcfTgk#oL%ty#5L_O|;-XS;83jeWyXpM16
zfdj(k?~{=2fpQ21t&>w`v9sO2{}n9~Gnzk5>w&{IwU{-WgkhCR-q;?zKZ(KvK*<b5
zIbo#4&Wh*e_U&U+qW)QMYYm7ZJtgXEsckX|!?Riu68Z^DBHS0s<$aFE?#NCU*?Cq#
zISwXO_sLmh>Z2v_`dQs?nx;ZTdgc(*yxr9g|1Z$>zr#q@Fko;UBa;`yIyzZ(OeXn8
zB|VGbQrX*}(>==%AWCNz(z9|{yLKU$W)TUMv><+C-v&Lzi9l*!P7$WTIM1@{vUeG{
zTU$^V1Tdr)(0g&O_|Km_4)}oXHRr`E=<d#@_r{lhH-xQ*E<{4Wb;Tkhk0vX;{*Z-s
zAhduWu+(Ad%SbTA;i9?0&R*cEVjnuz`$bnx?TLwEx?tI)r>Em6AOu`OuoFbX){`e+
z8DS{pm8-7c+UGz+P1|&WuUWH6MN!dv?)*tKiSRQRMD&J;wg^H#J{At02)@fqsH3xr
z3`o!vFj&vRv5K^Cx4@==|2URAcMfRsVL#!$Kun3A5sC?9qmyebZ8VD&njR<}aLdjj
z-=xf13KI+JD>3~6vonvBnBNHVFs`QpLMAW-(P9F}_0v^yPeoyJakAmrA-~uv)&v(J
zI$^aS^x?b2lznB}Hgee&+lu7n6qjh*U$?rA)*y39uGt%d86An}{hBzjov4Z9$uM^)
zHurRO(oo3xYuXgPdc~S^+2{7mnmqo|teY<qBfCr<+ovpQRp+t$bjMFwGX9O$+Hp7Y
zrcS;vTW3_%-ao!mGNxrbZD=x1`rG(?W!SLJSA&De5c?7OdCcE;{BLyTukFvrd=~G)
zGS1rsO2dH{Bj-W^<0AtoQH*@YCZ8H!{@rl+@X3=V+0FABY80{;;m9$rx!{lSSB#}6
z8IRmi-hDotgN4PZfB^7WIhT0AuwEyAAFNrQ=-w#1&;W{D?ZED+*ju*(9xpriz{{7(
zo3WXT&C>hE$x0DPs&!dR|H0)-V3>2QkqB+fo2MhDf>H<gYRvfT?M=EOppv(V4ZHI1
z{-novPe{I)Ooo5q+rmOy#6cEM=_nBcHJO0AvnV7446HHjgoS??T4;uU_uI+dq-7v7
zjp$538gW4C)l1?~y8qt2@ET_J{ra7!=jT}eXZ&|dDM3)}#trZQv(P4t73>JcR{Z~*
z!%^9**yVta7Tj%Sq}(!ex>zai-PS26GJY!Q90v|yC0aJDo9oDs3!r`?ImdnB?c3L`
z_++u#iWT@~r7x1`ofFp{tl7W^IdSypX7HcHAtQ#sg)-$`#$prs_P1NV({Ji=gF875
zakPzj+=EBOx3}p5<H{)P?88}OHzA<+?yA~fE6cY5763vMb4SH=#UM!^EO;I`Ah#p2
zS+k?GR9YeX*sh395?x$NzEBWBO+;xZC@EdWCOgxZOOl}6@7Us@NA^SNftJ>;OU|}V
z?Bq=^pVG|nOzB-P*S*TkUFzV1Bo2gi^Tv&{X3s|cGguq_4OW))NNLPs?NehaD@E~0
z!M&>LY9GJNBf*qmv5yn4V`nPfWW|uHK7aYjmDV~(Sv?!hI;8N4p{HWH-UR@GECfz~
zjv#pgU#+nukp9EW%tG7M^*Nq*?~Y1$K#IfcOLc|x@#?-oY;r?}M$-9IMCi6_kr1I`
zak)C_o@;cuA4JzT?k(gga}SEBJ|s$I>ssnaK0*DnW@!x^m@##pyN*R7wUXXlFAZhP
z4ay_a$4lwPrFcmyxCZS#Q;8j=khls9GxEuciu+Q#DJ{mq+}U2wU(s947Z^YOBZmYM
zk7PR#Kg0=WHU$Adh?iskiD|(;a}a8YG!NQ)Z6sKiFGC}(l=YSDcbY+Tsg%PW4<9;n
zZrPwJF<snW@s_$s$i3c1(WTF~WEb+VsBRj*a2dEa2)pAKYe~0nU$mj;5%SDYohxO$
z1~PXC5i#X~oxW^`w{d)XlZbbs!|idnag1$mb|6fZIgl=$#SV7lS=tB|Mn^}}_M_q$
z=|iVZoY>z(G-aWs&fBb^tQ<txKzSDy1QpybSLvAFjPqQr1GJNpsQF2QORCq1QvBCf
z{m$*WRLKQ28lznV2YuRrEJv9R9bgJ~`}hzM_@b<uqVnf)ntJtlF93-0gy)YR_a89e
z1tIbZ3WtvzNzvXEb^iR+$&=l3VBA}5iJdNLC13NViIo(HqsO->J%^i>XZ)#HW2_ZR
zraj*n{E9b%;u}0Q#+#l^k<9cyeK@1WN6jL{$z#i-c{64_PfzcsqqAp1B-cPzyuIb$
zJJGM^4G#z%D!RE&fByD@g7kj7Kw^dkHDh3PSA^^|Vz0yX<o!4S^C3|X75e!4@>vc}
zcQ$6o;QA3Bq^IY7mKb?ucH$k)91_5RB=YJG8g#Awv2j}2s3RXf6fd2}LVa-09uhvN
zFtqL@PpF#gL@Tah=<HiF5u43!eOtbQ^yfI1DJS$*io%3QGX6B`>qhtKvy6UfwCtuR
z(_$b>l>Rt|p%;Mi?Ch7IXvapO6#&1nx9`UBz@_+VL0Oo0=w!qgH^bT4!JK`Z`m2g@
zz;e@49FpE8o5kn?Bmfvu<m3*}u9<fyk-Va)2sJg30cmV8bx-HGa57R$sq4OqO2l9G
z>esKGkOu^W%c1!Aa>lxnl3{tD^9l-J%TA%gkdW}AW|LabX2K~vUlq)e*ib=VfYg_i
zBzV6<@7Hc&07SSkK^rVEbWU7ldN)2kyR4cYPqhCk#*7%7h`nyY1nptNUU2s-TlV?$
z_1Ji6)Fwo}Cz~BVG(0yHT;9{GUda@xrU@0BKyLm-buFn!`(Av}f+vF>I$1|nGTGsl
z`CtEw$xagf55H0x8tZOBwsy@tVn#unW@!oKH~~8K<czM$%E*o8WAb3xzkYKR7M4DS
zl$P!r_?qV2-$Du%4fk(4{p}}S`hiI#^<R|aLJLWt2G-Bv`ug66NK#t|FkVc7{zU2D
zmggyzFJB&=rtO4PdAFMw7LxQt*yK-FyS=$V8X%-A2W0)v2`D|P&To&lX!{>Y&VYY^
zQz;O}r642a5ueeULPdFYGkrF()lTCfM&{Asmz0)zU;6E?ykMo*f3yIx!%5@#aOa8S
zzj#sa(Jw(DMWaDbkp0w4?(O(Olpij{8`tU`Y8nSq+@@_?{u*e6$FenDTH=VHGM%M%
zH#=Ar@772nWn4^l;k1t4C?>mz5BKHItFxXv-JT_OHWmJwz2hYR`k7-NTI2nr>xJd3
zf>Qsw24NZLHs*HEvxFNU$+;+Zr_j`D(B)oHS2t#<wn%cC>hWq)o#0dGr}<6Ab3ZO|
zV>N=6!iqU8>GJQ-QL&InTWrm+hYaZNru?iIQ){0;2lV4_I&X3<A7XNL6-FnshR^6k
zI4S6S(BnMqX$EY$WJwc>8Mm(gQRPsAMOBWjZbNCLc(pPouAAS?nUA`Ppp(bp@VZ~a
z{`07P{A71;j{R>{j;Zfybqjb3gXO9B?-#KtzSK6(#=;4N#b=Juutq@#D$QifMRvE>
zzki#Zo$N3dY?h<JD~YX6he}?4Q-}3T7X{>1pU>U+zzV&T=w_^_$UK#on|m8rmeS9l
zgVtCOI7tkB<yZvR-E?+Bg0-rCTCpUXH}I89xeDs)Ri~v(Q<i)Snf3_<2YgzazP+f3
zl=0UfVlQ62h4aG2;%blM4@oR@xn!rLowcYfmg6U7%w&dSfXLyz;bsr=Sui2av9WoS
zk>Hen`#|G4V!MdjzAf>jy&%SA5yC)c&23acQ@&d+7Cc#z$b{GzBp?CJEPVqZFdv|R
z_L}@Ww>qVB9OAfg?D}G?`cZMNZmj~t2$FXe9@a>Ll7{K)+so6AiI*S{P;X#>VY4Lb
zy8!wD;{`NB`@O^`{^B*n(cI`te_(6dOuKHgqj2AYy9-AM{2Lw;#~cn4=CperJ|n9&
zzQUScD`Y(|F`=N*UgPbq0a7H|9nfvXD5=Zyctrms2n_y{(o&Sg;tXTHJf935<_r3J
zk<0J;j)dHC&d$z-bB1<q9?Km-zy!&sUgYP0qaZSG@t`}%$lQN`GKDZmA#enjQk<OO
z_k9b488wc%kk`)FCy<p}BG_@%Y_9N~+fss=mY1zs#d-eq<HzBMRd^$R24dr(!chFe
z4;{)x8cg58WSW=62owO{FOP|1!XXVeIsn1U#l?lpTKoXqS;s6xJWB-kz0oZL1(JC@
zarW%ZMXsGVHRa{g<XM75P1!9>zjcCsgEN(azq0U{&!syNuMQnNNLzd5>Q(AqPvj-%
z&aGfYv-Jay5N-aV74{51e!PRQid@@+2Xk|B9Fi7!7(KjY&WVI#8C9Q>f`Sgv5010B
zbB{$wi&4Dngps)AAV)w{PL161<k_?D$8ViUn#$Cj%cPi>SA#sWQ0a%|0k|l<E`K2U
z8AbqyNc|dxnc*MhvUX!$(!OxsFI%<@qoKQd6MYI30H^u0aMSQ{T4IRjD440?q+@jL
zI&ocArp45$-vF_w1m$~a8|b41fpmkYs5$fJkBA<PR)dQ*Ou1x-=j4!3&Wl2Sfm{b4
zmy$NjP(Ib6#hs&LXs9Ao{`tNTJu+A*TaXo5{?W_nC=5N|VocK(?tVFR=nw&5ENlk{
zJolp-xS|7r32vW<ttu~@ilDV7du%hI1K*5t7CaG(Ap!dM(Koc6Jabjp;lnX&UJVdX
zOMFEYkE^TFr2z;4s*l+Uu7~lHk0+P``XjcDc`-}pC^sVlr36N{g`**h9(_KyvgYS^
z|MgiAz!4jMe)NxzA90KdaOUh;yrIs<Cs0*GJQ-{Ow#w4P)PPERU5x7?npl#b%wz8+
zZ6xN0ZtJ*1;E;d5a@)yC&S_C*<4I`De&t)YZ<COFKNp#5=!8hVr=)<wg|xAH=}U11
zO0T8uA+V^*F&&xmI7q04f+s=`20nTZ?lwPv9w;%*;l%!LQ6wV~ln>S9()rWHG(Hgb
zTCwsVERgbk_|T@O(d&KHy)}5EYs}2<(^)Za0m2r2TF-CTvdk3h`DRbQec1&Cr;Z%i
zH9T=oI9Noo(BmH#0_F?x2Kaj`AKB><TTEc^U5<WToG*Zu1fp{A>_Ey49xQVF1n2Nm
z5A5InO?GzG?{D*j`^e<r0jP)gt@Q>b^0h!lXnAAe<F^C+vYde7pskFZHTflKJUqu2
z>sh<OIdbiHP|z)?W8*bhw!CvO0d}G_kx)kN4KCo!;9~F#ETV&PFL7LeCm>dC+dIwX
z7d991ZXNQw^WLR?CAatw0EMTgAP8P&dIkm`qKggGkVP@=wb!60Vv@(!hnAJ;B<;Zi
zZay;^G)OLxsGa;6dnx~iXRLIPsrd|Ev3+|yU5<7n$lQVjBX!1rL?9ZFcF)edb%O4Z
zCYUy!7M4?k*@RL9;(6%~5D?!4;7}jg9db>Qi*TMx2*}Scw5Vxlm{9z9wG7x?@+W{m
zR{r^ey{}8>&eyn(^3LY|L&W01zvrqfS^=&4cpD|Pg04fPBo+-B#H7=|e=P!Nv9ecD
zU3jEuh+N<C@)}o+SG(-D0~(NOMZd}(FMRiICm3^{t(esbT0;-bH4p|6m`*F2tUG>X
z7qj=NiU-spJleo?ax6c8j;nPgheLrS^-8<TURGuK-n<$2*b+3m$WxC61at$xVN-&F
zK`cx-ZB^tS5Ee$oTE-f??C}?@6jfiGTrnpne=VYy=*vitk=>n;Fb3YU$7kviFbA*V
zcW|eYp68i=2_S^opnUMmco*!khq;y&JOvLf2|Gv%5+K5;;Bi{^4h<|nfNrh8$EaAk
zN0b2p5Noxmf(}vR5PyR!JOTX0({Rtb8DR!^;41h$xO_oN+uwWua$0_%_ug^4nz|ht
zjehXr#Wmy^NnK*RA{t9nG1A%taEu@j1QkyFMNDP`sG*45_(huprR8ixB*{w>l@RVQ
z$3p|!oJ`vKJ&aZ7W#-b{l)#-s7^`AqdlsFGGn9d5;zzo4_3At;D>#z0{VH4cLZHyy
zEKzEKOhO`4F#g!sOGi(-=fa52W<|sWZQtVZ5ofYSTgq@tegaEKqf3{coqTqJ@grhJ
z#j@*dn8!Y*Fcl>wWKXp3uToRJ|0>e|QF@usxTrYh0f!dl8?i3G=FORt+(cd;;XDiB
z*-*YxFa&{v2SVg8HD&W=pVM!-QcT64Bq9fZh1IJ=Pn>x7=1u!w>PG7qc`U!byM0l2
z<TcWd+EpF$PA^45bsEix5HfNL>cuDY%rPEA7RBLf*c&fTvxCgMJ{CV77>j@IF<`y)
zbfESsL?n%iF*2ow_O|)f(a(-Engh`|ZJWKL#iU7J&=xZO5VrwD<dZ%A&wvL@I%?FP
zWFpU+uWmL7nw+MJZ5JNy!3@v2CKa9W=#dVwal92ERJLZ!)Xu~o!~H->oH_*&Us6;g
zM4A%;yu=OsnG-gvck5fiG{g<sA~*(&&))>0xV8y-0Fg(eT@B5<)u`P9rHmNx6b|8Z
zrJ%gGYp0--_Nlw6>0BS<lWfP)c|IZG<ohu83?mK(U<?i$Pt^F2eu*}OVNPPfv<Fuq
za(41@sm`Apk3z*zi|Ac&{w@WR;mMJF3v-#pOidRQ(Osf15QmXt9>LDrOCGexd<4PN
zMMlh8Bgu#xnrIQgnhvQApJHYv-aG8pPyP4%GI!6UmY36;IK0HR%dj7FPj_zYL4SXT
z@LQw6-hmmu^x?sBTjs&{s?;*p3w$({<bAk#5B(Le|NYgEGpuuBC@U(WWl{5gxGS}m
zv%I4;w9puR{a-Zn?AOnwrIA)TOoF1MX6;&3^>^Ir4Uer9zrdJcU-9y1ZqcG2lkz9x
z<$s`9ZC?%ZyrakVyTPqKd13@dicA*c08gD|d#(0`%?b4mo#l2~FY4Zg0t@2DD9%WR
z0LWsXJ30J-CdL<^b!dgSl$G%$dnbFo|HhAIW1l!bz@<~|k;fm{8AKPq;gvpqe1Xd&
z@oMpVh7eeb77xNqen6a|CCi`xQi!zzp6k^sIXk=aaD!$UfIU%sGgMCPz*cZF&W_|2
zl1c3<xwLrQy2gfDec!QOy~3E5<F;FaO{#b0iaqMTv*c%95;vO(b~GLol#bFCQ1a+6
z7@1?Vcm&QJgMU7<`siKLjTp-s04>mlwgNt=IJVKHjX)`<$j7d~tWKUD(BkZQ^YlZX
zk_*owhtda*bF_{j7LDV^Yv6Z^7UK^}=94pMNU5gM0{&Z-#zXK?na7O)H<{{0JQb|5
z@&PmfOb7)A`HU#*eID{GGt+}b=OLvacyi2vS2_40BSLCa^XaA~-SwtTzeH(d3sA*}
zFzy>?x+Qtru^HznZAp=lskyn_Z4eOw3n<Y~D|x#S!~{bke%#8%k+Uu!m9vss<a9Af
zx|l;FZ*B+@;-?uI-emxw;&mGlmsfiPYjm+E3PbD{Ox;gBUPePCCa4$azTVeHKr!rA
zRnk@{VpQXESw)efP+s`T`RO1sdU%oG96&(%B<&nKMpqKcnZuYz!-BpO^&QWKqSx#-
zc`_0&f^|QJ<n69m&QC+zDyphlb9`5?2Jv^BXu{)TP5=G%%YXlV^4o7yhEcOJQ&n5d
z*PY8q0~Eq7yf83|V<1mhN>~N>1?VH)I~K&KV@q@Jy{wFP{RXfHC^{)}v_(*-rH{Jt
z0VryOp;P=P9#rp!HSllMmmfb49ystZ+Feaejb+2n-T%OZ<9ha@ic`*Y67P$F>|tpY
zb@czM?9AhO+S~QNGBi*rl2k&-lm<d5C3Z50_LjMf$&_IeNu`mEN*kp#uq9KYIT}^w
zP&A;FA&QEmlIpxy+0S&&`Mu7s=a0vx`hLG_ebzl(_jO%2MN4~^n77P0)zy*NV@yiC
z9EE_<wHjIVH;jbo$3T-HF6H0GtZp*;|BfA5eMTHL0{L<+XG6iB^pbE-e(Peif0S%H
z9#5xO<ZV%T@=+*^$^KH7dEzX1_;3nfE-EE^c<Q&Bn$Gg_p==6KFM5tgU`WU!M!;Aq
zlR(J6`-e=N`=B<G{MeTBxP)srZbXEPRf@E<G|RHhq2%HX!epUQdmpU%jk_%kM4lR!
ztFKbrIIMVQFp#B2H<dcR_Lp`7>1^=Op?KzthG-CQdE|LKM~v9QPO|(P?~@)EqP&7w
zN?9qw?HL((G(7pRl}eFd%j}g$G0kF}?yLOQU0QaF_4}0zCKfQMpY(0_tJ>CNmp>O+
zYyU=3i8UH;@B6<R*=Pk2F>prx{>N91v0Lq!Bv`7<m0z$^p%wJ#)L#4Uvx0&K_ih?L
ziAZ5-3OWaU+o&^s-uv4ApitZqT&nBd{DIR=%;2v2_*fKg{PC0Q)LW!3p{(a}Tozu`
z&Cg-V$088TF0GEmE>Ye?`u3f@XweUDQR)Wol!LLc)p$8Umhf+55Sb`mwK>8F1wRPi
z=`+$w95}~eVaZj6>pNUsl~o0}W3#l4xAau<rS6=2$&<z;7o^Ek#V{X!f2T<rl}S%<
zMtDo&#jqGQ@mxspx=WkZHBGs-eMJ7SEJYua*uwC<HzsG4pZPtRH^xr3^_{gibJ1{2
zq%sf*2n(~mO8HwTaoEAl6ck<s9`$JZ@Xd|P2rS{!!Ee&lZF$hWMJgQf?znM@Ft!Q$
zfR!&JPsnMBOP4<vd*4}s?f)ITTz!0gSo|e=N==wh!q`N_p?-pI(gQD@K0TSjAZuRl
z5ItKnPG7OD)lW}msi3D}NB?$!o;&>mx1%_3)Jc7-4lzVe=(V!iudAwD;QqKwT*FLw
z>CK&<p{niNUd8S)c^w=SF`CWyHE>KpKDaOqWC<!1H;tlftq~*U!m6bhbZ$WaCyGlT
zPx{VhrlLJR9yhqPcsPl%k_;!Lp-v^?z0qIIoQs6TqXbfg=2=|Y8nq!A6zl%|kEbiM
zJZw%QicH<pk-YhFFS(Z=q(A42Oq=$E))iI<7$blW+z!!5q4QMCB&gvio8|h*3WnP&
zL(tmOlkg-_aKO|)eAvF_C{t7>MuNzDWQp!dJG-k8n#9q6X~XyLxSV_6yifTZYT}ZF
zc>shg9tYnm8-d3c=iR;AX<F67nfVeFpidt^Ce-fr^=%n%dmFhAi#)(I44*)70G>P8
zixy`K@18i#bOf+pPam-gds|52Fr5Hh+`|6gta^HR(e2{wK@o5@HrB66v9Z2hg`^f7
zOlwpf71YeY_$|4O@@rP`D7m@!Y@Xged0e&Y)m7vF>|0Dj(v}MMOwu$)B#dk3Mmba2
zzDyml8P1@vZ)|3k!7n$&Syv;W{NqQ6qAz)5z!NEUDc)&sj9q`gsv$~cI?blZzd^Mj
zq`*7i!Z8b>nR8jxo{1tCzC7`SR_VYJOjpjHz1s>`y?YmV@+6;JvrnItqNn4wzPAK9
zqE3suMUO_JfO*wT+Jj1MM)0UqN6C35U@+t~FbtCHaXkHKs7X!%{{B0@e;uq<1IUDU
zoK(m6k=So#W|FGD(9*KkPb4Y=0P)U7tuF-Os;ATYc%D{)hY0IN=$|MnDQ9zYt(GL6
ztcR73Q}^CU%Vxb<Fw?qh^@C%gy%>x+9z^CoND(K<r2l|00B(qdQReJGD*Slet!(G%
z-nHvyylC)+fDen$Fs(Y{CWI~c96b<a{anZ7-Od=|q5p*Y515CsoTu3i?Bdxjj*BuG
zkEVeu2vDG+q4BVB?bERFQm1|Z>Z6e4<tZBuM!Ihw`Q?3teDy|93eGrtTewpEvf{T@
zQmY0nJi$zj{fw&5Mv<k)9xr<S{Ex!$Fg%^iq21vxUOYCA83j1%=gRBO4PQL(tSJBR
z0ZfMc&s}4v{$2r-VNMt9B8bJdUqrDIwdW5}{6KU71Le|z)w<~#FixRoUpMR#&?DSK
ze&~5Yf$^?-g$gIEkvfhWpr@xWDv^`ixg`q&nk}0*^DUIQapO~g)ZnXWYil!y%~#ug
z%W@O5$Aj`Opn~BTgVxJXX*Wg+B%F9P3n7JUgy9WTCzkabKfc(>Y2104MV_2H(Qc_<
zKe1hkSu*3)9R2L>uQ|cEjtH)B7Xh%z;q3%*XS1yAlbjq0f!70J;5e-`sesZCu810<
zqlg+nl)y)@D!8ub@neXiV<@5C0y;te;^{;iv0%YY=pQsHz0d2dz@?A&ham8=#|3zF
zAQQaj*gt8(>0VNIS92yomO!2*1nQ4axP`1jvmC_d@bVuB{eVTlvj-^&u5NA;)YmhM
z$WrtjSmH=MokD%=K4(09tjp`>o0<wv=SB`1*&Hsq=0GuEiNITgk18s5KsZSHcx1sB
zii~q345Ek<BrhgKgyc1rmVTI#xVdT>H%$WH=1dn)M%`t<YSk#nVMXH%DCtnc6wvWc
z_HpEqBAJ7pQ^bNeEL#4M0iN%H12d*g6L*%6R*U4d*{-XaG?U(ml5D?^&sEHFEG%wQ
z=0JuvNx8<e$35i>HhHMQ8u~-!#$-w|7)n>ga6N823f&zpsS56$WE{3ugYzRpg2%`!
zC9~TMj7SjOzo7$xH6oJ5c?@Wd8hl+A^YOfwFCW<Gk!PW?v1%kgOpir<R#qPKkVJ#o
z@WDSGh3~h{-X7C-Pvd$>;GFM{qUK55SdT@7;L4Liou4(%?9?1mP3%N&1Sr@NbuSJK
zbu`0c=3`}LWy`PC4qFXNpWFpcX*wW->rs_I^#pO;LP-aX3+G`dI7l|NF>7uloNg*`
zUuZSO?Q8rWk>@ylC<N3o8zOK5>z5)3to}X)f(qg)n<=k0>OPYOLOtW?%qPiHT(Fk>
zBGX|H=b=71z)SL!Ikz;4&6JWIIvBY$Lubrme|_bV1?*KjdbF&hgo5mIm;Dj@e0*Rg
zy}%rU6S-ozXrD9EG&vM{8|)^WfhHXHOc%Gfj^bH`{X!Vaw}y#+<nZBZ*RQibr|Vw&
zo!mOHgW>%UUnK;V*^Pnp-+UqmUw-ZfpOz!+r8^Pb1w6^~iO^L@P#=5MG)G~g@8gqy
zWn=Hj+gZHf#ASRm3#wXoe~U?nOL|z6<9QH3UcqKbmEY^@MKBsG`LACQvSnsuh~6}D
zar&aY)T>XQ<i?p(D#V;U%h7rF`gO&uK=YH3dp?@M^h!twXnF!-w2<Ha_0+4-ML-rD
zxEq__?gPXT#{Y&E)afB^QWRswH*#oeRztfVFhEpV0S(aW#wwOAn0as##>1UW29<Ey
zVMWt|Idss#!~yiP@t8RiE#e5W5)$dHhYt_FF6P8gKQK~>9mooSDh>n?S@n8s&Dfa+
z-ym^!({-{j+q`stw-Nn8tHX2aUuu*?Wuc3Lp8FK@t_>SBR8;D5Lm6bmg%!hZLHwzt
zq~>`}Q7FVff+%nH`}&3%J6-nno(wW>ziIaXE)(~d`_gOO``)4oT~wQrZK6RnP|b0-
zsD((efh+fXHjw8%m>*E}?6vu@TWBS@1ON@*_@R)HUGPlB!R4^VYnV8Ge^)fQ)t%IZ
zy8n@ELQa0Zk7tI@q!WPpXS*Z|MjFX%QjzJVB?ytzgN8FOffI>I1$7I>7w+uY*?5(8
zc-;VGKyDY8MiGH95ae?5`cK1RalJZVo~|R_-XbqxDX<WHTeLH{>43=O0<Ir>wcq;q
z$4~s5cD21$Qjm{fH3pPJc1sWloA2K7uLl6Pb}aIYP%CFFIXj?@-^BvI$puT2ci$wU
zh#D4BDvboUm+~M#8Fmeo0Xt@;ohH}Nbb}0wvvrQxbYKKn<FGx^i%iZUju5{$o^ADX
z74Mm|hCSKT%q)#U2L(#d^i^TMO3k>$=OSG@I@ZU0vjmz?#2$tm$;;tkpxDnmHv7`V
zAMJ>w1T9{e560KaM~`A1O43Lv6Rw@5cmp?pJI*Up1gDl}E?PQ_{tDv4$Lipiu>Je*
z1L*>S+Whc)xrcBtv61b%`Ry0!9h5@l{by{fLvhjQ`*Oh}?=FkOC}6g8eMca$`0Tik
zm6aG0VTa5Ca`Rs(nDTf7NM-HiXef1Bi4L?$hEam8e>RXFVegw|39U0V($&nq4C#P_
zNZyS@6GTM3|2Hm(NVEHviQTxmJJk<LI)3Q9Ds%hPv>Kfsggy#AB;;w^8~C$Wjvn`-
z2<CZfv%$qk8QHmvNlnS$TmT|zapHC$K-p~u3@dHdujgJZ4lH3S0p%qt8K!(Yo(EoX
z15yv&J7mo0S<ssFRAiTE8n+@)Ql~PjYAn53bIbVg%^kMV>92mMZdkp4{#@Ds!zpv2
z2=f$i`MAQdO-<x}4(#{qiaud?p?b1#;Y+iK7J%A<DkSe%h5<M^K6W(&#Bu8j4O$6S
z*TB5;Ekk+ws`g?v#u=p&5?o13J(QGWcSTT=LjG7N`u@Ssa(a8WyWz06ObUpW#6dwI
zQE+8a8fE}`<=Z^v8RfAAS-AR+WJJZ&IeRR2vfLf<38Pno3JN7hLX^;9F&EBUt2J$@
zcJ0bAciQP3=%25uRi4GTKtCa<QgJ{?Z|rs%gG=n?Xq0gG0cHmx8?{cH%n&^szMivr
z$GgTci7B>PxF`683;0e*H&HrAC3OFnihJNPz<?40snWV%DB4piD^Y;CbPO69gxoOQ
zSR2H{3Kytd*}H0;^DMX_!QMogAd<0gJ($GY6KeK!DBAHj$hLZ{JcEOU&5x~R?1c-%
zMvtC{U`<d^Q*+{J0eOvgVt*NH4#h8ZMR6%sZzD&AZGX_|qC2)dZEMrUyqbDIPo)_)
zqF@RUfMY5M*i7(5eZ<Hr(LyVLXIxD~gE#$}d<EXzxP|aaJ=}&i;`R0NWz#&DQ3=e;
zxicK5^uAY!!C#sSBum5iz?7n~XU}%>&4NNn!h{zfh%8PRRL&os41nj%nOuHZE}bzj
zZ4)W4Lpxi*Z1t*vnQ*}=8ZlL3C{G{>Id<;MnQM5t(XXo>(9+h17%d9@1y=$Jou|9I
zyNAau8duIwmk}JMh{ty1&&+Z)gZm2g1tRv1ILgg!Lb0OOt!x_}Q?70C)lJLE)}j%z
zrY3#5AUacufDk|L>gvkN%FZS>j59R!v*-^l0Kh>l9w;-<mcEi7WNPum?jkx8jN_O0
zpslMXCL0#+{1>j4%<1ND-b543Z#e4Yb*vp&rQz1>HN<ALqIWtQ6d12mk^AD}W}BLd
zi|nc0+$0V+-<2sVNDXo)=>T4-p05s%W#?FQv<Rvh;eHWKm5A8~qko7zvAz!CPRIFV
zYSzq)uAN83W*O%#gdVZc(ek@XMv+y}tu4_p7J(|qSbN4oB~T$40P#5Zg@skUduM(+
z2XzaceLiv$4wJ-P$ouzCU$Nq^<YX6$7kok4(}51|fO#TXLV7HI7A{_#^xe^#yNcB>
zeV@mk*{5|*+PA_*7S-5EA}grQcTVU34>ndQ&s}3ELquwA3oMUhh9VVxpP<}I@fqxJ
zd{!>dJ_e_xhgGX2*W;o^K#qKD=YH&f+fTGcNz%G9lES4fdt)0w)!~b!i}LN(bxr?t
zW=?I-Ov<#6L(`C*v3w4Sin_%nQa`0?iqf4r?f(81(4cDaGYh7i2qadttm^XfpXY0o
zbJCcrAZ`Kwsd?GJkBdGfbLV#ZsZQ%w0_6i+4btbRQO*8mrZC#`&7%0Od+F*1pWu11
zMZf<Wy~^)@p;vX#G52ldUDeH++j*_UhjZ!%Uaf+>mhrHC!HIeHFJ0=sVOp&-ML%E^
zxH)<qhx>oKGq*Ue?Ic72oNU;DUclQ))44Zklr%=EQdoEl*SP0a|2w%#y0YNK_QwN$
zVpfw|otb&GO~&s$d;a_ja`SeT?w-3^Au*|jGbXxQ{{BwKC>x9I!5@OVvrWrUbHIR%
z2M^>vi0iT{HOl=`M%K_#kz_!^A?}OdPI7V!$jPJh#sb11Tob~k&0q>Rn)_p4OaQKT
z+%M-5M09tI6}?P8nL*&>A_&$@1Sv)eGC-R|Xv99h!{-<X8IO5$_wQ>P8eY9}rH4>W
zw?L_k|LTW|3L+SFetUs_1V@^G(5p66&1rihu)_ykY^$zb1w`8PCK=0hAo*{Xt0=d5
zJIju;shj8X49I&#ge^R5h*#6uahZDdChC@yH0B7P5@2vRijjTZye&dv@gH2MIJ5s?
zP;C|D9DeN~ux9q(=uhp}rofXYJ0=#;a|CLz@7dN?pZWkg77DQCV>kgA8NsCy4G_nV
ze82ekc;}s*R)#I)PwRIK%D6fxHwiEF7Nv2^{)2H<w9e&N&#RhpAAggl$eBmi#vLJo
z5tFNWM>MzO%J&lWR#@M$qLDs~o4}N5t@kl>amuAG<XcchOos-K8Pju`5xqJgUDEK6
zbMp8jp{Cp2((J4iFy(X(4+Vb{u6Mv32Ssiy)g#+M87)v;STwk(#ukdIvy5er?Jklo
zmR@ym%UFh0VPbf=D^*L-eJVb&Q?NcS@|wr~UQU_Qx-#xzN=hF<ii~AoBaa~M0XpzY
zx&M%%J|4B0G6jm)0hnw?>(;E9AGa)nevLkfOsr2PJV=GT2PF5(6+qM<++RI$19@z8
zeEP5Tya1PhaI3966vHdjA#j0$WA2b|IF5AAtmYUrhzar#qY4TIZ28=dKD>MP$+Kq~
zrtKF!<-tN1$HBo_0JC984ir+7k6hWOq-`Y5i7&>+M#aRej<Y7D&;qz+EWBt3ey+YN
zi@gBf@Bx_EfM%(wHgBn=#>wl~S+>$bKtY~U_w1yJbJC8QOeB0*0>a0GSyi>_n*FL*
z`)+k_9Rw`4w$6Xnh0nye1u_HYG=j^_nYeVRmYEfG)3v*e4GoxdC8)jRd5-vMN&URW
z)^<WG3dGV-NEHl@%5z(cM3P0wn122H-wMr#@PzC-bye-#dp)!Q&cwv{rk8-MaX|sZ
zBC;&usOXUEm=MXkh(1dtX`Z}2UKhZCVJs6&3Ve9+2<GIar71=QSNaCno5A!*J$nvA
zt4oFOUZ#25e%R8Y6Eys=)@`{EkLh?B-NJFAb*?_#14wY&Hk3u}1w!7;5JSaC2oa#j
zi_Fa>+2AriA@atJkg2EALRi$vP3KAQT>J+POSE{@KI$cY|4v$xs#p!#)!zcMY4wip
zhOo{)g8t<6X(=I)#j{|-x=y~+j~UznfCM*cU5%cd4RqK=fUA1g-{0*h!!A-3hp%ak
z>$&UvFvKnjV|<Lcgj9qK^95Dp?uW4O8dStNMG5sPF$NCaiWTfky-6oQwMhXb2oMN?
zh0zHADwr~a!swEx%CK-BO_{hxFfHvwReV+ZtUFiB=K}N@806l)yRV0B^yueds~}|*
zmqk!&{~Nfmp%Sa!e}EgQC%wo1Dfv592*;bZ$bei|HwL;CRotZsCSA}SYWm;)91jyV
z1U4V|{F5ic`}h9~|Lvpaq1U14EiWtc_Vjg}(8{$MjzEN=E~nVK1qpWsYZrBNDj7*o
z9P&BZ2@294knf7FZ5i0F-$b~1W5=o*rxwez;0~x>19lE|B@a-EN@sDW8}X%}TTj_c
zKrNb4IrrTJF=AJ>E*1yu=Kw5gFVOk{I$vbxXeZA-$EWpCV2qjSnlqfPq;;IYPUBDI
z<;O;E423QR+YXt9qyp|T$c}G40UE==cgH+4npK9DfQ-^3n49jv_Y<n+?%hegzO!s>
z`nZ|CpT(10TaqpXY-gm=r9~{+-+q|Yp1zE8i@y&!z*@-)D`|-I@)vKqw2Vh=ec}X$
zL?SLUa%6Y;I~iG7*#83C!FQR?lA5t&;a~0K$$<B-7l7j$pysfpNiQH1u@EgX(yNCj
z%0fnbOhz1(l1$oe>-TdO#iPA;LTPHFOR;O6nS_+2<anoVvYpV+EXSn*9uUuD*-F{p
z2d!?1o}a+82M)9n!4rQ%wV+`&T1vlv2T4hsoV)JjI$;TRktoQ+wJ{Vd3$YBm)kI{x
z0RG8%vjc!1)lpjI3uA5G;>E*I(F%b^JL2i8c1_{OW8E~tN$Mxgn};vGvhn$1d3>go
zm7$ojU~mH+L|`CufbQL&;{1n@p5Hs&k=#Ucg5ZN9oVUatY&!#7rDdqS^GiCn&Z5~^
ztY-D1l=H*f3$q--6~w9R%^PVM8GV)gAQ&`T47(J+=Qw+k%P}5JT_XE_?d||h2Fe54
zv!R0qb&!%u_hJ{*zww@ch}(j5g!1qpBL|auUISRGL%R~Nal~w>Jc^1mmaJtk1Pg*v
zzzV~m2OIG?<@w|4U<yNzF9`f2ofo|;i|p!ZYnwP=IIZzy0KPG1pk+fh+h0d#H)<}P
zEF#{nxx-qU?#7(yF5UM|?sB+^f?bCp8W*m0HP_<AZE-DFYXhfK7=fCx6(%XD!BW+#
zZ{G+a<no)YV#_yF{_|Q)jaX48^no~3Q9&lV7iajJ3)NrDlADDnRFDLSj4~M+H`^cy
z5l7y<d3eY>Hfea)7SfkAw=C<kYnOwT1uO~BREk?@sPt2DO9qyXP6HVOVQF)yj)+Jt
zDCjBJFmc|van|V^m@=@R@z%e<k(Ce^Y|9AYbIyRruD7$ZzPa;K8$Pv}w?t8VA8M1X
zZZWM^_*4-qL%T)HOD~jv-urzFn*{j6A6sEWlzJN8KUDH3RgBDUP)P$1+1f@VCOUER
zDBDnE=1|K$d4jnRtr)&}(Myx%oz$F1ru@2C-M)d`oANf5e)4q|hXMW6gjsnMo5B04
z%FEAUDZAKo-PByzOF-)gBwJl9MvNXUCG5vCorxe3kXS-T%A+L$Sgx2aczS!|e+<!S
zcS3MRB3?o-!d6}Vt$&fR)wgs$dK-aih3Ka9?mm7EMu{Ts`l+%~XYgQu_!=v<-erI3
z!x}+tY`O;y^ezl{QJ@CW3fK`B`7!z|;3R#jSPdN6)yAEI=!n-4Uj<UjuP)idynsV#
zsWR%8Pq92k)^J3>d?^hy#nO+Gf_fyR_rbopx*ON7MdrQSPKbSFPYDWQZ)tfIv}e;M
zNc5r~Ru64!RIMY}n-i_Sa6b(sR{_#N-1e7-W)A|Nei(WlBzF9W@QW9>S_Yea`TThe
zXP0H<J<o!^00FbB(${w*Ll8zW>N#Eo;su8)!^+p0BURSz$gfg5NmT)nW}~0Dxf~{i
z-sM|Kn^w1BWr8U}u4y<31Ls%7$fmSPZJQ0!FKIe2y?vDG63olU$Oyg{)gUXp&YB?*
zVy%jW1!hJ2*v$<GraXI<-n{QHE$9?^L$^CO)Y2ZHDilmPWSDF=delo`*|>wvEMG@5
zxd;ph7(of=HmjkH>@>lLaJjLvA~!!DdNA(SjM5zU_Uqg1neyJ5Q;mRu^{Em9H9JpT
zbuDq1ISt+nkX}>D+lREYlhQ@KptI<z<>JK;RtyJPVMtB>;C^8sMn2$cD?5z{m;f0P
z=IT@;o2V~Ds@Geo&Y8=^Ro>fhlfKxr$dmpAVrMA$;Jp?Q>w^+Aw?WLIpp}0)Ze8PT
z8X&5a)ZjUmmWW?ntK>s^jc}E`DpES_;bk#<!rhv<gS|#PTOVVL+DJ=}GA+;K@_N%%
zE~oGc;HQA1k1}n}^#uQT4N~V|9)aKkBZXGK1AYM}JnrS<nmM8xcP+e}SpI#%+US?s
zMYZUmTW^wtz<h`(D<L?-cV@ws;5zfPREG|+F7tA>e~W2_4Bo)A0Td$3gS%g#%E5>L
z-@cuWjuh;C1lTT1v<AqnynO|4%?A%=;0s7$N>I<wR}m*EFi0R4^M;29G5gPWZ7<8e
zVRZsCfSI6~*)nE=JYqfTl?-oUXkv|}#KMIrWUsZqhxBR<xD`-HH;gbgZ^qkbVwZ|5
z;{HMd)dP1{Fhp4Y@_Ki{@5qtMEAO#I4#Prj8!>#a(p2WiV1Jw-YBP@S;lod%;kVAm
zDDFk*<sW<|<NS6=3q8EOYd(KQ5Wjpc2cGhTDwZqFL&|WBx1cuC-pVD7`_E8;e`1P7
zJ>$!|51VDXpswN5e(91kJX_RHOjk90agm(_hY7WzAW#!CGo@j4cXt3iJrWQwR7dCC
zS&8WKb|UlK20053o~-F0C$%3PN{xktf(+2cCe1&Z$noMF@C{HL^8aw*`)M0+IHHpi
z<E@?{Yq<^{r1lbB)<AnNqtWKg3n_36K-ME3&zU`2Mo#YS+X&!|nrJpi)}0P&9)dx{
z5oBRdcqmLzY>I2*PUjGwd*H|W;E&3RMNmcoN5bGrGj`U|iH?syH1jkbX=kIN&@9Yl
zhDPUk!@NGfSBr}YIiGYo=~JOETev;2eum^z)%%oky`1y^z-Fp{IfOxna{H23k0K^=
zRlL#yH$PgC1oOtNey)nmhS?0H8a>Wb2|uBl!LlW#|9vah;<l|^&i%gj<0(bT`?YDj
z!r$1B<)A;IN>YQ_p1a{3CJO5)b%%Uu+sfs=GYXiQsRwh}vX$dJniZ6lLx->22d(bs
zcMMEpJ0?tWuOyS<BimfAQLH5W@w6Mdl18;P9;SU_btmjGZG*=!xyFX6c%7{`MqOl_
zuWxpH(4Bp~(hjBES-G7v{1zlFgzogsK7YY6pDM{u-w(E4ps@c3m1(U@=T2YR{hz2z
zGnV{2l}SBuMor&e5FmCaHR%#?hy9EJP{0)x8~iO|xJ=k;aLvE#T=y_)+q0!OlLX`I
z=l94rW;{Ai55U-@^q<SmO1lg{_fOpCbl{V|i`0{2)|)Sn^69;j#*w1rdt@LY72Rbb
zacb^^^6dIms|LxHQ~aSaVA|n*YAb3aLx&XnGz$wwUcJfi$vyRjpr9aH5-5l^v$S<}
zu`tmG(HK3N5M81_l-7azm;s!>F?>fyY~zR<6RqDd1O~r2vAS+tDXvKC*W(>0@*e6$
z9ShLxJ3<m)v|{Du3ve(Qz@&y%1It+OiQOLOb@>=V7d<HC9#k0ekwkA~7ihOo4k337
zHQLd&+xUN_GU@HukM9HT1=d!=K$OwUx|ffn^#7d*W#7_|9w3s$<cK7V=a_zhI>e}`
zIc2qTef5OJi;V{lmeHU$gZ6@b08>+_=F6}2R#aqN?@DGr@865FO;HncNL7uVlF)9M
z#4vz%95M@n37*URORNw47y4DXAlGi595J0rpS+xR>(&a|jV>BSDTSZV9KMHr1zv;#
zsBT-L$pctVKbclNN|Js*X)<zm!UkDki_fcL4GJE+0LZ=oJ21YA8%QsK{(?8iW-P)c
zDF?tPS3_>tKj}>c-N3qdTWu_xqU~qyxCI&Q_(I~LWRCq4l}vQ-kRQ^(c&d0??%b8!
z4@x`u0DIOMG5|b-+7O)1{dR#(xwQJ^JVe|TAVQ*=v7$l^(LVVda|b2_%;q3i|0{z>
zdzPeo-$8>M%X0_o>&Gz^=Lc#35%M$H08Xcdm<g{KJ`}^8vD+)vw<#Z<Do$BNI_0)J
z3i!BmP9bGx{Jb@SDSA|dm-s@EKC$hhD@3|AI{BnZJ=^JZ5TL+Avi-tLDikb%9t9YV
z6va#7KTf0i8CwBLf1F}*tA<g6&Wgi9*U)>M=qnzX^Ff3^mav!-?i04d(1f;~6IYzP
zdi9FR+$CYctFvx=JT3?hhe)x>Fmz=@jg1#uSs9ESd!0&>`^%N3-e>h9b`3vPU3foh
z1YpARi)#WRB1(8~NrUfS+VJ&srdvhkXyaUoX6n>v;9#D4&aI!{`@|njDY9<fXCouG
zvA&^`XIf}rXlP|=sU}OEv;vS_h?~n)PxhURyV9spzi~B;KSMYo?J&A>zZ5CBB3*}r
zVEYp2>lrr;|M|Gp2wvCI0Ipwu{P1DVQ$3WG*$bbNo4b{R7@H$!jQ)Qchn-Oop4PU*
z(jb(@eSfsn%g1FPoxZ5z>pyUyXfPwNH$+r+GL(_`&dJMzz|c;(;nK3i+<X;KUF(`)
z@tWxCD+;C&mQ>Q%DWw#p0uL>STjmL@qy#SG74+i94m{vzw_!s|ZXTO@YFV`P_U&~d
z{~8<hl0h%P8n0a|peLS2?O4OK$gr~Xzmb^YC+B@%{we|HG89C_O)_1;_M)uL1_!IL
zCH=?|v3S@jn%`yZ?>SL4k7`>Z{^)U5J$(uyNR%fM0!^7nLAtV`S0bwuF)pwZ5vgYv
zlO^5GNor9+ZY(ki{6qy$S*oV08vc-R$*c%V8X$g2!NktR5j|O{z$qcAf6;8ay%Ob_
z+nu0Z{tj1#PmJt_c^Q-`Sd*YiG|g{bPVCjr{Vb}M{#^?mj6Yxw$JCFBfHwdD4eT_?
zvG%@R%FqNv?8lDw#R#G{I3S+}RvHLc(FoC!{KSb;0&0mZjFq6Eo^I7GX)1&h%%<SR
zAH-Cf%BrBfCCoOF-W0d&7l0Jy>xg#$NmIJ^tiE~pq#xs;7TtaLa6I!pro8AV3R>vb
zfDL0|!U$}a`bHdfczr+|5#zfoKY)A%GW96?mV%@^E971>7>1fTu{ZdOVzXz~YhWS<
zcO|xVc2SUwIim#^W`kIR^HQW{V6J<Mi$N8_h0Ow@Vz1@NlkMM~2VuTL%K>f2xu!_U
zu!5A-#zV?K#kLg6JKBbl2sZ61F(npP!Z3}4^?zecjuwyQx4O=P16m8Fbcj_Y1bYAf
z3-c;s-1DXGDZjS=*n)S0HAUlu32x>mX(MgN!iWMTWZg%@h6g~Klv56Wo(2XIW3#;F
zXvfc%jfajM8{QIJD+ryYPnk5qN>xFj8g?Ze3><~43+?#><74P9)PTCZCcYKfxZdfu
zH;1%ZK(8@SwfEgE0YL%KmS>d1#Uh8A+S<2Gi%?LlUcH?uyrU!FBmMNZvm;jCRmyJ>
zJ&hr{Jln<o2PN}OP<n`~HY1p|8<PaA<$k-c;Ftbg8<)f-%PO|a9HcarQ7ADCF>>sq
z7o2-wE68i~pht9<VtRk*P$4=OwC|JvO!EOfl6#KDIvk1di-gs_M~~(K#@i-`U`5rg
zm7vtkJeg@AYPf<~RjjFvUn%;uPJZ(YI|*cYJjGy=oNdo^KT$C^2C=q7V9)5U+rgrK
zh4N48&#&@7S&b}DSp<dP!t*Hcgz(~|W%YNWtxMu1>J3mb6yaKf2j9ud%gf3-4eNyw
z8)`dhKR`{!PJDK%@b*f<=WzF<_kkJ6uK;^OLEt`PYw@<m$p$sA)0)o2C13yS{6Eo^
zd^`(KIL6_L$LuyYFR$f<er^()1Ew3~mHKtKXS=7m&X&KG?Pc1>(aDK2yS<>^s~4aW
zNNif;*oEMEU`JL%F5$M$gcr60)ly*lO@vnt>iF^Ft;6&dLe;VOSZ;a9v=3{XmnrIj
z?JwV{t}%sO>&?f{FSv9!B}JS!WoNVOP{Lg66G7tRM+^j*?JMgp0q7C~0Pr(k+Ob{M
zzY&PZ6SMpE=_4Gx$1BFyrO{1e5YCvKONz>AjP_Q%!oaZ!7LzZ7QGI)Z$0HDD8*Jfe
zW}AHt!%x_gM;}fqP5^g7Io?V@x;ds(3zQ@~kp{kt2nMEvCko;o5;)t=Z59XA*E^C2
zwJ&>Ty~c4`q}=7#hEQ72<8Tk)gMuZ5?+0e*Tx2PH7(LQ8y@UkE!<@BZI9&-l44D6C
z`u5H)+Q4GCw31I%Irsgf>rR_T|L(s1iratSaVx$BEq!D~aOX&%m-hDX*fpXitTY0F
z7Kwg&-|<5ZGu!*oZ|y)$M=Z>ggKIKHZjI!;JO|gjY@&<4{%24@3Y}#w6`)wKx;s&<
z?BD+;YTKeFETv$>Xr1p`cc7t*U*FPV8QHsdSK}otAFTh!NMpTFw;5kEFm?&$yL1}}
zL(lW`(MYjRk!^>8RO7RdXYAQyR@jnP)Zk@M>$&O2i^RCXOV1QW_-*i)Q~Q`?XZdW2
zwf~t-)A~ox@yi%8z%Od_lis}stX$tOFReLc(3U@SHTVA2f1m1g=^6U@@g^1v_bLa>
zew22(BBZW)iTduw17jWpJ)N~{Je7B-Q&rvgI-{~N{14Ogng%dEiWl@-#Z_g7l~ips
zpxY9A^``S?u$B8^E1YK?1OIz(J4_%W#pJ0OSAKRZ-8`h*p=!{tB!ULZ)m4hc{TZMU
zgl(#%k5yH^->#w#ev!R{nc>YPs36S_tpJJQm>4`5snki_QpVAcX<6xEX{dhW&I*GW
zbi2a}AB-D59C>Y|Mu=_4<}E`1pyS7Hvds_M*lUZDwtjdL^-jZgGOEFiQnO|U^&GQ9
zvuC%$%&(fcj1#f<0dzsl6sJ87efQcY5W!0v@;`0UU3mFpmje-6e^KYg#rc=*2rYvU
z-7{EA`0?Ae$`?CI(mEP_!KyC&sr~CO8M`}WZQ>H>935JD&Y2+sn;4aTAxscrn=XcM
z{#gdN=nVhG{l9hGZ=GApQmJwGEc(L{&9xtC#*XREF7szAk!aCKZhGqVS_mzpmfVwS
zLz<toGIN9Vr@BVCJ+28sh@_C-HQ_onL4h&enq$A6vD$evi7{}^QaIRDehc{-<bcMG
zs4tJKB!sUVJ|EiSH)D)}NwTQMq$7C3DGey$O3SuiTjZEKsxRp@{qdHxb1GioUwezL
zhli)w=!uK)7}#9+jcLkag$`lac`sh<-?9Z36x)eD2Z}n2WyTYzk{4V!IAi1x_Q2xk
zv~+22v#7+x=M}Z~mlk-M;gP=DK((L0bao9#<jQ6(&4_m5fcAo3F(uj4r>CCU$BE8b
zskN6Mta>ieP0ni$HVzoudYdH8kc^?mRPCGl__1w5L2O67ZEjtjR{G<_A{`T!G-NCj
zt#~Op&{}z_4KkPk;d~gbr-W$=7(l%GwTqLaBhcj#S9+cv#<pLLclUqj8y=*tDm9ev
z``2STO6a5OWKhIF{d;0(uxVH^U^7J#_|dOttSSo<7+Nj=vKcA*ic!JykIa}d1@F*q
z&C6X*nZAnI0%;($tm6dW?^*(bq8SD|HhR)~`uJPm@%dm?x}0Iao!p|LnF^D(ZTrS`
z*XsFMrb9ce02l@qn*Nqb8S(32b(z`083nq@si=*x1gT`z(e&4D$7hxiRi_;K^WIzS
zd!_r>GjDz283V}V;;>`KM04Bsff<fVZtna=fra+7=gjNtvEO_-s?(WDL*NG?>Nksu
zkAJdm6x3SxK0fpwVPk(6tu76}Uwr;aD`4<t4;;nZQ!RM|vXWGZ>n<%2(H#Z)%(38Z
z6w~N)Ve>gbWm?f4rMNR@N!8V{lQaod#KyFnJiBjKC5&Ows!|54aMZ_aUNJ;-;Hmrj
zZyWlrH)0h#YmsEr9dF_Yumt;Wzp@>tbM9<fw6%V4^u2jXzZ{E%yTG>T<1<&Iy2No}
z&_2rC5(mf!UbYZAPA+a2FtL7D()_O`(C!Csi|nB%_hQ3nJ89Q~l*WgH=TDl=0t%jo
zQ)|XfSTXqU9Hm-9EnNtEOhd~KPaTl12d`+z;d0dEuXW=VT!03TXZ>THtyiAQt!-$B
z>B1IIk04)=cQ?~MjPPbD^_MnN@W9Bmljosh)iUzk`If+;)8h?y>#2l%|ElH?#a{@M
zqLMrR{ij!!68w!#Cxs4}<pdnNHcqjrsi~9avL8R3TE8VF#PviJ%=1J2Kil8T`4&lE
zB%5yP(TN|r|5%!s@bvBG9Y&#)9WxTuJ<TArQOrmw4&mSRdi0%g=tLAI8+6o5r_9il
zHls9O5&wDNim9KKrzLbeV>Om>F)r$v5~}TNMpY;Exz{o^Wd7wjPmoMSCP@$X^8;m~
zt96qX0_AS#-X5M%>X%Tl_hjd>?Q^uQD~u6-UdLNKSKcse5w82@uDy4mtN4M0DZk8|
K6m4d+=f40TR(at7

literal 0
HcmV?d00001

diff --git a/web/package.json b/web/package.json
index a551af1..1025e28 100644
--- a/web/package.json
+++ b/web/package.json
@@ -74,6 +74,7 @@
     "jquery": "3.3.1",
     "jquery-contextmenu": "^2.6.4",
     "jquery-ui": "^1.12.1",
+    "leaflet": "^1.3.3",
     "moment": "^2.20.1",
     "mousetrap": "^1.6.1",
     "prop-types": "^15.5.10",
@@ -91,7 +92,8 @@
     "underscore": "^1.8.3",
     "underscore.string": "^3.3.4",
     "watchify": "~3.9.0",
-    "webcabin-docker": "git+https://github.com/EnterpriseDB/wcDocker"
+    "webcabin-docker": "git+https://github.com/EnterpriseDB/wcDocker",
+    "wkx": "^0.4.5"
   },
   "scripts": {
     "linter": "yarn eslint --no-eslintrc -c .eslintrc.js --ext .js --ext .jsx .",
diff --git a/web/pgadmin/static/bundle/slickgrid.js b/web/pgadmin/static/bundle/slickgrid.js
index befb67e..09a5373 100644
--- a/web/pgadmin/static/bundle/slickgrid.js
+++ b/web/pgadmin/static/bundle/slickgrid.js
@@ -8,5 +8,7 @@ import 'slickgrid/slick.formatters';
 import 'slickgrid/plugins/slick.autotooltips';
 import 'slickgrid/plugins/slick.cellrangedecorator';
 import 'slickgrid/plugins/slick.cellrangeselector';
+import 'sources/slickgrid/custom_header_buttons';
+
+export default window.Slick;
 
-export default window.Slick;
\ No newline at end of file
diff --git a/web/pgadmin/static/css/style.css b/web/pgadmin/static/css/style.css
index ed88eab..d9d39bf 100644
--- a/web/pgadmin/static/css/style.css
+++ b/web/pgadmin/static/css/style.css
@@ -14,6 +14,7 @@
 @import '~webcabin-docker/Build/wcDocker.css';
 @import '~acitree/css/aciTree.css';
 @import '~spectrum-colorpicker/spectrum.css';
+@import '~leaflet/dist/leaflet.css';
 
 @import '~codemirror/lib/codemirror.css';
 @import '~codemirror/addon/dialog/dialog.css';
diff --git a/web/pgadmin/static/js/slickgrid/custom_header_buttons.js b/web/pgadmin/static/js/slickgrid/custom_header_buttons.js
new file mode 100644
index 0000000..90bef69
--- /dev/null
+++ b/web/pgadmin/static/js/slickgrid/custom_header_buttons.js
@@ -0,0 +1,180 @@
+(function ($) {
+  // register namespace
+  $.extend(true, window, {
+    'Slick': {
+      'Plugins': {
+        'HeaderButtons': HeaderButtons,
+      },
+    },
+  });
+
+
+  /***
+   * custom header button modified from slick.headerbuttons.js
+   *
+   * USAGE:
+   *
+   * Add the plugin .js & .css files and register it with the grid.
+   *
+   * To specify a custom button in a column header, extend the column definition like so:
+   *
+   *   var columns = [
+   *     {
+   *       id: 'myColumn',
+   *       name: 'My column',
+   *
+   *       // This is the relevant part
+   *       header: {
+   *          buttons: [
+   *              {
+   *                // button options
+   *              },
+   *              {
+   *                // button options
+   *              }
+   *          ]
+   *       }
+   *     }
+   *   ];
+   *
+   * Available button options:
+   *    cssClass:     CSS class to add to the button.
+   *    image:        Relative button image path.
+   *    tooltip:      Button tooltip.
+   *    showOnHover:  Only show the button on hover.
+   *    handler:      Button click handler.
+   *    command:      A command identifier to be passed to the onCommand event handlers.
+   *
+   * The plugin exposes the following events:
+   *    onCommand:    Fired on button click for buttons with 'command' specified.
+   *        Event args:
+   *            grid:     Reference to the grid.
+   *            column:   Column definition.
+   *            command:  Button command identified.
+   *            button:   Button options.  Note that you can change the button options in your
+   *                      event handler, and the column header will be automatically updated to
+   *                      reflect them.  This is useful if you want to implement something like a
+   *                      toggle button.
+   *
+   *
+   * @param options {Object} Options:
+   *    buttonCssClass:   a CSS class to use for buttons (default 'slick-header-button')
+   * @class Slick.Plugins.HeaderButtons
+   * @constructor
+   */
+  function HeaderButtons(options) {
+    var _grid;
+    var _self = this;
+    var _handler = new window.Slick.EventHandler();
+    var _defaults = {
+      buttonCssClass: 'slick-header-button',
+    };
+
+
+    function init(grid) {
+      options = $.extend(true, {}, _defaults, options);
+      _grid = grid;
+      _handler
+        .subscribe(_grid.onHeaderCellRendered, handleHeaderCellRendered)
+        .subscribe(_grid.onBeforeHeaderCellDestroy, handleBeforeHeaderCellDestroy);
+
+      // Force the grid to re-render the header now that the events are hooked up.
+      _grid.setColumns(_grid.getColumns());
+    }
+
+
+    function destroy() {
+      _handler.unsubscribeAll();
+    }
+
+
+    function handleHeaderCellRendered(e, args) {
+      var column = args.column;
+
+      if (column.header && column.header.buttons) {
+        // Append buttons in reverse order since they are floated to the right.
+        var i = column.header.buttons.length;
+        while (i--) {
+          var button = column.header.buttons[i];
+          var btn = $('<div></div>')
+            .addClass(options.buttonCssClass)
+            .data('column', column)
+            .data('button', button);
+
+          if (button.content){
+            btn.append(button.content);
+          }
+
+          if (button.showOnHover) {
+            btn.addClass('slick-header-button-hidden');
+          }
+
+          if (button.image) {
+            btn.css('backgroundImage', 'url(' + button.image + ')');
+          }
+
+          if (button.cssClass) {
+            btn.addClass(button.cssClass);
+          }
+
+          if (button.tooltip) {
+            btn.attr('title', button.tooltip);
+          }
+
+          if (button.command) {
+            btn.data('command', button.command);
+          }
+
+          if (button.handler) {
+            btn.bind('click', button.handler);
+          }
+
+          btn
+            .bind('click', handleButtonClick)
+            .prependTo(args.node);
+        }
+      }
+    }
+
+
+    function handleBeforeHeaderCellDestroy(e, args) {
+      var column = args.column;
+
+      if (column.header && column.header.buttons) {
+        // Removing buttons via jQuery will also clean up any event handlers and data.
+        // NOTE: If you attach event handlers directly or using a different framework,
+        //       you must also clean them up here to avoid memory leaks.
+        $(args.node).find('.' + options.buttonCssClass).remove();
+      }
+    }
+
+
+    function handleButtonClick(e) {
+      var command = $(this).data('command');
+      var columnDef = $(this).data('column');
+      var button = $(this).data('button');
+
+      if (command != null) {
+        _self.onCommand.notify({
+          'grid': _grid,
+          'column': columnDef,
+          'command': command,
+          'button': button,
+        }, e, _self);
+
+        // Update the header in case the user updated the button definition in the handler.
+        _grid.updateColumnHeader(columnDef.id);
+      }
+
+      // Stop propagation so that it doesn't register as a header click event.
+      e.preventDefault();
+      e.stopPropagation();
+    }
+
+    $.extend(this, {
+      'init': init,
+      'destroy': destroy,
+      'onCommand': new window.Slick.Event(),
+    });
+  }
+})(window.jQuery);
diff --git a/web/pgadmin/static/js/slickgrid/formatters.js b/web/pgadmin/static/js/slickgrid/formatters.js
index adfcf79..9da04dc 100644
--- a/web/pgadmin/static/js/slickgrid/formatters.js
+++ b/web/pgadmin/static/js/slickgrid/formatters.js
@@ -4,6 +4,8 @@
  * @module Formatters
  * @namespace Slick
  */
+import {Geometry} from 'wkx';
+import {Buffer} from 'buffer';
 
 (function($) {
   // register namespace
@@ -15,6 +17,7 @@
         'Checkmark': CheckmarkFormatter,
         'Text': TextFormatter,
         'Binary': BinaryFormatter,
+        'EWKB': EWKBFormatter,
       },
     },
   });
@@ -111,4 +114,39 @@
       return '<span class=\'pull-left disabled_cell\'>[' + _.escape(value) + ']</span>';
     }
   }
+
+  function EWKBFormatter(row, cell, value, columnDef, dataContext) {
+    // If column has default value, set placeholder
+    var data = NullAndDefaultFormatter(row, cell, value, columnDef, dataContext);
+    if (data) {
+      return data;
+    } else {
+      let geometry;
+      try {
+        let buffer = new Buffer(value, 'hex');
+        geometry = Geometry.parse(buffer);
+      } catch (e) {
+        //unsupported geometry type
+        return '<button title="Can not render geometry of this type" class="btn-xs btn-default btn-ewkb-viewer disabled">' +
+          '<i class="fa fa-eye-slash" aria-hidden="true"></i>' +
+          '</button>' +
+          _.escape(value);
+      }
+
+      if (geometry.hasZ) {
+        //the viewer can not render 3d geometry
+        return '<button title="Can not render 3d geometry" class="btn-xs btn-default btn-ewkb-viewer disabled">' +
+          '<i class="fa fa-eye-slash" aria-hidden="true"></i>' +
+          '</button>' +
+          _.escape(value);
+      }
+      else {
+        return '<button title="View geometry" class="btn-xs btn-default btn-ewkb-viewer btn-view-ewkb-enabled">' +
+          '<i class="fa fa-eye" aria-hidden="true"></i>' +
+          '</button>' +
+          _.escape(value);
+      }
+
+    }
+  }
 })(window.jQuery);
diff --git a/web/pgadmin/static/js/sqleditor/geometry_viewer.js b/web/pgadmin/static/js/sqleditor/geometry_viewer.js
new file mode 100644
index 0000000..0ed2a88
--- /dev/null
+++ b/web/pgadmin/static/js/sqleditor/geometry_viewer.js
@@ -0,0 +1,171 @@
+/////////////////////////////////////////////////////////////
+//
+// pgAdmin 4 - PostgreSQL Tools
+//
+// Copyright (C) 2013 - 2018, The pgAdmin Development Team
+// This software is released under the PostgreSQL Licence
+//
+//////////////////////////////////////////////////////////////
+
+import gettext from 'sources/gettext';
+import Alertify from 'pgadmin.alertifyjs';
+import {Geometry} from 'wkx';
+import {Buffer} from 'buffer';
+import BuildGeometryViewerDialog from 'sources/sqleditor/geometry_viewer_dialog';
+
+let GeometryViewer = {
+  'render_geometry': renderGeometry,
+
+  'add_header_button': function (columnDefinition) {
+    if (columnDefinition.column_type_internal === 'geometry' ||
+      columnDefinition.column_type_internal === 'geography') {
+      columnDefinition.header = {
+        buttons: [
+          {
+            cssClass: 'div-view-geometry-column',
+            tooltip: 'View all geometries in this column',
+            showOnHover: false,
+            command: 'view-all-geometries',
+            content: '<button class="btn-xs btn-primary"><i class="fa fa-eye" aria-hidden="true"></i></button>',
+          },
+        ],
+      };
+    }
+  },
+};
+
+function renderGeometry(items, columns, columnIndex) {
+  BuildGeometryViewerDialog();
+  const maxRenderByteLength = 20 * 1024 * 1024; //render geometry data up to 20MB
+  const maxRenderGeometries = 100000; // render geometries up to 100000
+  let field = columns[columnIndex].field;
+  let geometries3D = [],
+    supportedGeometries = [],
+    unsupportedItems = [],
+    infoContent = [],
+    geometryItemMap = new Map(),
+    mixedSRID = false,
+    geometryTotalByteLength = 0,
+    tooLargeDataSize = false,
+    tooManyGeometris = false;
+
+
+  if (_.isUndefined(items)) {
+    Alertify.alert(gettext('Geometry Viewer Error'), gettext('Empty data'));
+    return;
+  }
+
+  if (!_.isArray(items)) {
+    items = [items];
+  }
+
+  if (items.length === 0) {
+    Alertify.alert(gettext('Geometry Viewer Error'), gettext('Empty Column'));
+    return;
+  }
+
+  // parse ewkb data
+  _.every(items, function (item) {
+    try {
+      let value = item[field];
+      let buffer = new Buffer(value, 'hex');
+      let geometry = Geometry.parse(buffer);
+      if (geometry.hasZ) {
+        geometries3D.push(geometry);
+      } else {
+        geometryTotalByteLength += buffer.byteLength;
+        if (geometryTotalByteLength > maxRenderByteLength) {
+          tooLargeDataSize = true;
+          return false;
+        }
+        if(supportedGeometries.length >= maxRenderGeometries){
+          tooManyGeometris = true;
+          return false;
+        }
+
+        if (!geometry.srid) {
+          geometry.srid = 0;
+        }
+        supportedGeometries.push(geometry);
+        geometryItemMap.set(geometry, item);
+      }
+    } catch (e) {
+      unsupportedItems.push(item);
+    }
+    return true;
+  });
+
+  // generate map info content
+  {
+    if (tooLargeDataSize || tooManyGeometris) {
+      infoContent.push(supportedGeometries.length + ' geometries rendered' +
+        '<i class="fa fa-question-circle" title="Due to performance limitations, the extra geometries are not rendered" aria-hidden="true"></i>');
+    }
+    if (geometries3D.length > 0) {
+      infoContent.push(gettext('3D geometries not rendered.'));
+    }
+    if (unsupportedItems.length > 0) {
+      infoContent.push(gettext('Unsupported geometries not rendered.'));
+    }
+  }
+
+  if (supportedGeometries.length === 0) {
+    Alertify.mapDialog([], 0, undefined, infoContent);
+    return;
+  }
+
+  // group geometries by SRID
+  let geometriesGroupBySRID = _.groupBy(supportedGeometries, 'srid');
+  let SRIDGeometriesPairs = _.pairs(geometriesGroupBySRID);
+  if (SRIDGeometriesPairs.length > 1) {
+    mixedSRID = true;
+  }
+  // select the largest group
+  let selectedPair = _.max(SRIDGeometriesPairs, function (pair) {
+    return pair[1].length;
+  });
+  let selectedSRID = selectedPair[0];
+  let selectedGeometries = selectedPair[1];
+
+  let geoJSONs = _.map(selectedGeometries, function (geometry) {
+    return geometry.toGeoJSON();
+  });
+  let getPopupContent = function (geojson) {
+    let geometry = selectedGeometries[geoJSONs.indexOf(geojson)];
+    let item = geometryItemMap.get(geometry);
+    return itemToTable(item, columns);
+  };
+
+  if (mixedSRID) {
+    infoContent.push(gettext('Geometries with non-SRID') + selectedSRID + ' not rendered.' +
+      '<i class="fa fa-question-circle" title="There are geometries with different SRIDs in this column." aria-hidden="true"></i>');
+  }
+
+  Alertify.mapDialog(geoJSONs, parseInt(selectedSRID), getPopupContent, infoContent);
+}
+
+function itemToTable(item, columns) {
+  let content = '<table class="table table-bordered table-striped view-geometry-property-table"><tbody>';
+  _.each(columns, function (columnDef) {
+    if (!_.isUndefined(columnDef.display_name)) {
+      content += '<tr><th>' + columnDef.display_name + '</th>' + '<td>';
+
+      let value = item[columnDef.field];
+      if (_.isUndefined(value) && columnDef.has_default_val) {
+        content += '<i>[default]</i>';
+      } else if (
+        (_.isUndefined(value) && columnDef.not_null) ||
+        (_.isUndefined(value) || value === null)
+      ) {
+        content += '<i>[null]</i>';
+      } else {
+        content += value;
+      }
+      content += '</td></tr>';
+    }
+  });
+  content += '</tbody></table>';
+  return content;
+}
+
+module.exports = GeometryViewer;
diff --git a/web/pgadmin/static/js/sqleditor/geometry_viewer_dialog.js b/web/pgadmin/static/js/sqleditor/geometry_viewer_dialog.js
new file mode 100644
index 0000000..daa0e9e
--- /dev/null
+++ b/web/pgadmin/static/js/sqleditor/geometry_viewer_dialog.js
@@ -0,0 +1,174 @@
+/////////////////////////////////////////////////////////////
+//
+// pgAdmin 4 - PostgreSQL Tools
+//
+// Copyright (C) 2013 - 2018, The pgAdmin Development Team
+// This software is released under the PostgreSQL Licence
+//
+//////////////////////////////////////////////////////////////
+
+import Alertify from 'pgadmin.alertifyjs';
+import L from 'leaflet';
+import gettext from 'sources/gettext';
+import $ from 'jquery';
+
+function BuildGeometryViewerDialog() {
+  if (!Alertify.mapDialog) {
+    Alertify.dialog('mapDialog', function () {
+
+      let divContainer;
+      let vectorLayer, osmLayer, lmap, infoControl;
+      const geojsonMarkerOptions = {
+        radius: 4,
+        weight: 3,
+      };
+      const geojsonStyle = {
+        weight: 2,
+      };
+      const popupOption = {
+        closeButton: false,
+        minWidth: 260,
+        maxWidth: 300,
+        maxHeight: 320,
+      };
+
+      return {
+        main: function (geoJSONs, SRID, getPopupContent, infoContent = []) {
+
+          if (infoContent.length > 0) {
+            let content = infoContent.join('<br/>');
+            infoControl.addTo(lmap);
+            infoControl.update(content);
+          }
+
+          if (geoJSONs.length === 0) {
+            lmap.setView([0, 0], 0);
+            return;
+          }
+
+          try {
+            vectorLayer.addData(geoJSONs);
+          } catch (e) {
+            // Invalid LatLng object: (NaN, NaN)
+            lmap.setView([0, 0], 0);
+            return;
+          }
+
+          let bounds = vectorLayer.getBounds();
+          if (!bounds.isValid()) {
+            lmap.setView([0, 0], 0);
+            return;
+          }
+
+          if (typeof getPopupContent === 'function') {
+            let addPopup = function (layer) {
+              layer.bindPopup(function () {
+                return getPopupContent(layer.feature.geometry);
+              }, popupOption);
+            };
+            vectorLayer.eachLayer(addPopup);
+          }
+
+          bounds = bounds.pad(0.1);
+          let maxLength = Math.max(bounds.getNorth() - bounds.getSouth(),
+            bounds.getEast() - bounds.getWest());
+          if (SRID === 4326) {
+            divContainer.addClass('ewkb-viewer-container-plain-background');
+            lmap.options.crs = L.CRS.EPSG3857;
+            lmap.setMinZoom(0);
+            osmLayer.addTo(lmap);
+          } else {
+            lmap.options.crs = L.CRS.Simple;
+            if (maxLength >= 180) {
+              // calculate the min zoom level to enable the map to fit the whole geometry.
+              let minZoom = Math.floor(Math.log2(360 / maxLength)) - 2;
+              lmap.setMinZoom(minZoom);
+            } else {
+              lmap.setMinZoom(0);
+            }
+          }
+
+          if (maxLength > 0) {
+            lmap.fitBounds(bounds);
+          } else {
+            lmap.setView(bounds.getCenter(), 5);
+          }
+        },
+
+        setup: function () {
+          return {
+            options: {
+              closable: true,
+              closableByDimmer: true,
+              maximizable: false,
+              frameless: true,
+              padding: false,
+              overflow: false,
+              title: gettext('Geometry Viewer'),
+            },
+          };
+        },
+
+        build: function () {
+          //hide close button
+          this.elements.commands.close.style = 'visibility:hidden';
+
+          divContainer = $('<div class="ewkb-viewer-container"></div>');
+          this.elements.content.appendChild(divContainer.get(0));
+          vectorLayer = L.geoJSON([], {
+            style: geojsonStyle,
+            pointToLayer: function (feature, latlng) {
+              return L.circleMarker(latlng, geojsonMarkerOptions);
+            },
+          });
+          osmLayer = L.tileLayer('http://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
+            attribution: '<a target="_blank" href="https://www.openstreetmap.org/copyright">' +
+              '&copy; OpenStreetMap</a>',
+          });
+          lmap = L.map(divContainer.get(0), {
+            preferCanvas: true,
+          });
+          vectorLayer.addTo(lmap);
+          infoControl = L.control({
+            position: 'topright',
+          });
+          infoControl.onAdd = function () {
+            this._div = L.DomUtil.create('div', 'geometry-viewer-info-control');
+            return this._div;
+          };
+          infoControl.update = function (content) {
+            this._div.innerHTML = content;
+          };
+
+          Alertify.pgDialogBuild.apply(this);
+          this.set('onresized', function () {
+            setTimeout(function () {
+              lmap.invalidateSize();
+            }, 50);
+          });
+
+          this.elements.dialog.style.maxWidth = 'unset';
+          this.elements.dialog.style.width = '80%';
+          this.elements.dialog.style.height = '60%';
+        },
+
+        hooks: {
+          onshow: function () {
+            lmap.invalidateSize();
+          },
+
+          onclose: function () {
+            //reset map
+            lmap.closePopup();
+            infoControl.remove();
+            vectorLayer.clearLayers();
+            divContainer.removeClass('ewkb-viewer-container-plain-background');
+            osmLayer.remove();
+          },
+        },
+      };
+    });
+  }
+}
+
+module.exports = BuildGeometryViewerDialog;
diff --git a/web/pgadmin/tools/sqleditor/static/css/sqleditor.css b/web/pgadmin/tools/sqleditor/static/css/sqleditor.css
index 75ead26..6bc0a6c 100644
--- a/web/pgadmin/tools/sqleditor/static/css/sqleditor.css
+++ b/web/pgadmin/tools/sqleditor/static/css/sqleditor.css
@@ -641,3 +641,73 @@ input.editor-checkbox:focus {
 .connection-status-hide {
   display: none;
 }
+
+/* For slickgrid EWKB data viewer button */
+.btn-ewkb-viewer {
+  float: right;
+  position: relative;
+}
+
+/* For EWKB data viewer dialog */
+.ewkb-viewer-container {
+  width: 100%;
+  height: 100%;
+  background: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAgAAAAICAYAAADED76LAAAANElEQVQoU2O8e/fuf2VlZUYGLAAkB5bApggmBteJrAiZjWI0SAJkIrKVxCvAawVeRxLyJgB+Ajc1cwux9wAAAABJRU5ErkJggg==);
+ }
+
+/* For leaflet map background */
+.ewkb-viewer-container-plain-background {
+  background: #ffffff;
+}
+
+/* For geometry column button */
+.div-view-geometry-column {
+  float: right;
+  height: 100%;
+  display: flex;
+  display: -webkit-flex;
+  align-items: center;
+  padding-right: 4px;
+}
+
+/* For leaflet popup */
+.leaflet-popup-content-wrapper {
+  border-radius: 2px;
+}
+
+.leaflet-popup-content {
+  margin: 5px;
+  padding: 10px 10px 0;
+  overflow-y: scroll;
+  overflow-x: hidden;
+}
+
+/* For geometry viewer property table */
+.view-geometry-property-table {
+  table-layout: fixed;
+  white-space: nowrap;
+  padding: 0;
+}
+
+.view-geometry-property-table th {
+  overflow: hidden;
+  text-overflow: ellipsis;
+}
+
+.view-geometry-property-table td {
+  overflow: hidden;
+  text-overflow: ellipsis;
+}
+
+/* For geometry viewer info control */
+.geometry-viewer-info-control {
+  padding: 5px;
+  background: white;
+  border: 2px solid rgba(0, 0, 0, 0.2);
+  background-clip: padding-box;
+  border-radius: 2px;
+}
+
+.geometry-viewer-info-control i{
+  margin: 0 0 0 4px;
+}
diff --git a/web/pgadmin/tools/sqleditor/static/js/sqleditor.js b/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
index 1316c7b..66a6a07 100644
--- a/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
+++ b/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
@@ -15,6 +15,7 @@ define('tools.querytool', [
   'sources/sqleditor/execute_query',
   'sources/sqleditor/query_tool_http_error_handler',
   'sources/sqleditor/filter_dialog',
+  'sources/sqleditor/geometry_viewer',
   'sources/history/index.js',
   'sourcesjsx/history/query_history',
   'react', 'react-dom',
@@ -37,7 +38,7 @@ define('tools.querytool', [
   babelPollyfill, gettext, url_for, $, _, S, alertify, pgAdmin, Backbone, codemirror,
   pgExplain, GridSelector, ActiveCellCapture, clipboard, copyData, RangeSelectionHelper, handleQueryOutputKeyboardEvent,
   XCellSelectionModel, setStagedRows, SqlEditorUtils, ExecuteQuery, httpErrorHandler, FilterHandler,
-  HistoryBundle, queryHistory, React, ReactDOM,
+  GeometryViewer, HistoryBundle, queryHistory, React, ReactDOM,
   keyboardShortcuts, queryToolActions, queryToolNotifications, Datagrid,
   modifyAnimation, calculateQueryRunTime, callRenderAfterPoll, queryToolPref) {
   /* Return back, this has been called more than once */
@@ -589,6 +590,8 @@ define('tools.querytool', [
      - This plugin is useful for selecting rows using checkbox
      3) RowSelectionModel
      - This plugin is needed by CheckboxSelectColumn plugin to select rows
+     4) Slick.HeaderButtons
+     - This plugin is useful for add buttons in column header
 
      Grid Options:
      -------------
@@ -727,7 +730,13 @@ define('tools.querytool', [
         } else if (c.cell == 'binary') {
           // We do not support editing binary data in SQL editor and data grid.
           options['formatter'] = Slick.Formatters.Binary;
-        } else {
+        } else if (c.cell == 'geometry' || c.cell == 'geography'){
+          options['editor'] = is_editable ? Slick.Editors.pgText :
+            Slick.Editors.ReadOnlypgText;
+          // EWKB formatter for viewing geometry data.
+          options['formatter'] =  Slick.Formatters.EWKB;
+        }
+        else {
           options['editor'] = is_editable ? Slick.Editors.pgText :
             Slick.Editors.ReadOnlypgText;
           options['formatter'] = Slick.Formatters.Text;
@@ -739,6 +748,13 @@ define('tools.querytool', [
       var gridSelector = new GridSelector();
       grid_columns = self.grid_columns = gridSelector.getColumnDefinitions(grid_columns);
 
+      // add 'view' button in geometry and geography type column header
+      _.each(grid_columns, function (c) {
+        if(c.column_type_internal == 'geometry' || c.column_type_internal == 'geography'){
+          GeometryViewer.add_header_button(c);
+        }
+      });
+
       if (rows_affected) {
         // calculate with for header row column.
         grid_columns[0]['width'] = SqlEditorUtils.calculateColumnWidth(rows_affected);
@@ -801,6 +817,25 @@ define('tools.querytool', [
       grid.registerPlugin(new ActiveCellCapture());
       grid.setSelectionModel(new XCellSelectionModel());
       grid.registerPlugin(gridSelector);
+      var headerButtonsPlugin = new Slick.Plugins.HeaderButtons();
+      headerButtonsPlugin.onCommand.subscribe(function (e, args) {
+        let columns = args.grid.getColumns();
+        let columnIndex = columns.indexOf(args.column);
+        let command = args.command;
+        if(command === 'view-all-geometries'){
+          if (self.handler.has_more_rows){
+          // fetch all the data before rendering geometries in the column.
+            self.fetch_next_all(function () {
+              let items = args.grid.getData().getItems();
+              GeometryViewer.render_geometry(items, columns, columnIndex);
+            });
+          }else{
+            let items = args.grid.getData().getItems();
+            GeometryViewer.render_geometry(items, columns, columnIndex);
+          }
+        }
+      });
+      grid.registerPlugin(headerButtonsPlugin);
 
       var editor_data = {
         keys: (_.isEmpty(self.handler.primary_keys) && self.handler.has_oids) ? self.handler.oids : self.handler.primary_keys,
@@ -826,6 +861,16 @@ define('tools.querytool', [
           setStagedRows.bind(editor_data));
       }
 
+      // listen for 'view geometry' button click event in datagrid
+      grid.onClick.subscribe(function (e, args) {
+        if ($(e.target).hasClass('btn-view-ewkb-enabled') || $(e.target).parent().hasClass('btn-view-ewkb-enabled')) {
+          var item = dataView.getItem(args.row);
+          var columns = grid.getColumns();
+          var columnIndex = args.cell;
+          GeometryViewer.render_geometry(item, columns, columnIndex);
+        }
+      });
+
       grid.onColumnsResized.subscribe(function() {
         var columns = this.getColumns();
         _.each(columns, function(col) {
@@ -2382,6 +2427,12 @@ define('tools.querytool', [
           case 'bytea[]':
             col_cell = 'binary';
             break;
+          case 'geometry':
+            col_cell = 'geometry';
+            break;
+          case 'geography':
+            col_cell = 'geography';
+            break;
           default:
             col_cell = 'string';
           }
diff --git a/web/regression/javascript/geometry_viewer/geometry_viewer_spec.js b/web/regression/javascript/geometry_viewer/geometry_viewer_spec.js
new file mode 100644
index 0000000..7f113e0
--- /dev/null
+++ b/web/regression/javascript/geometry_viewer/geometry_viewer_spec.js
@@ -0,0 +1,287 @@
+/////////////////////////////////////////////////////////////
+//
+// pgAdmin 4 - PostgreSQL Tools
+//
+// Copyright (C) 2013 - 2018, The pgAdmin Development Team
+// This software is released under the PostgreSQL Licence
+//
+//////////////////////////////////////////////////////////////
+
+import Alertify from 'pgadmin.alertifyjs';
+import GeometryViewer from 'sources/sqleditor/geometry_viewer';
+import BuildGeometryViewerDialog from 'sources/sqleditor/geometry_viewer_dialog';
+
+describe('geometry viewer test', function () {
+  describe('geometry viewer dialog test', function () {
+    it('should create dialog', function () {
+      expect(Alertify.mapDialog).toBeUndefined();
+      BuildGeometryViewerDialog();
+      expect(Alertify.mapDialog).toBeDefined();
+    });
+
+  });
+
+  describe('geometry viewer add header button test', function () {
+    let add_button = GeometryViewer.add_header_button;
+    it('should add button for geography type', function () {
+      let columnDef = {
+        column_type_internal: 'geography',
+      };
+      add_button(columnDef);
+      expect(columnDef.header).toBeDefined();
+    });
+
+    it('should add button for geometry type', function () {
+      let columnDef = {
+        column_type_internal: 'geometry',
+      };
+      add_button(columnDef);
+      expect(columnDef.header).toBeDefined();
+    });
+
+    it('should do nothing for other type', function () {
+      let columnDef = {
+        column_type_internal: 'integer',
+      };
+      add_button(columnDef);
+      expect(columnDef.header).toBeUndefined();
+    });
+  });
+
+  describe('geometry viewer rener geometry test', function () {
+    let renderGeometry = GeometryViewer.render_geometry;
+    beforeEach(function () {
+      BuildGeometryViewerDialog();
+      spyOn(Alertify, 'mapDialog').and.callFake(function (items) {
+        return items.length;
+      });
+    });
+
+    it('should parse item correctly', function () {
+      // POINT(0 0)
+      let ewkb = '010100000000000000000000000000000000000000';
+      let item = {
+        id: 1,
+        geom: ewkb,
+      };
+      let columns = [
+        {
+          column_type_internal: 'geometry',
+          field: 'geom',
+        },
+      ];
+      let columnIndex = 0;
+      renderGeometry(item, columns, columnIndex);
+      expect(Alertify.mapDialog).toHaveBeenCalledTimes(1);
+    });
+
+    it('should not alert dialog', function () {
+      let columns = [
+        {
+          column_type_internal: 'geometry',
+          field: 'geom',
+        },
+      ];
+      let columnIndex = 0;
+      renderGeometry(undefined, columns, columnIndex);
+      expect(Alertify.mapDialog).not.toHaveBeenCalled();
+    });
+
+
+    it('should group geometry by srid', function () {
+      // POINT(0 0)
+      let ewkb = '010100000000000000000000000000000000000000';
+      // SRID=32632;POINT(0 0)
+      let ewkb1 = '0101000020787F000000000000000000000000000000000000';
+      let items = [{
+        id: 1,
+        geom: ewkb,
+      }, {
+        id: 1,
+        geom: ewkb,
+      }, {
+        id: 1,
+        geom: ewkb1,
+      }];
+      let columns = [
+        {
+          column_type_internal: 'geometry',
+          field: 'geom',
+        },
+      ];
+      let columnIndex = 0;
+      renderGeometry(items, columns, columnIndex);
+      expect(Alertify.mapDialog.calls.mostRecent().args[0].length).toBe(2);
+    });
+
+
+    it('should support geometry collection', function () {
+      // GEOMETRYCOLLECTION(POINT(2 3),LINESTRING(2 3,3 4))
+      let ewkb = '01070000000200000001010000000000000000000040000000000000084001' +
+        '02000000020000000000000000000040000000000000084000000000000008400000000' +
+        '000001040';
+      let items = [{
+        id: 1,
+        geom: ewkb,
+      }];
+      let columns = [
+        {
+          column_type_internal: 'geometry',
+          field: 'geom',
+        },
+      ];
+      let columnIndex = 0;
+      renderGeometry(items, columns, columnIndex);
+      expect(Alertify.mapDialog.calls.mostRecent().args[0].length).toBe(1);
+    });
+
+    it('should support geometry M', function () {
+      // SRID=4326;MULTIPOINTM(0 0 0,1 2 1)
+      let ewkb = '0104000060E610000002000000010100004000000000000000000000000000' +
+        '00000000000000000000000101000040000000000000F03F00000000000000400000000' +
+        '00000F03F';
+      let items = [{
+        id: 1,
+        geom: ewkb,
+      }];
+      let columns = [
+        {
+          column_type_internal: 'geometry',
+          field: 'geom',
+        },
+      ];
+      let columnIndex = 0;
+      renderGeometry(items, columns, columnIndex);
+      expect(Alertify.mapDialog.calls.mostRecent().args[0].length).toBe(1);
+    });
+
+    it('should support empty geometry', function () {
+      // GEOMETRYCOLLECTION EMPTY
+      let ewkb = '010700000000000000';
+      let items = [{
+        id: 1,
+        geom: ewkb,
+      }];
+      let columns = [
+        {
+          column_type_internal: 'geometry',
+          field: 'geom',
+        },
+      ];
+      let columnIndex = 0;
+      renderGeometry(items, columns, columnIndex);
+      expect(Alertify.mapDialog.calls.mostRecent().args[0].length).toBe(1);
+    });
+
+
+    it('should support mixed geometry type', function () {
+      // GEOMETRYCOLLECTION EMPTY
+      let ewkb = '010700000000000000';
+      // POINT(0 0)
+      let ewkb1 = '010100000000000000000000000000000000000000';
+      // SRID=4326;MULTIPOINTM(0 0 0,1 2 1)
+      let ewkb2 = '0104000060E610000002000000010100004000000000000000000000000000' +
+        '00000000000000000000000101000040000000000000F03F00000000000000400000000' +
+        '00000F03F';
+      let items = [{
+        id: 1,
+        geom: ewkb,
+      }, {
+        id: 1,
+        geom: ewkb1,
+      }, {
+        id: 1,
+        geom: ewkb2,
+      }];
+      let columns = [
+        {
+          column_type_internal: 'geometry',
+          field: 'geom',
+        },
+      ];
+      let columnIndex = 0;
+      renderGeometry(items, columns, columnIndex);
+      expect(Alertify.mapDialog.calls.mostRecent().args[0].length).toBe(2);
+    });
+
+
+    it('should not support 3D geometry', function () {
+      // POINT(0 0 0)
+      let ewkb = '0101000080000000000000F03F000000000000F03F000000000000F03F';
+      let items = [{
+        id: 1,
+        geom: ewkb,
+      }];
+      let columns = [
+        {
+          column_type_internal: 'geometry',
+          field: 'geom',
+        },
+      ];
+      let columnIndex = 0;
+      renderGeometry(items, columns, columnIndex);
+      expect(Alertify.mapDialog.calls.mostRecent().args[0].length).toBe(0);
+    });
+
+    it('should not support 3DM geometry', function () {
+      // POINT(0 0 0 0)
+      let ewkb = '01010000C00000000000000000000000000000000000000000000000000000' +
+        '000000000000';
+      let items = [{
+        id: 1,
+        geom: ewkb,
+      }];
+      let columns = [
+        {
+          column_type_internal: 'geometry',
+          field: 'geom',
+        },
+      ];
+      let columnIndex = 0;
+      renderGeometry(items, columns, columnIndex);
+      expect(Alertify.mapDialog.calls.mostRecent().args[0].length).toBe(0);
+    });
+
+    it('should not support TRIANGLE geometry', function () {
+      // TRIANGLE ((0 0, 0 9, 9 0, 0 0))
+      let ewkb = '01110000000100000004000000000000000000000000000000000000000000' +
+        '00000000000000000000000022400000000000002240000000000000000000000000000' +
+        '000000000000000000000';
+      let items = [{
+        id: 1,
+        geom: ewkb,
+      }];
+      let columns = [
+        {
+          column_type_internal: 'geometry',
+          field: 'geom',
+        },
+      ];
+      let columnIndex = 0;
+      renderGeometry(items, columns, columnIndex);
+      expect(Alertify.mapDialog.calls.mostRecent().args[0].length).toBe(0);
+    });
+
+    it('should limit data size', function () {
+      // POINT(0 0)
+      let ewkb = '010100000000000000000000000000000000000000';
+      let items = [];
+      for (let i = 0; i < 600000; i++) {
+        items.push({
+          id: i,
+          geom: ewkb,
+        });
+      }
+
+      let columns = [
+        {
+          column_type_internal: 'geometry',
+          field: 'geom',
+        },
+      ];
+      let columnIndex = 0;
+      renderGeometry(items, columns, columnIndex);
+      expect(Alertify.mapDialog.calls.mostRecent().args[0].length).toBeLessThan(600000);
+    });
+  });
+});
diff --git a/web/regression/javascript/geometry_viewer/slickgrid_ewkb_formatter_spec.js b/web/regression/javascript/geometry_viewer/slickgrid_ewkb_formatter_spec.js
new file mode 100644
index 0000000..3dc9b7b
--- /dev/null
+++ b/web/regression/javascript/geometry_viewer/slickgrid_ewkb_formatter_spec.js
@@ -0,0 +1,172 @@
+/////////////////////////////////////////////////////////////
+//
+// pgAdmin 4 - PostgreSQL Tools
+//
+// Copyright (C) 2013 - 2018, The pgAdmin Development Team
+// This software is released under the PostgreSQL Licence
+//
+//////////////////////////////////////////////////////////////
+
+import 'sources/slickgrid/formatters';
+
+describe('EWKB formatter test', function () {
+  let EWKBFromatter = window.Slick.Formatters.EWKB;
+  const row = undefined;
+  const cell = undefined;
+
+  describe('format supported geometry', function () {
+    it('should return the view button for geometry', function () {
+      // POINT(0 0)
+      let ewkb = '010100000000000000000000000000000000000000';
+      expect(EWKBFromatter(row, cell, ewkb)).toContain('View geometry');
+    });
+    it('should return the view button for geometry', function () {
+      // LINESTRING(0 0,1 1,1 2)
+      let ewkb = '01020000000300000000000000000000000000000000000000000000000000' +
+        'F03F000000000000F03F000000000000F03F0000000000000040';
+      expect(EWKBFromatter(row, cell, ewkb)).toContain('View geometry');
+    });
+    it('should return the view button for geometry', function () {
+      // GEOMETRYCOLLECTION(POINT(2 3),LINESTRING(2 3,3 4))
+      let ewkb = '01070000000200000001010000000000000000000040000000000000084001' +
+        '02000000020000000000000000000040000000000000084000000000000008400000000' +
+        '000001040';
+      expect(EWKBFromatter(row, cell, ewkb)).toContain('View geometry');
+    });
+    it('should return the view button for geometry', function () {
+      // SRID=32632;POINT(0 0)
+      let ewkb = '0101000020787F000000000000000000000000000000000000';
+      expect(EWKBFromatter(row, cell, ewkb)).toContain('View geometry');
+    });
+    it('should return the view button for geometry', function () {
+      // SRID=4326;MULTIPOINTM(0 0 0,1 2 1)
+      let ewkb = '0104000060E610000002000000010100004000000000000000000000000000' +
+        '00000000000000000000000101000040000000000000F03F00000000000000400000000' +
+        '00000F03F';
+      expect(EWKBFromatter(row, cell, ewkb)).toContain('View geometry');
+    });
+    it('should return the view button for geometry', function () {
+      // GEOMETRYCOLLECTION(POINT(2 3),LINESTRING(2 3,3 4))
+      let ewkb = '01070000000200000001010000000000000000000040000000000000084001' +
+        '02000000020000000000000000000040000000000000084000000000000008400000000' +
+        '000001040';
+      expect(EWKBFromatter(row, cell, ewkb)).toContain('View geometry');
+    });
+    it('should return the view button for geometry', function () {
+      // POINT EMPTY
+      let ewkb = '0101000000000000000000F87F000000000000F87F';
+      expect(EWKBFromatter(row, cell, ewkb)).toContain('View geometry');
+    });
+    it('should return the view button for geometry', function () {
+      // LINESTRING EMPTY
+      let ewkb = '010200000000000000';
+      expect(EWKBFromatter(row, cell, ewkb)).toContain('View geometry');
+    });
+    it('should return the view button for geometry', function () {
+      // POLYGON EMPTY
+      let ewkb = '010300000000000000';
+      expect(EWKBFromatter(row, cell, ewkb)).toContain('View geometry');
+    });
+    it('should return the view button for geometry', function () {
+      // MULTIPOINT EMPTY
+      let ewkb = '010400000000000000';
+      expect(EWKBFromatter(row, cell, ewkb)).toContain('View geometry');
+    });
+    it('should return the view button for geometry', function () {
+      // GEOMETRYCOLLECTION EMPTY
+      let ewkb = '010700000000000000';
+      expect(EWKBFromatter(row, cell, ewkb)).toContain('View geometry');
+    });
+  });
+
+  describe('format 3d geometry', function () {
+    it('should return the disabled button for 3d geometry', function () {
+      // POINT(0 0 0)
+      let ewkb = '0101000080000000000000F03F000000000000F03F000000000000F03F';
+      expect(EWKBFromatter(row, cell, ewkb)).toContain('Can not render 3d geometry');
+    });
+
+    it('should return the disabled button for 3d geometry', function () {
+      // POINT(0 0 0 0)
+      let ewkb = '01010000C00000000000000000000000000000000000000000000000000000' +
+        '000000000000';
+      expect(EWKBFromatter(row, cell, ewkb)).toContain('Can not render 3d geometry');
+    });
+
+    it('should return the disabled button for 3d geometry', function () {
+      let ewkb = '01060000800200000001030000800200000005000000000000000000000000' +
+        '00000000000000000000000000000000000000000010400000000000000000000000000' +
+        '00000000000000000001040000000000000104000000000000000000000000000000000' +
+        '00000000000010400000000000000000000000000000000000000000000000000000000' +
+        '00000000005000000000000000000F03F000000000000F03F0000000000000000000000' +
+        '0000000040000000000000F03F000000000000000000000000000000400000000000000' +
+        '0400000000000000000000000000000F03F000000000000004000000000000000000000' +
+        '00000000F03F000000000000F03F0000000000000000010300008001000000050000000' +
+        '00000000000F0BF000000000000F0BF0000000000000000000000000000F0BF00000000' +
+        '000000C0000000000000000000000000000000C000000000000000C0000000000000000' +
+        '000000000000000C0000000000000F0BF0000000000000000000000000000F0BF000000' +
+        '000000F0BF0000000000000000';
+      expect(EWKBFromatter(row, cell, ewkb)).toContain('Can not render 3d geometry');
+    });
+  });
+
+  describe('format unsupported geometry type', function () {
+    it('should return the disabled button for unsupported geometry', function () {
+      let ewkb = '';
+      expect(EWKBFromatter(row, cell, ewkb)).toContain('Can not render geometry of this type');
+    });
+    it('should return the disabled button for unsupported geometry', function () {
+      // MULTICURVE( (0 0, 5 5), CIRCULARSTRING(4 0, 4 4, 8 4) )
+      let ewkb = '010B0000000200000001020000000200000000000000000000000000000000' +
+        '00000000000000000014400000000000001440010800000003000000000000000000104' +
+        '00000000000000000000000000000104000000000000010400000000000002040000000' +
+        '0000001040';
+      expect(EWKBFromatter(row, cell, ewkb)).toContain('Can not render geometry of this type');
+    });
+    it('should return the disabled button for unsupported geometry', function () {
+      // POLYHEDRALSURFACE( ((0 0 0, 0 0 1, 0 1 1, 0 1 0, 0 0 0)), ((0 0 0, 0 1 0, 1 1 0, 1 0 0, 0 0 0)), ((0 0 0, 1 0 0, 1 0 1, 0 0 1, 0 0 0)), ((1 1 0, 1 1 1, 1 0 1, 1 0 0, 1 1 0)), ((0 1 0, 0 1 1, 1 1 1, 1 1 0, 0 1 0)), ((0 0 1, 1 0 1, 1 1 1, 0 1 1, 0 0 1)) )
+      let ewkb = '010F0000800600000001030000800100000005000000000000000000000000' +
+        '00000000000000000000000000000000000000000000000000000000000000000000000' +
+        '000F03F0000000000000000000000000000F03F000000000000F03F0000000000000000' +
+        '000000000000F03F0000000000000000000000000000000000000000000000000000000' +
+        '00000000001030000800100000005000000000000000000000000000000000000000000' +
+        '0000000000000000000000000000000000000000F03F000000000000000000000000000' +
+        '0F03F000000000000F03F0000000000000000000000000000F03F000000000000000000' +
+        '00000000000000000000000000000000000000000000000000000000000000010300008' +
+        '00100000005000000000000000000000000000000000000000000000000000000000000' +
+        '000000F03F00000000000000000000000000000000000000000000F03F0000000000000' +
+        '000000000000000F03F00000000000000000000000000000000000000000000F03F0000' +
+        '00000000000000000000000000000000000000000000010300008001000000050000000' +
+        '00000000000F03F000000000000F03F0000000000000000000000000000F03F00000000' +
+        '0000F03F000000000000F03F000000000000F03F0000000000000000000000000000F03' +
+        'F000000000000F03F00000000000000000000000000000000000000000000F03F000000' +
+        '000000F03F0000000000000000010300008001000000050000000000000000000000000' +
+        '000000000F03F00000000000000000000000000000000000000000000F03F0000000000' +
+        '00F03F000000000000F03F000000000000F03F000000000000F03F000000000000F03F0' +
+        '00000000000F03F00000000000000000000000000000000000000000000F03F00000000' +
+        '00000000010300008001000000050000000000000000000000000000000000000000000' +
+        '0000000F03F000000000000F03F0000000000000000000000000000F03F000000000000' +
+        'F03F000000000000F03F000000000000F03F0000000000000000000000000000F03F000' +
+        '000000000F03F00000000000000000000000000000000000000000000F03F';
+      expect(EWKBFromatter(row, cell, ewkb)).toContain('Can not render geometry of this type');
+    });
+    it('should return the disabled button for unsupported geometry', function () {
+      // TRIANGLE ((0 0, 0 9, 9 0, 0 0))
+      let ewkb = '01110000000100000004000000000000000000000000000000000000000000' +
+        '00000000000000000000000022400000000000002240000000000000000000000000000' +
+        '000000000000000000000';
+      expect(EWKBFromatter(row, cell, ewkb)).toContain('Can not render geometry of this type');
+    });
+    it('should return the disabled button for unsupported geometry', function () {
+      // TIN( ((0 0 0, 0 0 1, 0 1 0, 0 0 0)), ((0 0 0, 0 1 0, 1 1 0, 0 0 0)) )
+      let ewkb = '01100000800200000001110000800100000004000000000000000000000000' +
+        '00000000000000000000000000000000000000000000000000000000000000000000000' +
+        '000F03F0000000000000000000000000000F03F00000000000000000000000000000000' +
+        '00000000000000000000000000000000011100008001000000040000000000000000000' +
+        '000000000000000000000000000000000000000000000000000000000000000F03F0000' +
+        '000000000000000000000000F03F000000000000F03F000000000000000000000000000' +
+        '0000000000000000000000000000000000000';
+      expect(EWKBFromatter(row, cell, ewkb)).toContain('Can not render geometry of this type');
+    });
+  });
+});
diff --git a/web/yarn.lock b/web/yarn.lock
index f0ff60b..d3a0384 100644
--- a/web/yarn.lock
+++ b/web/yarn.lock
@@ -5604,6 +5604,10 @@ lead@^1.0.0:
   dependencies:
     flush-write-stream "^1.0.2"
 
+leaflet@^1.3.3:
+  version "1.3.3"
+  resolved "https://registry.yarnpkg.com/leaflet/-/leaflet-1.3.3.tgz#5c8f2fd50e4a41ead93ab850dcd9e058811da9b9"
+
 level-codec@~7.0.0:
   version "7.0.1"
   resolved "https://registry.yarnpkg.com/level-codec/-/level-codec-7.0.1.tgz#341f22f907ce0f16763f24bddd681e395a0fb8a7"
@@ -9611,6 +9615,12 @@ window-size@0.1.0:
   version "0.1.0"
   resolved "https://registry.yarnpkg.com/window-size/-/window-size-0.1.0.tgz#5438cd2ea93b202efa3a19fe8887aee7c94f9c9d"
 
+wkx@^0.4.5:
+  version "0.4.5"
+  resolved "https://registry.yarnpkg.com/wkx/-/wkx-0.4.5.tgz#a85e15a6e69d1bfaec2f3c523be3dfa40ab861d0"
+  dependencies:
+    "@types/node" "*"
+
 wordwrap@0.0.2:
   version "0.0.2"
   resolved "https://registry.yarnpkg.com/wordwrap/-/wordwrap-0.0.2.tgz#b79669bb42ecb409f83d583cad52ca17eaa1643f"
